/*
CSTLEMMA - trainable lemmatiser

Copyright (C) 2002, 2005, 2009  Center for Sprogteknologi, University of Copenhagen

This file is part of CSTLEMMA.

CSTLEMMA is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

CSTLEMMA is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with CSTLEMMA; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Based on CaseFolding-6.0.0.txt (18-May-2010 20:19)
#include "letter.h"
struct tri Full[74]={
{{305,0,0}}, /* LATIN CAPITAL LETTER I*//* LATIN LETTER I*/
{{97,702,0}}, /* LATIN SMALL LETTER A WITH RIGHT HALF RING*/
{{102,102,0}}, /* LATIN SMALL LIGATURE FF*/
{{102,105,0}}, /* LATIN SMALL LIGATURE FI*/
{{102,108,0}}, /* LATIN SMALL LIGATURE FL*/
{{102,102,105}}, /* LATIN SMALL LIGATURE FFI*/
{{102,102,108}}, /* LATIN SMALL LIGATURE FFL*/
{{104,817,0}}, /* LATIN SMALL LETTER H WITH LINE BELOW*/
{{105,775,0}}, /* LATIN LETTER I WITH DOT ABOVE*//* LATIN CAPITAL LETTER I WITH DOT ABOVE*/
{{106,780,0}}, /* LATIN SMALL LETTER J WITH CARON*/
{{115,115,0}}, /* LATIN SMALL LETTER SHARP S*//* LATIN CAPITAL LETTER SHARP S*/
{{115,116,0}}, /* LATIN SMALL LIGATURE LONG S T*//* LATIN SMALL LIGATURE ST*/
{{116,776,0}}, /* LATIN SMALL LETTER T WITH DIAERESIS*/
{{119,778,0}}, /* LATIN SMALL LETTER W WITH RING ABOVE*/
{{121,778,0}}, /* LATIN SMALL LETTER Y WITH RING ABOVE*/
{{700,110,0}}, /* LATIN SMALL LETTER N PRECEDED BY APOSTROPHE*/
{{940,953,0}}, /* GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI*/
{{942,953,0}}, /* GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI*/
{{945,834,0}}, /* GREEK SMALL LETTER ALPHA WITH PERISPOMENI*/
{{945,953,0}}, /* GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI*/
{{945,834,953}}, /* GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI*/
{{951,834,0}}, /* GREEK SMALL LETTER ETA WITH PERISPOMENI*/
{{951,953,0}}, /* GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI*/
{{951,834,953}}, /* GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI*/
{{953,834,0}}, /* GREEK SMALL LETTER IOTA WITH PERISPOMENI*/
{{953,776,768}}, /* GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA*/
{{953,776,769}}, /* GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS*//* GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA*/
{{953,776,834}}, /* GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI*/
{{961,787,0}}, /* GREEK SMALL LETTER RHO WITH PSILI*/
{{965,787,0}}, /* GREEK SMALL LETTER UPSILON WITH PSILI*/
{{965,834,0}}, /* GREEK SMALL LETTER UPSILON WITH PERISPOMENI*/
{{965,776,768}}, /* GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA*/
{{965,776,769}}, /* GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS*//* GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA*/
{{965,776,834}}, /* GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI*/
{{965,787,768}}, /* GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA*/
{{965,787,769}}, /* GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA*/
{{965,787,834}}, /* GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI*/
{{969,834,0}}, /* GREEK SMALL LETTER OMEGA WITH PERISPOMENI*/
{{969,953,0}}, /* GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI*//* GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI*/
{{969,834,953}}, /* GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI*/
{{974,953,0}}, /* GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI*/
{{1381,1410,0}}, /* ARMENIAN SMALL LIGATURE ECH YIWN*/
{{1396,1381,0}}, /* ARMENIAN SMALL LIGATURE MEN ECH*/
{{1396,1387,0}}, /* ARMENIAN SMALL LIGATURE MEN INI*/
{{1396,1389,0}}, /* ARMENIAN SMALL LIGATURE MEN XEH*/
{{1396,1398,0}}, /* ARMENIAN SMALL LIGATURE MEN NOW*/
{{1406,1398,0}}, /* ARMENIAN SMALL LIGATURE VEW NOW*/
{{7936,953,0}}, /* GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI*/
{{7937,953,0}}, /* GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI*/
{{7938,953,0}}, /* GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI*/
{{7939,953,0}}, /* GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI*/
{{7940,953,0}}, /* GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI*/
{{7941,953,0}}, /* GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI*/
{{7942,953,0}}, /* GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI*/
{{7943,953,0}}, /* GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI*/
{{7968,953,0}}, /* GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI*/
{{7969,953,0}}, /* GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI*/
{{7970,953,0}}, /* GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI*/
{{7971,953,0}}, /* GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI*/
{{7972,953,0}}, /* GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI*/
{{7973,953,0}}, /* GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI*/
{{7974,953,0}}, /* GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI*/
{{7975,953,0}}, /* GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI*/
{{8032,953,0}}, /* GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI*/
{{8033,953,0}}, /* GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI*/
{{8034,953,0}}, /* GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI*/
{{8035,953,0}}, /* GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI*/
{{8036,953,0}}, /* GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI*/
{{8037,953,0}}, /* GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI*/
{{8038,953,0}}, /* GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI*/
{{8039,953,0}}, /* GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI*//* GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI*/
{{8048,953,0}}, /* GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI*/
{{8052,953,0}}, /* GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI*/
{{8060,953,0}}};/* GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI*/

struct quat Letter[ARRSIZE]={
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{65,97,65,0L}, /* LATIN CAPITAL LETTER A*/
{66,98,66,0L}, /* LATIN CAPITAL LETTER B*/
{67,99,67,0L}, /* LATIN CAPITAL LETTER C*/
{68,100,68,0L}, /* LATIN CAPITAL LETTER D*/
{69,101,69,0L}, /* LATIN CAPITAL LETTER E*/
{70,102,70,0L}, /* LATIN CAPITAL LETTER F*/
{71,103,71,0L}, /* LATIN CAPITAL LETTER G*/
{72,104,72,0L}, /* LATIN CAPITAL LETTER H*/
{73,105,73,Full+0}, /* LATIN CAPITAL LETTER I*/
{74,106,74,0L}, /* LATIN CAPITAL LETTER J*/
{75,107,75,0L}, /* LATIN CAPITAL LETTER K*/
{76,108,76,0L}, /* LATIN CAPITAL LETTER L*/
{77,109,77,0L}, /* LATIN CAPITAL LETTER M*/
{78,110,78,0L}, /* LATIN CAPITAL LETTER N*/
{79,111,79,0L}, /* LATIN CAPITAL LETTER O*/
{80,112,80,0L}, /* LATIN CAPITAL LETTER P*/
{81,113,81,0L}, /* LATIN CAPITAL LETTER Q*/
{82,114,82,0L}, /* LATIN CAPITAL LETTER R*/
{83,115,83,0L}, /* LATIN CAPITAL LETTER S*/
{84,116,84,0L}, /* LATIN CAPITAL LETTER T*/
{85,117,85,0L}, /* LATIN CAPITAL LETTER U*/
{86,118,86,0L}, /* LATIN CAPITAL LETTER V*/
{87,119,87,0L}, /* LATIN CAPITAL LETTER W*/
{88,120,88,0L}, /* LATIN CAPITAL LETTER X*/
{89,121,89,0L}, /* LATIN CAPITAL LETTER Y*/
{90,122,90,0L}, /* LATIN CAPITAL LETTER Z*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{97,97,65,0L}, /* LATIN LETTER A*/
{98,98,66,0L}, /* LATIN LETTER B*/
{99,99,67,0L}, /* LATIN LETTER C*/
{100,100,68,0L}, /* LATIN LETTER D*/
{101,101,69,0L}, /* LATIN LETTER E*/
{102,102,70,0L}, /* LATIN LETTER F*/
{103,103,71,0L}, /* LATIN LETTER G*/
{104,104,72,0L}, /* LATIN LETTER H*/
{105,105,304,Full+8}, /* LATIN LETTER I WITH DOT ABOVE*/
{106,106,74,0L}, /* LATIN LETTER J*/
{107,107,75,0L}, /* LATIN LETTER K*/
{108,108,76,0L}, /* LATIN LETTER L*/
{109,109,77,0L}, /* LATIN LETTER M*/
{110,110,78,0L}, /* LATIN LETTER N*/
{111,111,79,0L}, /* LATIN LETTER O*/
{112,112,80,0L}, /* LATIN LETTER P*/
{113,113,81,0L}, /* LATIN LETTER Q*/
{114,114,82,0L}, /* LATIN LETTER R*/
{115,115,83,0L}, /* LATIN LETTER S*/
{116,116,84,0L}, /* LATIN LETTER T*/
{117,117,85,0L}, /* LATIN LETTER U*/
{118,118,86,0L}, /* LATIN LETTER V*/
{119,119,87,0L}, /* LATIN LETTER W*/
{120,120,88,0L}, /* LATIN LETTER X*/
{121,121,89,0L}, /* LATIN LETTER Y*/
{122,122,90,0L}, /* LATIN LETTER Z*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{181,956,0,0L}, /* MICRO SIGN*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{192,224,192,0L}, /* LATIN CAPITAL LETTER A WITH GRAVE*/
{193,225,193,0L}, /* LATIN CAPITAL LETTER A WITH ACUTE*/
{194,226,194,0L}, /* LATIN CAPITAL LETTER A WITH CIRCUMFLEX*/
{195,227,195,0L}, /* LATIN CAPITAL LETTER A WITH TILDE*/
{196,228,196,0L}, /* LATIN CAPITAL LETTER A WITH DIAERESIS*/
{197,229,197,0L}, /* LATIN CAPITAL LETTER A WITH RING ABOVE*/
{198,230,198,0L}, /* LATIN CAPITAL LETTER AE*/
{199,231,199,0L}, /* LATIN CAPITAL LETTER C WITH CEDILLA*/
{200,232,200,0L}, /* LATIN CAPITAL LETTER E WITH GRAVE*/
{201,233,201,0L}, /* LATIN CAPITAL LETTER E WITH ACUTE*/
{202,234,202,0L}, /* LATIN CAPITAL LETTER E WITH CIRCUMFLEX*/
{203,235,203,0L}, /* LATIN CAPITAL LETTER E WITH DIAERESIS*/
{204,236,204,0L}, /* LATIN CAPITAL LETTER I WITH GRAVE*/
{205,237,205,0L}, /* LATIN CAPITAL LETTER I WITH ACUTE*/
{206,238,206,0L}, /* LATIN CAPITAL LETTER I WITH CIRCUMFLEX*/
{207,239,207,0L}, /* LATIN CAPITAL LETTER I WITH DIAERESIS*/
{208,240,208,0L}, /* LATIN CAPITAL LETTER ETH*/
{209,241,209,0L}, /* LATIN CAPITAL LETTER N WITH TILDE*/
{210,242,210,0L}, /* LATIN CAPITAL LETTER O WITH GRAVE*/
{211,243,211,0L}, /* LATIN CAPITAL LETTER O WITH ACUTE*/
{212,244,212,0L}, /* LATIN CAPITAL LETTER O WITH CIRCUMFLEX*/
{213,245,213,0L}, /* LATIN CAPITAL LETTER O WITH TILDE*/
{214,246,214,0L}, /* LATIN CAPITAL LETTER O WITH DIAERESIS*/
{0,0,0,0L}, 
{216,248,216,0L}, /* LATIN CAPITAL LETTER O WITH STROKE*/
{217,249,217,0L}, /* LATIN CAPITAL LETTER U WITH GRAVE*/
{218,250,218,0L}, /* LATIN CAPITAL LETTER U WITH ACUTE*/
{219,251,219,0L}, /* LATIN CAPITAL LETTER U WITH CIRCUMFLEX*/
{220,252,220,0L}, /* LATIN CAPITAL LETTER U WITH DIAERESIS*/
{221,253,221,0L}, /* LATIN CAPITAL LETTER Y WITH ACUTE*/
{222,254,222,0L}, /* LATIN CAPITAL LETTER THORN*/
{223,223,0,Full+10}, /* LATIN SMALL LETTER SHARP S*/
{224,224,192,0L}, /* LATIN LETTER A WITH GRAVE*/
{225,225,193,0L}, /* LATIN LETTER A WITH ACUTE*/
{226,226,194,0L}, /* LATIN LETTER A WITH CIRCUMFLEX*/
{227,227,195,0L}, /* LATIN LETTER A WITH TILDE*/
{228,228,196,0L}, /* LATIN LETTER A WITH DIAERESIS*/
{229,229,197,0L}, /* LATIN LETTER A WITH RING ABOVE*/
{230,230,198,0L}, /* LATIN LETTER AE*/
{231,231,199,0L}, /* LATIN LETTER C WITH CEDILLA*/
{232,232,200,0L}, /* LATIN LETTER E WITH GRAVE*/
{233,233,201,0L}, /* LATIN LETTER E WITH ACUTE*/
{234,234,202,0L}, /* LATIN LETTER E WITH CIRCUMFLEX*/
{235,235,203,0L}, /* LATIN LETTER E WITH DIAERESIS*/
{236,236,204,0L}, /* LATIN LETTER I WITH GRAVE*/
{237,237,205,0L}, /* LATIN LETTER I WITH ACUTE*/
{238,238,206,0L}, /* LATIN LETTER I WITH CIRCUMFLEX*/
{239,239,207,0L}, /* LATIN LETTER I WITH DIAERESIS*/
{240,240,208,0L}, /* LATIN LETTER ETH*/
{241,241,209,0L}, /* LATIN LETTER N WITH TILDE*/
{242,242,210,0L}, /* LATIN LETTER O WITH GRAVE*/
{243,243,211,0L}, /* LATIN LETTER O WITH ACUTE*/
{244,244,212,0L}, /* LATIN LETTER O WITH CIRCUMFLEX*/
{245,245,213,0L}, /* LATIN LETTER O WITH TILDE*/
{246,246,214,0L}, /* LATIN LETTER O WITH DIAERESIS*/
{0,0,0,0L}, 
{248,248,216,0L}, /* LATIN LETTER O WITH STROKE*/
{249,249,217,0L}, /* LATIN LETTER U WITH GRAVE*/
{250,250,218,0L}, /* LATIN LETTER U WITH ACUTE*/
{251,251,219,0L}, /* LATIN LETTER U WITH CIRCUMFLEX*/
{252,252,220,0L}, /* LATIN LETTER U WITH DIAERESIS*/
{253,253,221,0L}, /* LATIN LETTER Y WITH ACUTE*/
{254,254,222,0L}, /* LATIN LETTER THORN*/
{255,255,376,0L}, /* LATIN LETTER Y WITH DIAERESIS*/
{256,257,256,0L}, /* LATIN CAPITAL LETTER A WITH MACRON*/
{257,257,256,0L}, /* LATIN LETTER A WITH MACRON*/
{258,259,258,0L}, /* LATIN CAPITAL LETTER A WITH BREVE*/
{259,259,258,0L}, /* LATIN LETTER A WITH BREVE*/
{260,261,260,0L}, /* LATIN CAPITAL LETTER A WITH OGONEK*/
{261,261,260,0L}, /* LATIN LETTER A WITH OGONEK*/
{262,263,262,0L}, /* LATIN CAPITAL LETTER C WITH ACUTE*/
{263,263,262,0L}, /* LATIN LETTER C WITH ACUTE*/
{264,265,264,0L}, /* LATIN CAPITAL LETTER C WITH CIRCUMFLEX*/
{265,265,264,0L}, /* LATIN LETTER C WITH CIRCUMFLEX*/
{266,267,266,0L}, /* LATIN CAPITAL LETTER C WITH DOT ABOVE*/
{267,267,266,0L}, /* LATIN LETTER C WITH DOT ABOVE*/
{268,269,268,0L}, /* LATIN CAPITAL LETTER C WITH CARON*/
{269,269,268,0L}, /* LATIN LETTER C WITH CARON*/
{270,271,270,0L}, /* LATIN CAPITAL LETTER D WITH CARON*/
{271,271,270,0L}, /* LATIN LETTER D WITH CARON*/
{272,273,272,0L}, /* LATIN CAPITAL LETTER D WITH STROKE*/
{273,273,272,0L}, /* LATIN LETTER D WITH STROKE*/
{274,275,274,0L}, /* LATIN CAPITAL LETTER E WITH MACRON*/
{275,275,274,0L}, /* LATIN LETTER E WITH MACRON*/
{276,277,276,0L}, /* LATIN CAPITAL LETTER E WITH BREVE*/
{277,277,276,0L}, /* LATIN LETTER E WITH BREVE*/
{278,279,278,0L}, /* LATIN CAPITAL LETTER E WITH DOT ABOVE*/
{279,279,278,0L}, /* LATIN LETTER E WITH DOT ABOVE*/
{280,281,280,0L}, /* LATIN CAPITAL LETTER E WITH OGONEK*/
{281,281,280,0L}, /* LATIN LETTER E WITH OGONEK*/
{282,283,282,0L}, /* LATIN CAPITAL LETTER E WITH CARON*/
{283,283,282,0L}, /* LATIN LETTER E WITH CARON*/
{284,285,284,0L}, /* LATIN CAPITAL LETTER G WITH CIRCUMFLEX*/
{285,285,284,0L}, /* LATIN LETTER G WITH CIRCUMFLEX*/
{286,287,286,0L}, /* LATIN CAPITAL LETTER G WITH BREVE*/
{287,287,286,0L}, /* LATIN LETTER G WITH BREVE*/
{288,289,288,0L}, /* LATIN CAPITAL LETTER G WITH DOT ABOVE*/
{289,289,288,0L}, /* LATIN LETTER G WITH DOT ABOVE*/
{290,291,290,0L}, /* LATIN CAPITAL LETTER G WITH CEDILLA*/
{291,291,290,0L}, /* LATIN LETTER G WITH CEDILLA*/
{292,293,292,0L}, /* LATIN CAPITAL LETTER H WITH CIRCUMFLEX*/
{293,293,292,0L}, /* LATIN LETTER H WITH CIRCUMFLEX*/
{294,295,294,0L}, /* LATIN CAPITAL LETTER H WITH STROKE*/
{295,295,294,0L}, /* LATIN LETTER H WITH STROKE*/
{296,297,296,0L}, /* LATIN CAPITAL LETTER I WITH TILDE*/
{297,297,296,0L}, /* LATIN LETTER I WITH TILDE*/
{298,299,298,0L}, /* LATIN CAPITAL LETTER I WITH MACRON*/
{299,299,298,0L}, /* LATIN LETTER I WITH MACRON*/
{300,301,300,0L}, /* LATIN CAPITAL LETTER I WITH BREVE*/
{301,301,300,0L}, /* LATIN LETTER I WITH BREVE*/
{302,303,302,0L}, /* LATIN CAPITAL LETTER I WITH OGONEK*/
{303,303,302,0L}, /* LATIN LETTER I WITH OGONEK*/
{304,105,304,Full+8}, /* LATIN CAPITAL LETTER I WITH DOT ABOVE*/
{305,305,73,Full+0}, /* LATIN LETTER I*/
{306,307,306,0L}, /* LATIN CAPITAL LIGATURE IJ*/
{307,307,306,0L}, /* LATIN LIGATURE IJ*/
{308,309,308,0L}, /* LATIN CAPITAL LETTER J WITH CIRCUMFLEX*/
{309,309,308,0L}, /* LATIN LETTER J WITH CIRCUMFLEX*/
{310,311,310,0L}, /* LATIN CAPITAL LETTER K WITH CEDILLA*/
{311,311,310,0L}, /* LATIN LETTER K WITH CEDILLA*/
{0,0,0,0L}, 
{313,314,313,0L}, /* LATIN CAPITAL LETTER L WITH ACUTE*/
{314,314,313,0L}, /* LATIN LETTER L WITH ACUTE*/
{315,316,315,0L}, /* LATIN CAPITAL LETTER L WITH CEDILLA*/
{316,316,315,0L}, /* LATIN LETTER L WITH CEDILLA*/
{317,318,317,0L}, /* LATIN CAPITAL LETTER L WITH CARON*/
{318,318,317,0L}, /* LATIN LETTER L WITH CARON*/
{319,320,319,0L}, /* LATIN CAPITAL LETTER L WITH MIDDLE DOT*/
{320,320,319,0L}, /* LATIN LETTER L WITH MIDDLE DOT*/
{321,322,321,0L}, /* LATIN CAPITAL LETTER L WITH STROKE*/
{322,322,321,0L}, /* LATIN LETTER L WITH STROKE*/
{323,324,323,0L}, /* LATIN CAPITAL LETTER N WITH ACUTE*/
{324,324,323,0L}, /* LATIN LETTER N WITH ACUTE*/
{325,326,325,0L}, /* LATIN CAPITAL LETTER N WITH CEDILLA*/
{326,326,325,0L}, /* LATIN LETTER N WITH CEDILLA*/
{327,328,327,0L}, /* LATIN CAPITAL LETTER N WITH CARON*/
{328,328,327,0L}, /* LATIN LETTER N WITH CARON*/
{329,329,0,Full+15}, /* LATIN SMALL LETTER N PRECEDED BY APOSTROPHE*/
{330,331,330,0L}, /* LATIN CAPITAL LETTER ENG*/
{331,331,330,0L}, /* LATIN LETTER ENG*/
{332,333,332,0L}, /* LATIN CAPITAL LETTER O WITH MACRON*/
{333,333,332,0L}, /* LATIN LETTER O WITH MACRON*/
{334,335,334,0L}, /* LATIN CAPITAL LETTER O WITH BREVE*/
{335,335,334,0L}, /* LATIN LETTER O WITH BREVE*/
{336,337,336,0L}, /* LATIN CAPITAL LETTER O WITH DOUBLE ACUTE*/
{337,337,336,0L}, /* LATIN LETTER O WITH DOUBLE ACUTE*/
{338,339,338,0L}, /* LATIN CAPITAL LIGATURE OE*/
{339,339,338,0L}, /* LATIN LIGATURE OE*/
{340,341,340,0L}, /* LATIN CAPITAL LETTER R WITH ACUTE*/
{341,341,340,0L}, /* LATIN LETTER R WITH ACUTE*/
{342,343,342,0L}, /* LATIN CAPITAL LETTER R WITH CEDILLA*/
{343,343,342,0L}, /* LATIN LETTER R WITH CEDILLA*/
{344,345,344,0L}, /* LATIN CAPITAL LETTER R WITH CARON*/
{345,345,344,0L}, /* LATIN LETTER R WITH CARON*/
{346,347,346,0L}, /* LATIN CAPITAL LETTER S WITH ACUTE*/
{347,347,346,0L}, /* LATIN LETTER S WITH ACUTE*/
{348,349,348,0L}, /* LATIN CAPITAL LETTER S WITH CIRCUMFLEX*/
{349,349,348,0L}, /* LATIN LETTER S WITH CIRCUMFLEX*/
{350,351,350,0L}, /* LATIN CAPITAL LETTER S WITH CEDILLA*/
{351,351,350,0L}, /* LATIN LETTER S WITH CEDILLA*/
{352,353,352,0L}, /* LATIN CAPITAL LETTER S WITH CARON*/
{353,353,352,0L}, /* LATIN LETTER S WITH CARON*/
{354,355,354,0L}, /* LATIN CAPITAL LETTER T WITH CEDILLA*/
{355,355,354,0L}, /* LATIN LETTER T WITH CEDILLA*/
{356,357,356,0L}, /* LATIN CAPITAL LETTER T WITH CARON*/
{357,357,356,0L}, /* LATIN LETTER T WITH CARON*/
{358,359,358,0L}, /* LATIN CAPITAL LETTER T WITH STROKE*/
{359,359,358,0L}, /* LATIN LETTER T WITH STROKE*/
{360,361,360,0L}, /* LATIN CAPITAL LETTER U WITH TILDE*/
{361,361,360,0L}, /* LATIN LETTER U WITH TILDE*/
{362,363,362,0L}, /* LATIN CAPITAL LETTER U WITH MACRON*/
{363,363,362,0L}, /* LATIN LETTER U WITH MACRON*/
{364,365,364,0L}, /* LATIN CAPITAL LETTER U WITH BREVE*/
{365,365,364,0L}, /* LATIN LETTER U WITH BREVE*/
{366,367,366,0L}, /* LATIN CAPITAL LETTER U WITH RING ABOVE*/
{367,367,366,0L}, /* LATIN LETTER U WITH RING ABOVE*/
{368,369,368,0L}, /* LATIN CAPITAL LETTER U WITH DOUBLE ACUTE*/
{369,369,368,0L}, /* LATIN LETTER U WITH DOUBLE ACUTE*/
{370,371,370,0L}, /* LATIN CAPITAL LETTER U WITH OGONEK*/
{371,371,370,0L}, /* LATIN LETTER U WITH OGONEK*/
{372,373,372,0L}, /* LATIN CAPITAL LETTER W WITH CIRCUMFLEX*/
{373,373,372,0L}, /* LATIN LETTER W WITH CIRCUMFLEX*/
{374,375,374,0L}, /* LATIN CAPITAL LETTER Y WITH CIRCUMFLEX*/
{375,375,374,0L}, /* LATIN LETTER Y WITH CIRCUMFLEX*/
{376,255,376,0L}, /* LATIN CAPITAL LETTER Y WITH DIAERESIS*/
{377,378,377,0L}, /* LATIN CAPITAL LETTER Z WITH ACUTE*/
{378,378,377,0L}, /* LATIN LETTER Z WITH ACUTE*/
{379,380,379,0L}, /* LATIN CAPITAL LETTER Z WITH DOT ABOVE*/
{380,380,379,0L}, /* LATIN LETTER Z WITH DOT ABOVE*/
{381,382,381,0L}, /* LATIN CAPITAL LETTER Z WITH CARON*/
{382,382,381,0L}, /* LATIN LETTER Z WITH CARON*/
{383,115,0,0L}, /* LATIN SMALL LETTER LONG S*/
{384,384,579,0L}, /* LATIN LETTER B WITH STROKE*/
{385,595,385,0L}, /* LATIN CAPITAL LETTER B WITH HOOK*/
{386,387,386,0L}, /* LATIN CAPITAL LETTER B WITH TOPBAR*/
{387,387,386,0L}, /* LATIN LETTER B WITH TOPBAR*/
{388,389,388,0L}, /* LATIN CAPITAL LETTER TONE SIX*/
{389,389,388,0L}, /* LATIN LETTER TONE SIX*/
{390,596,390,0L}, /* LATIN CAPITAL LETTER OPEN O*/
{391,392,391,0L}, /* LATIN CAPITAL LETTER C WITH HOOK*/
{392,392,391,0L}, /* LATIN LETTER C WITH HOOK*/
{393,598,393,0L}, /* LATIN CAPITAL LETTER AFRICAN D*/
{394,599,394,0L}, /* LATIN CAPITAL LETTER D WITH HOOK*/
{395,396,395,0L}, /* LATIN CAPITAL LETTER D WITH TOPBAR*/
{396,396,395,0L}, /* LATIN LETTER D WITH TOPBAR*/
{0,0,0,0L}, 
{398,477,398,0L}, /* LATIN CAPITAL LETTER REVERSED E*/
{399,601,399,0L}, /* LATIN CAPITAL LETTER SCHWA*/
{400,603,400,0L}, /* LATIN CAPITAL LETTER OPEN E*/
{401,402,401,0L}, /* LATIN CAPITAL LETTER F WITH HOOK*/
{402,402,401,0L}, /* LATIN LETTER F WITH HOOK*/
{403,608,403,0L}, /* LATIN CAPITAL LETTER G WITH HOOK*/
{404,611,404,0L}, /* LATIN CAPITAL LETTER GAMMA*/
{405,405,502,0L}, /* LATIN LETTER HWAIR*/
{406,617,406,0L}, /* LATIN CAPITAL LETTER IOTA*/
{407,616,407,0L}, /* LATIN CAPITAL LETTER I WITH STROKE*/
{408,409,408,0L}, /* LATIN CAPITAL LETTER K WITH HOOK*/
{409,409,408,0L}, /* LATIN LETTER K WITH HOOK*/
{410,410,573,0L}, /* LATIN LETTER L WITH BAR*/
{0,0,0,0L}, 
{412,623,412,0L}, /* LATIN CAPITAL LETTER TURNED M*/
{413,626,413,0L}, /* LATIN CAPITAL LETTER N WITH LEFT HOOK*/
{414,414,544,0L}, /* LATIN LETTER N WITH LONG RIGHT LEG*/
{415,629,415,0L}, /* LATIN CAPITAL LETTER O WITH MIDDLE TILDE*/
{416,417,416,0L}, /* LATIN CAPITAL LETTER O WITH HORN*/
{417,417,416,0L}, /* LATIN LETTER O WITH HORN*/
{418,419,418,0L}, /* LATIN CAPITAL LETTER OI*/
{419,419,418,0L}, /* LATIN LETTER OI*/
{420,421,420,0L}, /* LATIN CAPITAL LETTER P WITH HOOK*/
{421,421,420,0L}, /* LATIN LETTER P WITH HOOK*/
{422,640,0,0L}, /* LATIN LETTER YR*/
{423,424,423,0L}, /* LATIN CAPITAL LETTER TONE TWO*/
{424,424,423,0L}, /* LATIN LETTER TONE TWO*/
{425,643,425,0L}, /* LATIN CAPITAL LETTER ESH*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{428,429,428,0L}, /* LATIN CAPITAL LETTER T WITH HOOK*/
{429,429,428,0L}, /* LATIN LETTER T WITH HOOK*/
{430,648,430,0L}, /* LATIN CAPITAL LETTER T WITH RETROFLEX HOOK*/
{431,432,431,0L}, /* LATIN CAPITAL LETTER U WITH HORN*/
{432,432,431,0L}, /* LATIN LETTER U WITH HORN*/
{433,650,433,0L}, /* LATIN CAPITAL LETTER UPSILON*/
{434,651,434,0L}, /* LATIN CAPITAL LETTER V WITH HOOK*/
{435,436,435,0L}, /* LATIN CAPITAL LETTER Y WITH HOOK*/
{436,436,435,0L}, /* LATIN LETTER Y WITH HOOK*/
{437,438,437,0L}, /* LATIN CAPITAL LETTER Z WITH STROKE*/
{438,438,437,0L}, /* LATIN LETTER Z WITH STROKE*/
{439,658,439,0L}, /* LATIN CAPITAL LETTER EZH*/
{440,441,440,0L}, /* LATIN CAPITAL LETTER EZH REVERSED*/
{441,441,440,0L}, /* LATIN LETTER EZH REVERSED*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{444,445,444,0L}, /* LATIN CAPITAL LETTER TONE FIVE*/
{445,445,444,0L}, /* LATIN LETTER TONE FIVE*/
{0,0,0,0L}, 
{447,447,503,0L}, /* LATIN LETTER WYNN*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{452,454,452,0L}, /* LATIN CAPITAL LETTER DZ WITH CARON*/
{453,454,453,0L}, /* LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON*/
{454,454,452,0L}, /* LATIN LETTER DZ WITH CARON*/
{455,457,455,0L}, /* LATIN CAPITAL LETTER LJ*/
{456,457,456,0L}, /* LATIN CAPITAL LETTER L WITH SMALL LETTER J*/
{457,457,455,0L}, /* LATIN LETTER LJ*/
{458,460,458,0L}, /* LATIN CAPITAL LETTER NJ*/
{459,460,459,0L}, /* LATIN CAPITAL LETTER N WITH SMALL LETTER J*/
{460,460,458,0L}, /* LATIN LETTER NJ*/
{461,462,461,0L}, /* LATIN CAPITAL LETTER A WITH CARON*/
{462,462,461,0L}, /* LATIN LETTER A WITH CARON*/
{463,464,463,0L}, /* LATIN CAPITAL LETTER I WITH CARON*/
{464,464,463,0L}, /* LATIN LETTER I WITH CARON*/
{465,466,465,0L}, /* LATIN CAPITAL LETTER O WITH CARON*/
{466,466,465,0L}, /* LATIN LETTER O WITH CARON*/
{467,468,467,0L}, /* LATIN CAPITAL LETTER U WITH CARON*/
{468,468,467,0L}, /* LATIN LETTER U WITH CARON*/
{469,470,469,0L}, /* LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON*/
{470,470,469,0L}, /* LATIN LETTER U WITH DIAERESIS AND MACRON*/
{471,472,471,0L}, /* LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE*/
{472,472,471,0L}, /* LATIN LETTER U WITH DIAERESIS AND ACUTE*/
{473,474,473,0L}, /* LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON*/
{474,474,473,0L}, /* LATIN LETTER U WITH DIAERESIS AND CARON*/
{475,476,475,0L}, /* LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE*/
{476,476,475,0L}, /* LATIN LETTER U WITH DIAERESIS AND GRAVE*/
{477,477,398,0L}, /* LATIN LETTER REVERSED E*/
{478,479,478,0L}, /* LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON*/
{479,479,478,0L}, /* LATIN LETTER A WITH DIAERESIS AND MACRON*/
{480,481,480,0L}, /* LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON*/
{481,481,480,0L}, /* LATIN LETTER A WITH DOT ABOVE AND MACRON*/
{482,483,482,0L}, /* LATIN CAPITAL LETTER AE WITH MACRON*/
{483,483,482,0L}, /* LATIN LETTER AE WITH MACRON*/
{484,485,484,0L}, /* LATIN CAPITAL LETTER G WITH STROKE*/
{485,485,484,0L}, /* LATIN LETTER G WITH STROKE*/
{486,487,486,0L}, /* LATIN CAPITAL LETTER G WITH CARON*/
{487,487,486,0L}, /* LATIN LETTER G WITH CARON*/
{488,489,488,0L}, /* LATIN CAPITAL LETTER K WITH CARON*/
{489,489,488,0L}, /* LATIN LETTER K WITH CARON*/
{490,491,490,0L}, /* LATIN CAPITAL LETTER O WITH OGONEK*/
{491,491,490,0L}, /* LATIN LETTER O WITH OGONEK*/
{492,493,492,0L}, /* LATIN CAPITAL LETTER O WITH OGONEK AND MACRON*/
{493,493,492,0L}, /* LATIN LETTER O WITH OGONEK AND MACRON*/
{494,495,494,0L}, /* LATIN CAPITAL LETTER EZH WITH CARON*/
{495,495,494,0L}, /* LATIN LETTER EZH WITH CARON*/
{496,496,0,Full+9}, /* LATIN SMALL LETTER J WITH CARON*/
{497,499,497,0L}, /* LATIN CAPITAL LETTER DZ*/
{498,499,498,0L}, /* LATIN CAPITAL LETTER D WITH SMALL LETTER Z*/
{499,499,497,0L}, /* LATIN LETTER DZ*/
{500,501,500,0L}, /* LATIN CAPITAL LETTER G WITH ACUTE*/
{501,501,500,0L}, /* LATIN LETTER G WITH ACUTE*/
{502,405,502,0L}, /* LATIN CAPITAL LETTER HWAIR*/
{503,447,503,0L}, /* LATIN CAPITAL LETTER WYNN*/
{504,505,504,0L}, /* LATIN CAPITAL LETTER N WITH GRAVE*/
{505,505,504,0L}, /* LATIN LETTER N WITH GRAVE*/
{506,507,506,0L}, /* LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE*/
{507,507,506,0L}, /* LATIN LETTER A WITH RING ABOVE AND ACUTE*/
{508,509,508,0L}, /* LATIN CAPITAL LETTER AE WITH ACUTE*/
{509,509,508,0L}, /* LATIN LETTER AE WITH ACUTE*/
{510,511,510,0L}, /* LATIN CAPITAL LETTER O WITH STROKE AND ACUTE*/
{511,511,510,0L}, /* LATIN LETTER O WITH STROKE AND ACUTE*/
{512,513,512,0L}, /* LATIN CAPITAL LETTER A WITH DOUBLE GRAVE*/
{513,513,512,0L}, /* LATIN LETTER A WITH DOUBLE GRAVE*/
{514,515,514,0L}, /* LATIN CAPITAL LETTER A WITH INVERTED BREVE*/
{515,515,514,0L}, /* LATIN LETTER A WITH INVERTED BREVE*/
{516,517,516,0L}, /* LATIN CAPITAL LETTER E WITH DOUBLE GRAVE*/
{517,517,516,0L}, /* LATIN LETTER E WITH DOUBLE GRAVE*/
{518,519,518,0L}, /* LATIN CAPITAL LETTER E WITH INVERTED BREVE*/
{519,519,518,0L}, /* LATIN LETTER E WITH INVERTED BREVE*/
{520,521,520,0L}, /* LATIN CAPITAL LETTER I WITH DOUBLE GRAVE*/
{521,521,520,0L}, /* LATIN LETTER I WITH DOUBLE GRAVE*/
{522,523,522,0L}, /* LATIN CAPITAL LETTER I WITH INVERTED BREVE*/
{523,523,522,0L}, /* LATIN LETTER I WITH INVERTED BREVE*/
{524,525,524,0L}, /* LATIN CAPITAL LETTER O WITH DOUBLE GRAVE*/
{525,525,524,0L}, /* LATIN LETTER O WITH DOUBLE GRAVE*/
{526,527,526,0L}, /* LATIN CAPITAL LETTER O WITH INVERTED BREVE*/
{527,527,526,0L}, /* LATIN LETTER O WITH INVERTED BREVE*/
{528,529,528,0L}, /* LATIN CAPITAL LETTER R WITH DOUBLE GRAVE*/
{529,529,528,0L}, /* LATIN LETTER R WITH DOUBLE GRAVE*/
{530,531,530,0L}, /* LATIN CAPITAL LETTER R WITH INVERTED BREVE*/
{531,531,530,0L}, /* LATIN LETTER R WITH INVERTED BREVE*/
{532,533,532,0L}, /* LATIN CAPITAL LETTER U WITH DOUBLE GRAVE*/
{533,533,532,0L}, /* LATIN LETTER U WITH DOUBLE GRAVE*/
{534,535,534,0L}, /* LATIN CAPITAL LETTER U WITH INVERTED BREVE*/
{535,535,534,0L}, /* LATIN LETTER U WITH INVERTED BREVE*/
{536,537,536,0L}, /* LATIN CAPITAL LETTER S WITH COMMA BELOW*/
{537,537,536,0L}, /* LATIN LETTER S WITH COMMA BELOW*/
{538,539,538,0L}, /* LATIN CAPITAL LETTER T WITH COMMA BELOW*/
{539,539,538,0L}, /* LATIN LETTER T WITH COMMA BELOW*/
{540,541,540,0L}, /* LATIN CAPITAL LETTER YOGH*/
{541,541,540,0L}, /* LATIN LETTER YOGH*/
{542,543,542,0L}, /* LATIN CAPITAL LETTER H WITH CARON*/
{543,543,542,0L}, /* LATIN LETTER H WITH CARON*/
{544,414,544,0L}, /* LATIN CAPITAL LETTER N WITH LONG RIGHT LEG*/
{0,0,0,0L}, 
{546,547,546,0L}, /* LATIN CAPITAL LETTER OU*/
{547,547,546,0L}, /* LATIN LETTER OU*/
{548,549,548,0L}, /* LATIN CAPITAL LETTER Z WITH HOOK*/
{549,549,548,0L}, /* LATIN LETTER Z WITH HOOK*/
{550,551,550,0L}, /* LATIN CAPITAL LETTER A WITH DOT ABOVE*/
{551,551,550,0L}, /* LATIN LETTER A WITH DOT ABOVE*/
{552,553,552,0L}, /* LATIN CAPITAL LETTER E WITH CEDILLA*/
{553,553,552,0L}, /* LATIN LETTER E WITH CEDILLA*/
{554,555,554,0L}, /* LATIN CAPITAL LETTER O WITH DIAERESIS AND MACRON*/
{555,555,554,0L}, /* LATIN LETTER O WITH DIAERESIS AND MACRON*/
{556,557,556,0L}, /* LATIN CAPITAL LETTER O WITH TILDE AND MACRON*/
{557,557,556,0L}, /* LATIN LETTER O WITH TILDE AND MACRON*/
{558,559,558,0L}, /* LATIN CAPITAL LETTER O WITH DOT ABOVE*/
{559,559,558,0L}, /* LATIN LETTER O WITH DOT ABOVE*/
{560,561,560,0L}, /* LATIN CAPITAL LETTER O WITH DOT ABOVE AND MACRON*/
{561,561,560,0L}, /* LATIN LETTER O WITH DOT ABOVE AND MACRON*/
{562,563,562,0L}, /* LATIN CAPITAL LETTER Y WITH MACRON*/
{563,563,562,0L}, /* LATIN LETTER Y WITH MACRON*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{570,11365,570,0L}, /* LATIN CAPITAL LETTER A WITH STROKE*/
{571,572,571,0L}, /* LATIN CAPITAL LETTER C WITH STROKE*/
{572,572,571,0L}, /* LATIN LETTER C WITH STROKE*/
{573,410,573,0L}, /* LATIN CAPITAL LETTER L WITH BAR*/
{574,11366,574,0L}, /* LATIN CAPITAL LETTER T WITH DIAGONAL STROKE*/
{575,575,11390,0L}, /* LATIN LETTER S WITH SWASH TAIL*/
{576,576,11391,0L}, /* LATIN LETTER Z WITH SWASH TAIL*/
{577,578,577,0L}, /* LATIN CAPITAL LETTER GLOTTAL STOP*/
{578,578,577,0L}, /* LATIN LETTER GLOTTAL STOP*/
{579,384,579,0L}, /* LATIN CAPITAL LETTER B WITH STROKE*/
{580,649,580,0L}, /* LATIN CAPITAL LETTER U BAR*/
{581,652,581,0L}, /* LATIN CAPITAL LETTER TURNED V*/
{582,583,582,0L}, /* LATIN CAPITAL LETTER E WITH STROKE*/
{583,583,582,0L}, /* LATIN LETTER E WITH STROKE*/
{584,585,584,0L}, /* LATIN CAPITAL LETTER J WITH STROKE*/
{585,585,584,0L}, /* LATIN LETTER J WITH STROKE*/
{586,587,586,0L}, /* LATIN CAPITAL LETTER SMALL Q WITH HOOK TAIL*/
{587,587,586,0L}, /* LATIN LETTER SMALL Q WITH HOOK TAIL*/
{588,589,588,0L}, /* LATIN CAPITAL LETTER R WITH STROKE*/
{589,589,588,0L}, /* LATIN LETTER R WITH STROKE*/
{590,591,590,0L}, /* LATIN CAPITAL LETTER Y WITH STROKE*/
{591,591,590,0L}, /* LATIN LETTER Y WITH STROKE*/
{592,592,11375,0L}, /* LATIN LETTER TURNED A*/
{593,593,11373,0L}, /* LATIN LETTER ALPHA*/
{594,594,11376,0L}, /* LATIN LETTER TURNED ALPHA*/
{595,595,385,0L}, /* LATIN LETTER B WITH HOOK*/
{596,596,390,0L}, /* LATIN LETTER OPEN O*/
{0,0,0,0L}, 
{598,598,393,0L}, /* LATIN LETTER AFRICAN D*/
{599,599,394,0L}, /* LATIN LETTER D WITH HOOK*/
{0,0,0,0L}, 
{601,601,399,0L}, /* LATIN LETTER SCHWA*/
{0,0,0,0L}, 
{603,603,400,0L}, /* LATIN LETTER OPEN E*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{608,608,403,0L}, /* LATIN LETTER G WITH HOOK*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{611,611,404,0L}, /* LATIN LETTER GAMMA*/
{0,0,0,0L}, 
{613,613,42893,0L}, /* LATIN LETTER TURNED H*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{616,616,407,0L}, /* LATIN LETTER I WITH STROKE*/
{617,617,406,0L}, /* LATIN LETTER IOTA*/
{0,0,0,0L}, 
{619,619,11362,0L}, /* LATIN LETTER L WITH MIDDLE TILDE*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{623,623,412,0L}, /* LATIN LETTER TURNED M*/
{0,0,0,0L}, 
{625,625,11374,0L}, /* LATIN LETTER M WITH HOOK*/
{626,626,413,0L}, /* LATIN LETTER N WITH LEFT HOOK*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{629,629,415,0L}, /* LATIN LETTER O WITH MIDDLE TILDE*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{637,637,11364,0L}, /* LATIN LETTER R WITH TAIL*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{643,643,425,0L}, /* LATIN LETTER ESH*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{648,648,430,0L}, /* LATIN LETTER T WITH RETROFLEX HOOK*/
{649,649,580,0L}, /* LATIN LETTER U BAR*/
{650,650,433,0L}, /* LATIN LETTER UPSILON*/
{651,651,434,0L}, /* LATIN LETTER V WITH HOOK*/
{652,652,581,0L}, /* LATIN LETTER TURNED V*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{658,658,439,0L}, /* LATIN LETTER EZH*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{837,953,0,0L}, /* COMBINING GREEK YPOGEGRAMMENI*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{880,881,880,0L}, /* GREEK CAPITAL LETTER HETA*/
{881,881,880,0L}, /* GREEK LETTER HETA*/
{882,883,882,0L}, /* GREEK CAPITAL LETTER ARCHAIC SAMPI*/
{883,883,882,0L}, /* GREEK LETTER ARCHAIC SAMPI*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{886,887,886,0L}, /* GREEK CAPITAL LETTER PAMPHYLIAN DIGAMMA*/
{887,887,886,0L}, /* GREEK LETTER PAMPHYLIAN DIGAMMA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{891,891,1021,0L}, /* GREEK REVERSED LUNATE SIGMA SYMBOL*/
{892,892,1022,0L}, /* GREEK DOTTED LUNATE SIGMA SYMBOL*/
{893,893,1023,0L}, /* GREEK REVERSED DOTTED LUNATE SIGMA SYMBOL*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{902,940,902,0L}, /* GREEK CAPITAL LETTER ALPHA WITH TONOS*/
{0,0,0,0L}, 
{904,941,904,0L}, /* GREEK CAPITAL LETTER EPSILON WITH TONOS*/
{905,942,905,0L}, /* GREEK CAPITAL LETTER ETA WITH TONOS*/
{906,943,906,0L}, /* GREEK CAPITAL LETTER IOTA WITH TONOS*/
{0,0,0,0L}, 
{908,972,908,0L}, /* GREEK CAPITAL LETTER OMICRON WITH TONOS*/
{0,0,0,0L}, 
{910,973,910,0L}, /* GREEK CAPITAL LETTER UPSILON WITH TONOS*/
{911,974,911,0L}, /* GREEK CAPITAL LETTER OMEGA WITH TONOS*/
{912,912,0,Full+26}, /* GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS*/
{913,945,913,0L}, /* GREEK CAPITAL LETTER ALPHA*/
{914,946,914,0L}, /* GREEK CAPITAL LETTER BETA*/
{915,947,915,0L}, /* GREEK CAPITAL LETTER GAMMA*/
{916,948,916,0L}, /* GREEK CAPITAL LETTER DELTA*/
{917,949,917,0L}, /* GREEK CAPITAL LETTER EPSILON*/
{918,950,918,0L}, /* GREEK CAPITAL LETTER ZETA*/
{919,951,919,0L}, /* GREEK CAPITAL LETTER ETA*/
{920,952,920,0L}, /* GREEK CAPITAL LETTER THETA*/
{921,953,921,0L}, /* GREEK CAPITAL LETTER IOTA*/
{922,954,922,0L}, /* GREEK CAPITAL LETTER KAPPA*/
{923,955,923,0L}, /* GREEK CAPITAL LETTER LAMDA*/
{924,956,924,0L}, /* GREEK CAPITAL LETTER MU*/
{925,957,925,0L}, /* GREEK CAPITAL LETTER NU*/
{926,958,926,0L}, /* GREEK CAPITAL LETTER XI*/
{927,959,927,0L}, /* GREEK CAPITAL LETTER OMICRON*/
{928,960,928,0L}, /* GREEK CAPITAL LETTER PI*/
{929,961,929,0L}, /* GREEK CAPITAL LETTER RHO*/
{0,0,0,0L}, 
{931,963,931,0L}, /* GREEK CAPITAL LETTER SIGMA*/
{932,964,932,0L}, /* GREEK CAPITAL LETTER TAU*/
{933,965,933,0L}, /* GREEK CAPITAL LETTER UPSILON*/
{934,966,934,0L}, /* GREEK CAPITAL LETTER PHI*/
{935,967,935,0L}, /* GREEK CAPITAL LETTER CHI*/
{936,968,936,0L}, /* GREEK CAPITAL LETTER PSI*/
{937,969,937,0L}, /* GREEK CAPITAL LETTER OMEGA*/
{938,970,938,0L}, /* GREEK CAPITAL LETTER IOTA WITH DIALYTIKA*/
{939,971,939,0L}, /* GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA*/
{940,940,902,0L}, /* GREEK LETTER ALPHA WITH TONOS*/
{941,941,904,0L}, /* GREEK LETTER EPSILON WITH TONOS*/
{942,942,905,0L}, /* GREEK LETTER ETA WITH TONOS*/
{943,943,906,0L}, /* GREEK LETTER IOTA WITH TONOS*/
{944,944,0,Full+32}, /* GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS*/
{945,945,913,0L}, /* GREEK LETTER ALPHA*/
{946,946,914,0L}, /* GREEK LETTER BETA*/
{947,947,915,0L}, /* GREEK LETTER GAMMA*/
{948,948,916,0L}, /* GREEK LETTER DELTA*/
{949,949,917,0L}, /* GREEK LETTER EPSILON*/
{950,950,918,0L}, /* GREEK LETTER ZETA*/
{951,951,919,0L}, /* GREEK LETTER ETA*/
{952,952,920,0L}, /* GREEK LETTER THETA*/
{953,953,921,0L}, /* GREEK LETTER IOTA*/
{954,954,922,0L}, /* GREEK LETTER KAPPA*/
{955,955,923,0L}, /* GREEK LETTER LAMDA*/
{956,956,924,0L}, /* GREEK LETTER MU*/
{957,957,925,0L}, /* GREEK LETTER NU*/
{958,958,926,0L}, /* GREEK LETTER XI*/
{959,959,927,0L}, /* GREEK LETTER OMICRON*/
{960,960,928,0L}, /* GREEK LETTER PI*/
{961,961,929,0L}, /* GREEK LETTER RHO*/
{962,963,0,0L}, /* GREEK SMALL LETTER FINAL SIGMA*/
{963,963,931,0L}, /* GREEK LETTER SIGMA*/
{964,964,932,0L}, /* GREEK LETTER TAU*/
{965,965,933,0L}, /* GREEK LETTER UPSILON*/
{966,966,934,0L}, /* GREEK LETTER PHI*/
{967,967,935,0L}, /* GREEK LETTER CHI*/
{968,968,936,0L}, /* GREEK LETTER PSI*/
{969,969,937,0L}, /* GREEK LETTER OMEGA*/
{970,970,938,0L}, /* GREEK LETTER IOTA WITH DIALYTIKA*/
{971,971,939,0L}, /* GREEK LETTER UPSILON WITH DIALYTIKA*/
{972,972,908,0L}, /* GREEK LETTER OMICRON WITH TONOS*/
{973,973,910,0L}, /* GREEK LETTER UPSILON WITH TONOS*/
{974,974,911,0L}, /* GREEK LETTER OMEGA WITH TONOS*/
{975,983,975,0L}, /* GREEK CAPITAL KAI SYMBOL*/
{976,946,0,0L}, /* GREEK BETA SYMBOL*/
{977,952,0,0L}, /* GREEK THETA SYMBOL*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{981,966,0,0L}, /* GREEK PHI SYMBOL*/
{982,960,0,0L}, /* GREEK PI SYMBOL*/
{983,983,975,0L}, /* GREEK KAI SYMBOL*/
{984,985,0,0L}, /* GREEK LETTER ARCHAIC KOPPA*/
{0,0,0,0L}, 
{986,987,0,0L}, /* GREEK LETTER STIGMA*/
{0,0,0,0L}, 
{988,989,0,0L}, /* GREEK LETTER DIGAMMA*/
{0,0,0,0L}, 
{990,991,0,0L}, /* GREEK LETTER KOPPA*/
{0,0,0,0L}, 
{992,993,0,0L}, /* GREEK LETTER SAMPI*/
{0,0,0,0L}, 
{994,995,994,0L}, /* COPTIC CAPITAL LETTER SHEI*/
{995,995,994,0L}, /* COPTIC LETTER SHEI*/
{996,997,996,0L}, /* COPTIC CAPITAL LETTER FEI*/
{997,997,996,0L}, /* COPTIC LETTER FEI*/
{998,999,998,0L}, /* COPTIC CAPITAL LETTER KHEI*/
{999,999,998,0L}, /* COPTIC LETTER KHEI*/
{1000,1001,1000,0L}, /* COPTIC CAPITAL LETTER HORI*/
{1001,1001,1000,0L}, /* COPTIC LETTER HORI*/
{1002,1003,1002,0L}, /* COPTIC CAPITAL LETTER GANGIA*/
{1003,1003,1002,0L}, /* COPTIC LETTER GANGIA*/
{1004,1005,1004,0L}, /* COPTIC CAPITAL LETTER SHIMA*/
{1005,1005,1004,0L}, /* COPTIC LETTER SHIMA*/
{1006,1007,1006,0L}, /* COPTIC CAPITAL LETTER DEI*/
{1007,1007,1006,0L}, /* COPTIC LETTER DEI*/
{1008,954,0,0L}, /* GREEK KAPPA SYMBOL*/
{1009,961,0,0L}, /* GREEK RHO SYMBOL*/
{1010,1010,1017,0L}, /* GREEK LUNATE SIGMA SYMBOL*/
{0,0,0,0L}, 
{1012,952,1012,0L}, /* GREEK CAPITAL THETA SYMBOL*/
{1013,949,0,0L}, /* GREEK LUNATE EPSILON SYMBOL*/
{0,0,0,0L}, 
{1015,1016,1015,0L}, /* GREEK CAPITAL LETTER SHO*/
{1016,1016,1015,0L}, /* GREEK LETTER SHO*/
{1017,1010,1017,0L}, /* GREEK CAPITAL LUNATE SIGMA SYMBOL*/
{1018,1019,1018,0L}, /* GREEK CAPITAL LETTER SAN*/
{1019,1019,1018,0L}, /* GREEK LETTER SAN*/
{0,0,0,0L}, 
{1021,891,1021,0L}, /* GREEK CAPITAL REVERSED LUNATE SIGMA SYMBOL*/
{1022,892,1022,0L}, /* GREEK CAPITAL DOTTED LUNATE SIGMA SYMBOL*/
{1023,893,1023,0L}, /* GREEK CAPITAL REVERSED DOTTED LUNATE SIGMA SYMBOL*/
{1024,1104,1024,0L}, /* CYRILLIC CAPITAL LETTER IE WITH GRAVE*/
{1025,1105,1025,0L}, /* CYRILLIC CAPITAL LETTER IO*/
{1026,1106,1026,0L}, /* CYRILLIC CAPITAL LETTER DJE*/
{1027,1107,1027,0L}, /* CYRILLIC CAPITAL LETTER GJE*/
{1028,1108,1028,0L}, /* CYRILLIC CAPITAL LETTER UKRAINIAN IE*/
{1029,1109,1029,0L}, /* CYRILLIC CAPITAL LETTER DZE*/
{1030,1110,1030,0L}, /* CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I*/
{1031,1111,1031,0L}, /* CYRILLIC CAPITAL LETTER YI*/
{1032,1112,1032,0L}, /* CYRILLIC CAPITAL LETTER JE*/
{1033,1113,1033,0L}, /* CYRILLIC CAPITAL LETTER LJE*/
{1034,1114,1034,0L}, /* CYRILLIC CAPITAL LETTER NJE*/
{1035,1115,1035,0L}, /* CYRILLIC CAPITAL LETTER TSHE*/
{1036,1116,1036,0L}, /* CYRILLIC CAPITAL LETTER KJE*/
{1037,1117,1037,0L}, /* CYRILLIC CAPITAL LETTER I WITH GRAVE*/
{1038,1118,1038,0L}, /* CYRILLIC CAPITAL LETTER SHORT U*/
{1039,1119,1039,0L}, /* CYRILLIC CAPITAL LETTER DZHE*/
{1040,1072,1040,0L}, /* CYRILLIC CAPITAL LETTER A*/
{1041,1073,1041,0L}, /* CYRILLIC CAPITAL LETTER BE*/
{1042,1074,1042,0L}, /* CYRILLIC CAPITAL LETTER VE*/
{1043,1075,1043,0L}, /* CYRILLIC CAPITAL LETTER GHE*/
{1044,1076,1044,0L}, /* CYRILLIC CAPITAL LETTER DE*/
{1045,1077,1045,0L}, /* CYRILLIC CAPITAL LETTER IE*/
{1046,1078,1046,0L}, /* CYRILLIC CAPITAL LETTER ZHE*/
{1047,1079,1047,0L}, /* CYRILLIC CAPITAL LETTER ZE*/
{1048,1080,1048,0L}, /* CYRILLIC CAPITAL LETTER I*/
{1049,1081,1049,0L}, /* CYRILLIC CAPITAL LETTER SHORT I*/
{1050,1082,1050,0L}, /* CYRILLIC CAPITAL LETTER KA*/
{1051,1083,1051,0L}, /* CYRILLIC CAPITAL LETTER EL*/
{1052,1084,1052,0L}, /* CYRILLIC CAPITAL LETTER EM*/
{1053,1085,1053,0L}, /* CYRILLIC CAPITAL LETTER EN*/
{1054,1086,1054,0L}, /* CYRILLIC CAPITAL LETTER O*/
{1055,1087,1055,0L}, /* CYRILLIC CAPITAL LETTER PE*/
{1056,1088,1056,0L}, /* CYRILLIC CAPITAL LETTER ER*/
{1057,1089,1057,0L}, /* CYRILLIC CAPITAL LETTER ES*/
{1058,1090,1058,0L}, /* CYRILLIC CAPITAL LETTER TE*/
{1059,1091,1059,0L}, /* CYRILLIC CAPITAL LETTER U*/
{1060,1092,1060,0L}, /* CYRILLIC CAPITAL LETTER EF*/
{1061,1093,1061,0L}, /* CYRILLIC CAPITAL LETTER HA*/
{1062,1094,1062,0L}, /* CYRILLIC CAPITAL LETTER TSE*/
{1063,1095,1063,0L}, /* CYRILLIC CAPITAL LETTER CHE*/
{1064,1096,1064,0L}, /* CYRILLIC CAPITAL LETTER SHA*/
{1065,1097,1065,0L}, /* CYRILLIC CAPITAL LETTER SHCHA*/
{1066,1098,1066,0L}, /* CYRILLIC CAPITAL LETTER HARD SIGN*/
{1067,1099,1067,0L}, /* CYRILLIC CAPITAL LETTER YERU*/
{1068,1100,1068,0L}, /* CYRILLIC CAPITAL LETTER SOFT SIGN*/
{1069,1101,1069,0L}, /* CYRILLIC CAPITAL LETTER E*/
{1070,1102,1070,0L}, /* CYRILLIC CAPITAL LETTER YU*/
{1071,1103,1071,0L}, /* CYRILLIC CAPITAL LETTER YA*/
{1072,1072,1040,0L}, /* CYRILLIC LETTER A*/
{1073,1073,1041,0L}, /* CYRILLIC LETTER BE*/
{1074,1074,1042,0L}, /* CYRILLIC LETTER VE*/
{1075,1075,1043,0L}, /* CYRILLIC LETTER GHE*/
{1076,1076,1044,0L}, /* CYRILLIC LETTER DE*/
{1077,1077,1045,0L}, /* CYRILLIC LETTER IE*/
{1078,1078,1046,0L}, /* CYRILLIC LETTER ZHE*/
{1079,1079,1047,0L}, /* CYRILLIC LETTER ZE*/
{1080,1080,1048,0L}, /* CYRILLIC LETTER I*/
{1081,1081,1049,0L}, /* CYRILLIC LETTER SHORT I*/
{1082,1082,1050,0L}, /* CYRILLIC LETTER KA*/
{1083,1083,1051,0L}, /* CYRILLIC LETTER EL*/
{1084,1084,1052,0L}, /* CYRILLIC LETTER EM*/
{1085,1085,1053,0L}, /* CYRILLIC LETTER EN*/
{1086,1086,1054,0L}, /* CYRILLIC LETTER O*/
{1087,1087,1055,0L}, /* CYRILLIC LETTER PE*/
{1088,1088,1056,0L}, /* CYRILLIC LETTER ER*/
{1089,1089,1057,0L}, /* CYRILLIC LETTER ES*/
{1090,1090,1058,0L}, /* CYRILLIC LETTER TE*/
{1091,1091,1059,0L}, /* CYRILLIC LETTER U*/
{1092,1092,1060,0L}, /* CYRILLIC LETTER EF*/
{1093,1093,1061,0L}, /* CYRILLIC LETTER HA*/
{1094,1094,1062,0L}, /* CYRILLIC LETTER TSE*/
{1095,1095,1063,0L}, /* CYRILLIC LETTER CHE*/
{1096,1096,1064,0L}, /* CYRILLIC LETTER SHA*/
{1097,1097,1065,0L}, /* CYRILLIC LETTER SHCHA*/
{1098,1098,1066,0L}, /* CYRILLIC LETTER HARD SIGN*/
{1099,1099,1067,0L}, /* CYRILLIC LETTER YERU*/
{1100,1100,1068,0L}, /* CYRILLIC LETTER SOFT SIGN*/
{1101,1101,1069,0L}, /* CYRILLIC LETTER E*/
{1102,1102,1070,0L}, /* CYRILLIC LETTER YU*/
{1103,1103,1071,0L}, /* CYRILLIC LETTER YA*/
{1104,1104,1024,0L}, /* CYRILLIC LETTER IE WITH GRAVE*/
{1105,1105,1025,0L}, /* CYRILLIC LETTER IO*/
{1106,1106,1026,0L}, /* CYRILLIC LETTER DJE*/
{1107,1107,1027,0L}, /* CYRILLIC LETTER GJE*/
{1108,1108,1028,0L}, /* CYRILLIC LETTER UKRAINIAN IE*/
{1109,1109,1029,0L}, /* CYRILLIC LETTER DZE*/
{1110,1110,1030,0L}, /* CYRILLIC LETTER BYELORUSSIAN-UKRAINIAN I*/
{1111,1111,1031,0L}, /* CYRILLIC LETTER YI*/
{1112,1112,1032,0L}, /* CYRILLIC LETTER JE*/
{1113,1113,1033,0L}, /* CYRILLIC LETTER LJE*/
{1114,1114,1034,0L}, /* CYRILLIC LETTER NJE*/
{1115,1115,1035,0L}, /* CYRILLIC LETTER TSHE*/
{1116,1116,1036,0L}, /* CYRILLIC LETTER KJE*/
{1117,1117,1037,0L}, /* CYRILLIC LETTER I WITH GRAVE*/
{1118,1118,1038,0L}, /* CYRILLIC LETTER SHORT U*/
{1119,1119,1039,0L}, /* CYRILLIC LETTER DZHE*/
{1120,1121,1120,0L}, /* CYRILLIC CAPITAL LETTER OMEGA*/
{1121,1121,1120,0L}, /* CYRILLIC LETTER OMEGA*/
{1122,1123,1122,0L}, /* CYRILLIC CAPITAL LETTER YAT*/
{1123,1123,1122,0L}, /* CYRILLIC LETTER YAT*/
{1124,1125,1124,0L}, /* CYRILLIC CAPITAL LETTER IOTIFIED E*/
{1125,1125,1124,0L}, /* CYRILLIC LETTER IOTIFIED E*/
{1126,1127,1126,0L}, /* CYRILLIC CAPITAL LETTER LITTLE YUS*/
{1127,1127,1126,0L}, /* CYRILLIC LETTER LITTLE YUS*/
{1128,1129,1128,0L}, /* CYRILLIC CAPITAL LETTER IOTIFIED LITTLE YUS*/
{1129,1129,1128,0L}, /* CYRILLIC LETTER IOTIFIED LITTLE YUS*/
{1130,1131,1130,0L}, /* CYRILLIC CAPITAL LETTER BIG YUS*/
{1131,1131,1130,0L}, /* CYRILLIC LETTER BIG YUS*/
{1132,1133,1132,0L}, /* CYRILLIC CAPITAL LETTER IOTIFIED BIG YUS*/
{1133,1133,1132,0L}, /* CYRILLIC LETTER IOTIFIED BIG YUS*/
{1134,1135,1134,0L}, /* CYRILLIC CAPITAL LETTER KSI*/
{1135,1135,1134,0L}, /* CYRILLIC LETTER KSI*/
{1136,1137,1136,0L}, /* CYRILLIC CAPITAL LETTER PSI*/
{1137,1137,1136,0L}, /* CYRILLIC LETTER PSI*/
{1138,1139,1138,0L}, /* CYRILLIC CAPITAL LETTER FITA*/
{1139,1139,1138,0L}, /* CYRILLIC LETTER FITA*/
{1140,1141,1140,0L}, /* CYRILLIC CAPITAL LETTER IZHITSA*/
{1141,1141,1140,0L}, /* CYRILLIC LETTER IZHITSA*/
{1142,1143,1142,0L}, /* CYRILLIC CAPITAL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT*/
{1143,1143,1142,0L}, /* CYRILLIC LETTER IZHITSA WITH DOUBLE GRAVE ACCENT*/
{1144,1145,1144,0L}, /* CYRILLIC CAPITAL LETTER UK*/
{1145,1145,1144,0L}, /* CYRILLIC LETTER UK*/
{1146,1147,1146,0L}, /* CYRILLIC CAPITAL LETTER ROUND OMEGA*/
{1147,1147,1146,0L}, /* CYRILLIC LETTER ROUND OMEGA*/
{1148,1149,1148,0L}, /* CYRILLIC CAPITAL LETTER OMEGA WITH TITLO*/
{1149,1149,1148,0L}, /* CYRILLIC LETTER OMEGA WITH TITLO*/
{1150,1151,1150,0L}, /* CYRILLIC CAPITAL LETTER OT*/
{1151,1151,1150,0L}, /* CYRILLIC LETTER OT*/
{1152,1153,1152,0L}, /* CYRILLIC CAPITAL LETTER KOPPA*/
{1153,1153,1152,0L}, /* CYRILLIC LETTER KOPPA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{1162,1163,1162,0L}, /* CYRILLIC CAPITAL LETTER SHORT I WITH TAIL*/
{1163,1163,1162,0L}, /* CYRILLIC LETTER SHORT I WITH TAIL*/
{1164,1165,1164,0L}, /* CYRILLIC CAPITAL LETTER SEMISOFT SIGN*/
{1165,1165,1164,0L}, /* CYRILLIC LETTER SEMISOFT SIGN*/
{1166,1167,1166,0L}, /* CYRILLIC CAPITAL LETTER ER WITH TICK*/
{1167,1167,1166,0L}, /* CYRILLIC LETTER ER WITH TICK*/
{1168,1169,1168,0L}, /* CYRILLIC CAPITAL LETTER GHE WITH UPTURN*/
{1169,1169,1168,0L}, /* CYRILLIC LETTER GHE WITH UPTURN*/
{1170,1171,1170,0L}, /* CYRILLIC CAPITAL LETTER GHE WITH STROKE*/
{1171,1171,1170,0L}, /* CYRILLIC LETTER GHE WITH STROKE*/
{1172,1173,1172,0L}, /* CYRILLIC CAPITAL LETTER GHE WITH MIDDLE HOOK*/
{1173,1173,1172,0L}, /* CYRILLIC LETTER GHE WITH MIDDLE HOOK*/
{1174,1175,1174,0L}, /* CYRILLIC CAPITAL LETTER ZHE WITH DESCENDER*/
{1175,1175,1174,0L}, /* CYRILLIC LETTER ZHE WITH DESCENDER*/
{1176,1177,1176,0L}, /* CYRILLIC CAPITAL LETTER ZE WITH DESCENDER*/
{1177,1177,1176,0L}, /* CYRILLIC LETTER ZE WITH DESCENDER*/
{1178,1179,1178,0L}, /* CYRILLIC CAPITAL LETTER KA WITH DESCENDER*/
{1179,1179,1178,0L}, /* CYRILLIC LETTER KA WITH DESCENDER*/
{1180,1181,1180,0L}, /* CYRILLIC CAPITAL LETTER KA WITH VERTICAL STROKE*/
{1181,1181,1180,0L}, /* CYRILLIC LETTER KA WITH VERTICAL STROKE*/
{1182,1183,1182,0L}, /* CYRILLIC CAPITAL LETTER KA WITH STROKE*/
{1183,1183,1182,0L}, /* CYRILLIC LETTER KA WITH STROKE*/
{1184,1185,1184,0L}, /* CYRILLIC CAPITAL LETTER BASHKIR KA*/
{1185,1185,1184,0L}, /* CYRILLIC LETTER BASHKIR KA*/
{1186,1187,1186,0L}, /* CYRILLIC CAPITAL LETTER EN WITH DESCENDER*/
{1187,1187,1186,0L}, /* CYRILLIC LETTER EN WITH DESCENDER*/
{1188,1189,1188,0L}, /* CYRILLIC CAPITAL LIGATURE EN GHE*/
{1189,1189,1188,0L}, /* CYRILLIC LIGATURE EN GHE*/
{1190,1191,1190,0L}, /* CYRILLIC CAPITAL LETTER PE WITH MIDDLE HOOK*/
{1191,1191,1190,0L}, /* CYRILLIC LETTER PE WITH MIDDLE HOOK*/
{1192,1193,1192,0L}, /* CYRILLIC CAPITAL LETTER ABKHASIAN HA*/
{1193,1193,1192,0L}, /* CYRILLIC LETTER ABKHASIAN HA*/
{1194,1195,1194,0L}, /* CYRILLIC CAPITAL LETTER ES WITH DESCENDER*/
{1195,1195,1194,0L}, /* CYRILLIC LETTER ES WITH DESCENDER*/
{1196,1197,1196,0L}, /* CYRILLIC CAPITAL LETTER TE WITH DESCENDER*/
{1197,1197,1196,0L}, /* CYRILLIC LETTER TE WITH DESCENDER*/
{1198,1199,1198,0L}, /* CYRILLIC CAPITAL LETTER STRAIGHT U*/
{1199,1199,1198,0L}, /* CYRILLIC LETTER STRAIGHT U*/
{1200,1201,1200,0L}, /* CYRILLIC CAPITAL LETTER STRAIGHT U WITH STROKE*/
{1201,1201,1200,0L}, /* CYRILLIC LETTER STRAIGHT U WITH STROKE*/
{1202,1203,1202,0L}, /* CYRILLIC CAPITAL LETTER HA WITH DESCENDER*/
{1203,1203,1202,0L}, /* CYRILLIC LETTER HA WITH DESCENDER*/
{1204,1205,1204,0L}, /* CYRILLIC CAPITAL LIGATURE TE TSE*/
{1205,1205,1204,0L}, /* CYRILLIC LIGATURE TE TSE*/
{1206,1207,1206,0L}, /* CYRILLIC CAPITAL LETTER CHE WITH DESCENDER*/
{1207,1207,1206,0L}, /* CYRILLIC LETTER CHE WITH DESCENDER*/
{1208,1209,1208,0L}, /* CYRILLIC CAPITAL LETTER CHE WITH VERTICAL STROKE*/
{1209,1209,1208,0L}, /* CYRILLIC LETTER CHE WITH VERTICAL STROKE*/
{1210,1211,1210,0L}, /* CYRILLIC CAPITAL LETTER SHHA*/
{1211,1211,1210,0L}, /* CYRILLIC LETTER SHHA*/
{1212,1213,1212,0L}, /* CYRILLIC CAPITAL LETTER ABKHASIAN CHE*/
{1213,1213,1212,0L}, /* CYRILLIC LETTER ABKHASIAN CHE*/
{1214,1215,1214,0L}, /* CYRILLIC CAPITAL LETTER ABKHASIAN CHE WITH DESCENDER*/
{1215,1215,1214,0L}, /* CYRILLIC LETTER ABKHASIAN CHE WITH DESCENDER*/
{1216,1231,0,0L}, /* CYRILLIC LETTER PALOCHKA*/
{1217,1218,1217,0L}, /* CYRILLIC CAPITAL LETTER ZHE WITH BREVE*/
{1218,1218,1217,0L}, /* CYRILLIC LETTER ZHE WITH BREVE*/
{1219,1220,1219,0L}, /* CYRILLIC CAPITAL LETTER KA WITH HOOK*/
{1220,1220,1219,0L}, /* CYRILLIC LETTER KA WITH HOOK*/
{1221,1222,1221,0L}, /* CYRILLIC CAPITAL LETTER EL WITH TAIL*/
{1222,1222,1221,0L}, /* CYRILLIC LETTER EL WITH TAIL*/
{1223,1224,1223,0L}, /* CYRILLIC CAPITAL LETTER EN WITH HOOK*/
{1224,1224,1223,0L}, /* CYRILLIC LETTER EN WITH HOOK*/
{1225,1226,1225,0L}, /* CYRILLIC CAPITAL LETTER EN WITH TAIL*/
{1226,1226,1225,0L}, /* CYRILLIC LETTER EN WITH TAIL*/
{1227,1228,1227,0L}, /* CYRILLIC CAPITAL LETTER KHAKASSIAN CHE*/
{1228,1228,1227,0L}, /* CYRILLIC LETTER KHAKASSIAN CHE*/
{1229,1230,1229,0L}, /* CYRILLIC CAPITAL LETTER EM WITH TAIL*/
{1230,1230,1229,0L}, /* CYRILLIC LETTER EM WITH TAIL*/
{0,0,0,0L}, 
{1232,1233,1232,0L}, /* CYRILLIC CAPITAL LETTER A WITH BREVE*/
{1233,1233,1232,0L}, /* CYRILLIC LETTER A WITH BREVE*/
{1234,1235,1234,0L}, /* CYRILLIC CAPITAL LETTER A WITH DIAERESIS*/
{1235,1235,1234,0L}, /* CYRILLIC LETTER A WITH DIAERESIS*/
{1236,1237,1236,0L}, /* CYRILLIC CAPITAL LIGATURE A IE*/
{1237,1237,1236,0L}, /* CYRILLIC LIGATURE A IE*/
{1238,1239,1238,0L}, /* CYRILLIC CAPITAL LETTER IE WITH BREVE*/
{1239,1239,1238,0L}, /* CYRILLIC LETTER IE WITH BREVE*/
{1240,1241,1240,0L}, /* CYRILLIC CAPITAL LETTER SCHWA*/
{1241,1241,1240,0L}, /* CYRILLIC LETTER SCHWA*/
{1242,1243,1242,0L}, /* CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS*/
{1243,1243,1242,0L}, /* CYRILLIC LETTER SCHWA WITH DIAERESIS*/
{1244,1245,1244,0L}, /* CYRILLIC CAPITAL LETTER ZHE WITH DIAERESIS*/
{1245,1245,1244,0L}, /* CYRILLIC LETTER ZHE WITH DIAERESIS*/
{1246,1247,1246,0L}, /* CYRILLIC CAPITAL LETTER ZE WITH DIAERESIS*/
{1247,1247,1246,0L}, /* CYRILLIC LETTER ZE WITH DIAERESIS*/
{1248,1249,1248,0L}, /* CYRILLIC CAPITAL LETTER ABKHASIAN DZE*/
{1249,1249,1248,0L}, /* CYRILLIC LETTER ABKHASIAN DZE*/
{1250,1251,1250,0L}, /* CYRILLIC CAPITAL LETTER I WITH MACRON*/
{1251,1251,1250,0L}, /* CYRILLIC LETTER I WITH MACRON*/
{1252,1253,1252,0L}, /* CYRILLIC CAPITAL LETTER I WITH DIAERESIS*/
{1253,1253,1252,0L}, /* CYRILLIC LETTER I WITH DIAERESIS*/
{1254,1255,1254,0L}, /* CYRILLIC CAPITAL LETTER O WITH DIAERESIS*/
{1255,1255,1254,0L}, /* CYRILLIC LETTER O WITH DIAERESIS*/
{1256,1257,1256,0L}, /* CYRILLIC CAPITAL LETTER BARRED O*/
{1257,1257,1256,0L}, /* CYRILLIC LETTER BARRED O*/
{1258,1259,1258,0L}, /* CYRILLIC CAPITAL LETTER BARRED O WITH DIAERESIS*/
{1259,1259,1258,0L}, /* CYRILLIC LETTER BARRED O WITH DIAERESIS*/
{1260,1261,1260,0L}, /* CYRILLIC CAPITAL LETTER E WITH DIAERESIS*/
{1261,1261,1260,0L}, /* CYRILLIC LETTER E WITH DIAERESIS*/
{1262,1263,1262,0L}, /* CYRILLIC CAPITAL LETTER U WITH MACRON*/
{1263,1263,1262,0L}, /* CYRILLIC LETTER U WITH MACRON*/
{1264,1265,1264,0L}, /* CYRILLIC CAPITAL LETTER U WITH DIAERESIS*/
{1265,1265,1264,0L}, /* CYRILLIC LETTER U WITH DIAERESIS*/
{1266,1267,1266,0L}, /* CYRILLIC CAPITAL LETTER U WITH DOUBLE ACUTE*/
{1267,1267,1266,0L}, /* CYRILLIC LETTER U WITH DOUBLE ACUTE*/
{1268,1269,1268,0L}, /* CYRILLIC CAPITAL LETTER CHE WITH DIAERESIS*/
{1269,1269,1268,0L}, /* CYRILLIC LETTER CHE WITH DIAERESIS*/
{1270,1271,1270,0L}, /* CYRILLIC CAPITAL LETTER GHE WITH DESCENDER*/
{1271,1271,1270,0L}, /* CYRILLIC LETTER GHE WITH DESCENDER*/
{1272,1273,1272,0L}, /* CYRILLIC CAPITAL LETTER YERU WITH DIAERESIS*/
{1273,1273,1272,0L}, /* CYRILLIC LETTER YERU WITH DIAERESIS*/
{1274,1275,1274,0L}, /* CYRILLIC CAPITAL LETTER GHE WITH STROKE AND HOOK*/
{1275,1275,1274,0L}, /* CYRILLIC LETTER GHE WITH STROKE AND HOOK*/
{1276,1277,1276,0L}, /* CYRILLIC CAPITAL LETTER HA WITH HOOK*/
{1277,1277,1276,0L}, /* CYRILLIC LETTER HA WITH HOOK*/
{1278,1279,1278,0L}, /* CYRILLIC CAPITAL LETTER HA WITH STROKE*/
{1279,1279,1278,0L}, /* CYRILLIC LETTER HA WITH STROKE*/
{1280,1281,1280,0L}, /* CYRILLIC CAPITAL LETTER KOMI DE*/
{1281,1281,1280,0L}, /* CYRILLIC LETTER KOMI DE*/
{1282,1283,1282,0L}, /* CYRILLIC CAPITAL LETTER KOMI DJE*/
{1283,1283,1282,0L}, /* CYRILLIC LETTER KOMI DJE*/
{1284,1285,1284,0L}, /* CYRILLIC CAPITAL LETTER KOMI ZJE*/
{1285,1285,1284,0L}, /* CYRILLIC LETTER KOMI ZJE*/
{1286,1287,1286,0L}, /* CYRILLIC CAPITAL LETTER KOMI DZJE*/
{1287,1287,1286,0L}, /* CYRILLIC LETTER KOMI DZJE*/
{1288,1289,1288,0L}, /* CYRILLIC CAPITAL LETTER KOMI LJE*/
{1289,1289,1288,0L}, /* CYRILLIC LETTER KOMI LJE*/
{1290,1291,1290,0L}, /* CYRILLIC CAPITAL LETTER KOMI NJE*/
{1291,1291,1290,0L}, /* CYRILLIC LETTER KOMI NJE*/
{1292,1293,1292,0L}, /* CYRILLIC CAPITAL LETTER KOMI SJE*/
{1293,1293,1292,0L}, /* CYRILLIC LETTER KOMI SJE*/
{1294,1295,1294,0L}, /* CYRILLIC CAPITAL LETTER KOMI TJE*/
{1295,1295,1294,0L}, /* CYRILLIC LETTER KOMI TJE*/
{1296,1297,1296,0L}, /* CYRILLIC CAPITAL LETTER REVERSED ZE*/
{1297,1297,1296,0L}, /* CYRILLIC LETTER REVERSED ZE*/
{1298,1299,1298,0L}, /* CYRILLIC CAPITAL LETTER EL WITH HOOK*/
{1299,1299,1298,0L}, /* CYRILLIC LETTER EL WITH HOOK*/
{1300,1301,1300,0L}, /* CYRILLIC CAPITAL LETTER LHA*/
{1301,1301,1300,0L}, /* CYRILLIC LETTER LHA*/
{1302,1303,1302,0L}, /* CYRILLIC CAPITAL LETTER RHA*/
{1303,1303,1302,0L}, /* CYRILLIC LETTER RHA*/
{1304,1305,1304,0L}, /* CYRILLIC CAPITAL LETTER YAE*/
{1305,1305,1304,0L}, /* CYRILLIC LETTER YAE*/
{1306,1307,1306,0L}, /* CYRILLIC CAPITAL LETTER QA*/
{1307,1307,1306,0L}, /* CYRILLIC LETTER QA*/
{1308,1309,1308,0L}, /* CYRILLIC CAPITAL LETTER WE*/
{1309,1309,1308,0L}, /* CYRILLIC LETTER WE*/
{1310,1311,1310,0L}, /* CYRILLIC CAPITAL LETTER ALEUT KA*/
{1311,1311,1310,0L}, /* CYRILLIC LETTER ALEUT KA*/
{1312,1313,1312,0L}, /* CYRILLIC CAPITAL LETTER EL WITH MIDDLE HOOK*/
{1313,1313,1312,0L}, /* CYRILLIC LETTER EL WITH MIDDLE HOOK*/
{1314,1315,1314,0L}, /* CYRILLIC CAPITAL LETTER EN WITH MIDDLE HOOK*/
{1315,1315,1314,0L}, /* CYRILLIC LETTER EN WITH MIDDLE HOOK*/
{1316,1317,1316,0L}, /* CYRILLIC CAPITAL LETTER PE WITH DESCENDER*/
{1317,1317,1316,0L}, /* CYRILLIC LETTER PE WITH DESCENDER*/
{1318,1319,1318,0L}, /* CYRILLIC CAPITAL LETTER SHHA WITH DESCENDER*/
{1319,1319,1318,0L}, /* CYRILLIC LETTER SHHA WITH DESCENDER*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{1329,1377,1329,0L}, /* ARMENIAN CAPITAL LETTER AYB*/
{1330,1378,1330,0L}, /* ARMENIAN CAPITAL LETTER BEN*/
{1331,1379,1331,0L}, /* ARMENIAN CAPITAL LETTER GIM*/
{1332,1380,1332,0L}, /* ARMENIAN CAPITAL LETTER DA*/
{1333,1381,1333,0L}, /* ARMENIAN CAPITAL LETTER ECH*/
{1334,1382,1334,0L}, /* ARMENIAN CAPITAL LETTER ZA*/
{1335,1383,1335,0L}, /* ARMENIAN CAPITAL LETTER EH*/
{1336,1384,1336,0L}, /* ARMENIAN CAPITAL LETTER ET*/
{1337,1385,1337,0L}, /* ARMENIAN CAPITAL LETTER TO*/
{1338,1386,1338,0L}, /* ARMENIAN CAPITAL LETTER ZHE*/
{1339,1387,1339,0L}, /* ARMENIAN CAPITAL LETTER INI*/
{1340,1388,1340,0L}, /* ARMENIAN CAPITAL LETTER LIWN*/
{1341,1389,1341,0L}, /* ARMENIAN CAPITAL LETTER XEH*/
{1342,1390,1342,0L}, /* ARMENIAN CAPITAL LETTER CA*/
{1343,1391,1343,0L}, /* ARMENIAN CAPITAL LETTER KEN*/
{1344,1392,1344,0L}, /* ARMENIAN CAPITAL LETTER HO*/
{1345,1393,1345,0L}, /* ARMENIAN CAPITAL LETTER JA*/
{1346,1394,1346,0L}, /* ARMENIAN CAPITAL LETTER GHAD*/
{1347,1395,1347,0L}, /* ARMENIAN CAPITAL LETTER CHEH*/
{1348,1396,1348,0L}, /* ARMENIAN CAPITAL LETTER MEN*/
{1349,1397,1349,0L}, /* ARMENIAN CAPITAL LETTER YI*/
{1350,1398,1350,0L}, /* ARMENIAN CAPITAL LETTER NOW*/
{1351,1399,1351,0L}, /* ARMENIAN CAPITAL LETTER SHA*/
{1352,1400,1352,0L}, /* ARMENIAN CAPITAL LETTER VO*/
{1353,1401,1353,0L}, /* ARMENIAN CAPITAL LETTER CHA*/
{1354,1402,1354,0L}, /* ARMENIAN CAPITAL LETTER PEH*/
{1355,1403,1355,0L}, /* ARMENIAN CAPITAL LETTER JHEH*/
{1356,1404,1356,0L}, /* ARMENIAN CAPITAL LETTER RA*/
{1357,1405,1357,0L}, /* ARMENIAN CAPITAL LETTER SEH*/
{1358,1406,1358,0L}, /* ARMENIAN CAPITAL LETTER VEW*/
{1359,1407,1359,0L}, /* ARMENIAN CAPITAL LETTER TIWN*/
{1360,1408,1360,0L}, /* ARMENIAN CAPITAL LETTER REH*/
{1361,1409,1361,0L}, /* ARMENIAN CAPITAL LETTER CO*/
{1362,1410,1362,0L}, /* ARMENIAN CAPITAL LETTER YIWN*/
{1363,1411,1363,0L}, /* ARMENIAN CAPITAL LETTER PIWR*/
{1364,1412,1364,0L}, /* ARMENIAN CAPITAL LETTER KEH*/
{1365,1413,1365,0L}, /* ARMENIAN CAPITAL LETTER OH*/
{1366,1414,1366,0L}, /* ARMENIAN CAPITAL LETTER FEH*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{7545,7545,42877,0L}, /* LATIN LETTER INSULAR G*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{7549,7549,11363,0L}, /* LATIN LETTER P WITH STROKE*/
{1377,1377,1329,0L}, /* ARMENIAN LETTER AYB*/
{1378,1378,1330,0L}, /* ARMENIAN LETTER BEN*/
{1379,1379,1331,0L}, /* ARMENIAN LETTER GIM*/
{1380,1380,1332,0L}, /* ARMENIAN LETTER DA*/
{1381,1381,1333,0L}, /* ARMENIAN LETTER ECH*/
{1382,1382,1334,0L}, /* ARMENIAN LETTER ZA*/
{1383,1383,1335,0L}, /* ARMENIAN LETTER EH*/
{1384,1384,1336,0L}, /* ARMENIAN LETTER ET*/
{1385,1385,1337,0L}, /* ARMENIAN LETTER TO*/
{1386,1386,1338,0L}, /* ARMENIAN LETTER ZHE*/
{1387,1387,1339,0L}, /* ARMENIAN LETTER INI*/
{1388,1388,1340,0L}, /* ARMENIAN LETTER LIWN*/
{1389,1389,1341,0L}, /* ARMENIAN LETTER XEH*/
{1390,1390,1342,0L}, /* ARMENIAN LETTER CA*/
{1391,1391,1343,0L}, /* ARMENIAN LETTER KEN*/
{1392,1392,1344,0L}, /* ARMENIAN LETTER HO*/
{1393,1393,1345,0L}, /* ARMENIAN LETTER JA*/
{1394,1394,1346,0L}, /* ARMENIAN LETTER GHAD*/
{1395,1395,1347,0L}, /* ARMENIAN LETTER CHEH*/
{1396,1396,1348,0L}, /* ARMENIAN LETTER MEN*/
{1397,1397,1349,0L}, /* ARMENIAN LETTER YI*/
{1398,1398,1350,0L}, /* ARMENIAN LETTER NOW*/
{1399,1399,1351,0L}, /* ARMENIAN LETTER SHA*/
{1400,1400,1352,0L}, /* ARMENIAN LETTER VO*/
{1401,1401,1353,0L}, /* ARMENIAN LETTER CHA*/
{1402,1402,1354,0L}, /* ARMENIAN LETTER PEH*/
{1403,1403,1355,0L}, /* ARMENIAN LETTER JHEH*/
{1404,1404,1356,0L}, /* ARMENIAN LETTER RA*/
{1405,1405,1357,0L}, /* ARMENIAN LETTER SEH*/
{1406,1406,1358,0L}, /* ARMENIAN LETTER VEW*/
{1407,1407,1359,0L}, /* ARMENIAN LETTER TIWN*/
{1408,1408,1360,0L}, /* ARMENIAN LETTER REH*/
{1409,1409,1361,0L}, /* ARMENIAN LETTER CO*/
{1410,1410,1362,0L}, /* ARMENIAN LETTER YIWN*/
{1411,1411,1363,0L}, /* ARMENIAN LETTER PIWR*/
{1412,1412,1364,0L}, /* ARMENIAN LETTER KEH*/
{1413,1413,1365,0L}, /* ARMENIAN LETTER OH*/
{1414,1414,1366,0L}, /* ARMENIAN LETTER FEH*/
{1415,1415,0,Full+41}, /* ARMENIAN SMALL LIGATURE ECH YIWN*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{7680,7681,7680,0L}, /* LATIN CAPITAL LETTER A WITH RING BELOW*/
{7681,7681,7680,0L}, /* LATIN LETTER A WITH RING BELOW*/
{7682,7683,7682,0L}, /* LATIN CAPITAL LETTER B WITH DOT ABOVE*/
{7683,7683,7682,0L}, /* LATIN LETTER B WITH DOT ABOVE*/
{7684,7685,7684,0L}, /* LATIN CAPITAL LETTER B WITH DOT BELOW*/
{7685,7685,7684,0L}, /* LATIN LETTER B WITH DOT BELOW*/
{7686,7687,7686,0L}, /* LATIN CAPITAL LETTER B WITH LINE BELOW*/
{7687,7687,7686,0L}, /* LATIN LETTER B WITH LINE BELOW*/
{7688,7689,7688,0L}, /* LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE*/
{7689,7689,7688,0L}, /* LATIN LETTER C WITH CEDILLA AND ACUTE*/
{7690,7691,7690,0L}, /* LATIN CAPITAL LETTER D WITH DOT ABOVE*/
{7691,7691,7690,0L}, /* LATIN LETTER D WITH DOT ABOVE*/
{7692,7693,7692,0L}, /* LATIN CAPITAL LETTER D WITH DOT BELOW*/
{7693,7693,7692,0L}, /* LATIN LETTER D WITH DOT BELOW*/
{7694,7695,7694,0L}, /* LATIN CAPITAL LETTER D WITH LINE BELOW*/
{7695,7695,7694,0L}, /* LATIN LETTER D WITH LINE BELOW*/
{7696,7697,7696,0L}, /* LATIN CAPITAL LETTER D WITH CEDILLA*/
{7697,7697,7696,0L}, /* LATIN LETTER D WITH CEDILLA*/
{7698,7699,7698,0L}, /* LATIN CAPITAL LETTER D WITH CIRCUMFLEX BELOW*/
{7699,7699,7698,0L}, /* LATIN LETTER D WITH CIRCUMFLEX BELOW*/
{7700,7701,7700,0L}, /* LATIN CAPITAL LETTER E WITH MACRON AND GRAVE*/
{7701,7701,7700,0L}, /* LATIN LETTER E WITH MACRON AND GRAVE*/
{7702,7703,7702,0L}, /* LATIN CAPITAL LETTER E WITH MACRON AND ACUTE*/
{7703,7703,7702,0L}, /* LATIN LETTER E WITH MACRON AND ACUTE*/
{7704,7705,7704,0L}, /* LATIN CAPITAL LETTER E WITH CIRCUMFLEX BELOW*/
{7705,7705,7704,0L}, /* LATIN LETTER E WITH CIRCUMFLEX BELOW*/
{7706,7707,7706,0L}, /* LATIN CAPITAL LETTER E WITH TILDE BELOW*/
{7707,7707,7706,0L}, /* LATIN LETTER E WITH TILDE BELOW*/
{7708,7709,7708,0L}, /* LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE*/
{7709,7709,7708,0L}, /* LATIN LETTER E WITH CEDILLA AND BREVE*/
{7710,7711,7710,0L}, /* LATIN CAPITAL LETTER F WITH DOT ABOVE*/
{7711,7711,7710,0L}, /* LATIN LETTER F WITH DOT ABOVE*/
{7712,7713,7712,0L}, /* LATIN CAPITAL LETTER G WITH MACRON*/
{7713,7713,7712,0L}, /* LATIN LETTER G WITH MACRON*/
{7714,7715,7714,0L}, /* LATIN CAPITAL LETTER H WITH DOT ABOVE*/
{7715,7715,7714,0L}, /* LATIN LETTER H WITH DOT ABOVE*/
{7716,7717,7716,0L}, /* LATIN CAPITAL LETTER H WITH DOT BELOW*/
{7717,7717,7716,0L}, /* LATIN LETTER H WITH DOT BELOW*/
{7718,7719,7718,0L}, /* LATIN CAPITAL LETTER H WITH DIAERESIS*/
{7719,7719,7718,0L}, /* LATIN LETTER H WITH DIAERESIS*/
{7720,7721,7720,0L}, /* LATIN CAPITAL LETTER H WITH CEDILLA*/
{7721,7721,7720,0L}, /* LATIN LETTER H WITH CEDILLA*/
{7722,7723,7722,0L}, /* LATIN CAPITAL LETTER H WITH BREVE BELOW*/
{7723,7723,7722,0L}, /* LATIN LETTER H WITH BREVE BELOW*/
{7724,7725,7724,0L}, /* LATIN CAPITAL LETTER I WITH TILDE BELOW*/
{7725,7725,7724,0L}, /* LATIN LETTER I WITH TILDE BELOW*/
{7726,7727,7726,0L}, /* LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE*/
{7727,7727,7726,0L}, /* LATIN LETTER I WITH DIAERESIS AND ACUTE*/
{7728,7729,7728,0L}, /* LATIN CAPITAL LETTER K WITH ACUTE*/
{7729,7729,7728,0L}, /* LATIN LETTER K WITH ACUTE*/
{7730,7731,7730,0L}, /* LATIN CAPITAL LETTER K WITH DOT BELOW*/
{7731,7731,7730,0L}, /* LATIN LETTER K WITH DOT BELOW*/
{7732,7733,7732,0L}, /* LATIN CAPITAL LETTER K WITH LINE BELOW*/
{7733,7733,7732,0L}, /* LATIN LETTER K WITH LINE BELOW*/
{7734,7735,7734,0L}, /* LATIN CAPITAL LETTER L WITH DOT BELOW*/
{7735,7735,7734,0L}, /* LATIN LETTER L WITH DOT BELOW*/
{7736,7737,7736,0L}, /* LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON*/
{7737,7737,7736,0L}, /* LATIN LETTER L WITH DOT BELOW AND MACRON*/
{7738,7739,7738,0L}, /* LATIN CAPITAL LETTER L WITH LINE BELOW*/
{7739,7739,7738,0L}, /* LATIN LETTER L WITH LINE BELOW*/
{7740,7741,7740,0L}, /* LATIN CAPITAL LETTER L WITH CIRCUMFLEX BELOW*/
{7741,7741,7740,0L}, /* LATIN LETTER L WITH CIRCUMFLEX BELOW*/
{7742,7743,7742,0L}, /* LATIN CAPITAL LETTER M WITH ACUTE*/
{7743,7743,7742,0L}, /* LATIN LETTER M WITH ACUTE*/
{7744,7745,7744,0L}, /* LATIN CAPITAL LETTER M WITH DOT ABOVE*/
{7745,7745,7744,0L}, /* LATIN LETTER M WITH DOT ABOVE*/
{7746,7747,7746,0L}, /* LATIN CAPITAL LETTER M WITH DOT BELOW*/
{7747,7747,7746,0L}, /* LATIN LETTER M WITH DOT BELOW*/
{7748,7749,7748,0L}, /* LATIN CAPITAL LETTER N WITH DOT ABOVE*/
{7749,7749,7748,0L}, /* LATIN LETTER N WITH DOT ABOVE*/
{7750,7751,7750,0L}, /* LATIN CAPITAL LETTER N WITH DOT BELOW*/
{7751,7751,7750,0L}, /* LATIN LETTER N WITH DOT BELOW*/
{7752,7753,7752,0L}, /* LATIN CAPITAL LETTER N WITH LINE BELOW*/
{7753,7753,7752,0L}, /* LATIN LETTER N WITH LINE BELOW*/
{7754,7755,7754,0L}, /* LATIN CAPITAL LETTER N WITH CIRCUMFLEX BELOW*/
{7755,7755,7754,0L}, /* LATIN LETTER N WITH CIRCUMFLEX BELOW*/
{7756,7757,7756,0L}, /* LATIN CAPITAL LETTER O WITH TILDE AND ACUTE*/
{7757,7757,7756,0L}, /* LATIN LETTER O WITH TILDE AND ACUTE*/
{7758,7759,7758,0L}, /* LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS*/
{7759,7759,7758,0L}, /* LATIN LETTER O WITH TILDE AND DIAERESIS*/
{7760,7761,7760,0L}, /* LATIN CAPITAL LETTER O WITH MACRON AND GRAVE*/
{7761,7761,7760,0L}, /* LATIN LETTER O WITH MACRON AND GRAVE*/
{7762,7763,7762,0L}, /* LATIN CAPITAL LETTER O WITH MACRON AND ACUTE*/
{7763,7763,7762,0L}, /* LATIN LETTER O WITH MACRON AND ACUTE*/
{7764,7765,7764,0L}, /* LATIN CAPITAL LETTER P WITH ACUTE*/
{7765,7765,7764,0L}, /* LATIN LETTER P WITH ACUTE*/
{7766,7767,7766,0L}, /* LATIN CAPITAL LETTER P WITH DOT ABOVE*/
{7767,7767,7766,0L}, /* LATIN LETTER P WITH DOT ABOVE*/
{7768,7769,7768,0L}, /* LATIN CAPITAL LETTER R WITH DOT ABOVE*/
{7769,7769,7768,0L}, /* LATIN LETTER R WITH DOT ABOVE*/
{7770,7771,7770,0L}, /* LATIN CAPITAL LETTER R WITH DOT BELOW*/
{7771,7771,7770,0L}, /* LATIN LETTER R WITH DOT BELOW*/
{7772,7773,7772,0L}, /* LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON*/
{7773,7773,7772,0L}, /* LATIN LETTER R WITH DOT BELOW AND MACRON*/
{7774,7775,7774,0L}, /* LATIN CAPITAL LETTER R WITH LINE BELOW*/
{7775,7775,7774,0L}, /* LATIN LETTER R WITH LINE BELOW*/
{7776,7777,7776,0L}, /* LATIN CAPITAL LETTER S WITH DOT ABOVE*/
{7777,7777,7776,0L}, /* LATIN LETTER S WITH DOT ABOVE*/
{7778,7779,7778,0L}, /* LATIN CAPITAL LETTER S WITH DOT BELOW*/
{7779,7779,7778,0L}, /* LATIN LETTER S WITH DOT BELOW*/
{7780,7781,7780,0L}, /* LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE*/
{7781,7781,7780,0L}, /* LATIN LETTER S WITH ACUTE AND DOT ABOVE*/
{7782,7783,7782,0L}, /* LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE*/
{7783,7783,7782,0L}, /* LATIN LETTER S WITH CARON AND DOT ABOVE*/
{7784,7785,7784,0L}, /* LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE*/
{7785,7785,7784,0L}, /* LATIN LETTER S WITH DOT BELOW AND DOT ABOVE*/
{7786,7787,7786,0L}, /* LATIN CAPITAL LETTER T WITH DOT ABOVE*/
{7787,7787,7786,0L}, /* LATIN LETTER T WITH DOT ABOVE*/
{7788,7789,7788,0L}, /* LATIN CAPITAL LETTER T WITH DOT BELOW*/
{7789,7789,7788,0L}, /* LATIN LETTER T WITH DOT BELOW*/
{7790,7791,7790,0L}, /* LATIN CAPITAL LETTER T WITH LINE BELOW*/
{7791,7791,7790,0L}, /* LATIN LETTER T WITH LINE BELOW*/
{7792,7793,7792,0L}, /* LATIN CAPITAL LETTER T WITH CIRCUMFLEX BELOW*/
{7793,7793,7792,0L}, /* LATIN LETTER T WITH CIRCUMFLEX BELOW*/
{7794,7795,7794,0L}, /* LATIN CAPITAL LETTER U WITH DIAERESIS BELOW*/
{7795,7795,7794,0L}, /* LATIN LETTER U WITH DIAERESIS BELOW*/
{7796,7797,7796,0L}, /* LATIN CAPITAL LETTER U WITH TILDE BELOW*/
{7797,7797,7796,0L}, /* LATIN LETTER U WITH TILDE BELOW*/
{7798,7799,7798,0L}, /* LATIN CAPITAL LETTER U WITH CIRCUMFLEX BELOW*/
{7799,7799,7798,0L}, /* LATIN LETTER U WITH CIRCUMFLEX BELOW*/
{7800,7801,7800,0L}, /* LATIN CAPITAL LETTER U WITH TILDE AND ACUTE*/
{7801,7801,7800,0L}, /* LATIN LETTER U WITH TILDE AND ACUTE*/
{7802,7803,7802,0L}, /* LATIN CAPITAL LETTER U WITH MACRON AND DIAERESIS*/
{7803,7803,7802,0L}, /* LATIN LETTER U WITH MACRON AND DIAERESIS*/
{7804,7805,7804,0L}, /* LATIN CAPITAL LETTER V WITH TILDE*/
{7805,7805,7804,0L}, /* LATIN LETTER V WITH TILDE*/
{7806,7807,7806,0L}, /* LATIN CAPITAL LETTER V WITH DOT BELOW*/
{7807,7807,7806,0L}, /* LATIN LETTER V WITH DOT BELOW*/
{7808,7809,7808,0L}, /* LATIN CAPITAL LETTER W WITH GRAVE*/
{7809,7809,7808,0L}, /* LATIN LETTER W WITH GRAVE*/
{7810,7811,7810,0L}, /* LATIN CAPITAL LETTER W WITH ACUTE*/
{7811,7811,7810,0L}, /* LATIN LETTER W WITH ACUTE*/
{7812,7813,7812,0L}, /* LATIN CAPITAL LETTER W WITH DIAERESIS*/
{7813,7813,7812,0L}, /* LATIN LETTER W WITH DIAERESIS*/
{7814,7815,7814,0L}, /* LATIN CAPITAL LETTER W WITH DOT ABOVE*/
{7815,7815,7814,0L}, /* LATIN LETTER W WITH DOT ABOVE*/
{7816,7817,7816,0L}, /* LATIN CAPITAL LETTER W WITH DOT BELOW*/
{7817,7817,7816,0L}, /* LATIN LETTER W WITH DOT BELOW*/
{7818,7819,7818,0L}, /* LATIN CAPITAL LETTER X WITH DOT ABOVE*/
{7819,7819,7818,0L}, /* LATIN LETTER X WITH DOT ABOVE*/
{7820,7821,7820,0L}, /* LATIN CAPITAL LETTER X WITH DIAERESIS*/
{7821,7821,7820,0L}, /* LATIN LETTER X WITH DIAERESIS*/
{7822,7823,7822,0L}, /* LATIN CAPITAL LETTER Y WITH DOT ABOVE*/
{7823,7823,7822,0L}, /* LATIN LETTER Y WITH DOT ABOVE*/
{7824,7825,7824,0L}, /* LATIN CAPITAL LETTER Z WITH CIRCUMFLEX*/
{7825,7825,7824,0L}, /* LATIN LETTER Z WITH CIRCUMFLEX*/
{7826,7827,7826,0L}, /* LATIN CAPITAL LETTER Z WITH DOT BELOW*/
{7827,7827,7826,0L}, /* LATIN LETTER Z WITH DOT BELOW*/
{7828,7829,7828,0L}, /* LATIN CAPITAL LETTER Z WITH LINE BELOW*/
{7829,7829,7828,0L}, /* LATIN LETTER Z WITH LINE BELOW*/
{7830,7830,0,Full+7}, /* LATIN SMALL LETTER H WITH LINE BELOW*/
{7831,7831,0,Full+12}, /* LATIN SMALL LETTER T WITH DIAERESIS*/
{7832,7832,0,Full+13}, /* LATIN SMALL LETTER W WITH RING ABOVE*/
{7833,7833,0,Full+14}, /* LATIN SMALL LETTER Y WITH RING ABOVE*/
{7834,7834,0,Full+1}, /* LATIN SMALL LETTER A WITH RIGHT HALF RING*/
{7835,7777,0,0L}, /* LATIN SMALL LETTER LONG S WITH DOT ABOVE*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{7838,223,7838,Full+10}, /* LATIN CAPITAL LETTER SHARP S*/
{0,0,0,0L}, 
{7840,7841,7840,0L}, /* LATIN CAPITAL LETTER A WITH DOT BELOW*/
{7841,7841,7840,0L}, /* LATIN LETTER A WITH DOT BELOW*/
{7842,7843,7842,0L}, /* LATIN CAPITAL LETTER A WITH HOOK ABOVE*/
{7843,7843,7842,0L}, /* LATIN LETTER A WITH HOOK ABOVE*/
{7844,7845,7844,0L}, /* LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE*/
{7845,7845,7844,0L}, /* LATIN LETTER A WITH CIRCUMFLEX AND ACUTE*/
{7846,7847,7846,0L}, /* LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE*/
{7847,7847,7846,0L}, /* LATIN LETTER A WITH CIRCUMFLEX AND GRAVE*/
{7848,7849,7848,0L}, /* LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE*/
{7849,7849,7848,0L}, /* LATIN LETTER A WITH CIRCUMFLEX AND HOOK ABOVE*/
{7850,7851,7850,0L}, /* LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE*/
{7851,7851,7850,0L}, /* LATIN LETTER A WITH CIRCUMFLEX AND TILDE*/
{7852,7853,7852,0L}, /* LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW*/
{7853,7853,7852,0L}, /* LATIN LETTER A WITH CIRCUMFLEX AND DOT BELOW*/
{7854,7855,7854,0L}, /* LATIN CAPITAL LETTER A WITH BREVE AND ACUTE*/
{7855,7855,7854,0L}, /* LATIN LETTER A WITH BREVE AND ACUTE*/
{7856,7857,7856,0L}, /* LATIN CAPITAL LETTER A WITH BREVE AND GRAVE*/
{7857,7857,7856,0L}, /* LATIN LETTER A WITH BREVE AND GRAVE*/
{7858,7859,7858,0L}, /* LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE*/
{7859,7859,7858,0L}, /* LATIN LETTER A WITH BREVE AND HOOK ABOVE*/
{7860,7861,7860,0L}, /* LATIN CAPITAL LETTER A WITH BREVE AND TILDE*/
{7861,7861,7860,0L}, /* LATIN LETTER A WITH BREVE AND TILDE*/
{7862,7863,7862,0L}, /* LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW*/
{7863,7863,7862,0L}, /* LATIN LETTER A WITH BREVE AND DOT BELOW*/
{7864,7865,7864,0L}, /* LATIN CAPITAL LETTER E WITH DOT BELOW*/
{7865,7865,7864,0L}, /* LATIN LETTER E WITH DOT BELOW*/
{7866,7867,7866,0L}, /* LATIN CAPITAL LETTER E WITH HOOK ABOVE*/
{7867,7867,7866,0L}, /* LATIN LETTER E WITH HOOK ABOVE*/
{7868,7869,7868,0L}, /* LATIN CAPITAL LETTER E WITH TILDE*/
{7869,7869,7868,0L}, /* LATIN LETTER E WITH TILDE*/
{7870,7871,7870,0L}, /* LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE*/
{7871,7871,7870,0L}, /* LATIN LETTER E WITH CIRCUMFLEX AND ACUTE*/
{7872,7873,7872,0L}, /* LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE*/
{7873,7873,7872,0L}, /* LATIN LETTER E WITH CIRCUMFLEX AND GRAVE*/
{7874,7875,7874,0L}, /* LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE*/
{7875,7875,7874,0L}, /* LATIN LETTER E WITH CIRCUMFLEX AND HOOK ABOVE*/
{7876,7877,7876,0L}, /* LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE*/
{7877,7877,7876,0L}, /* LATIN LETTER E WITH CIRCUMFLEX AND TILDE*/
{7878,7879,7878,0L}, /* LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW*/
{7879,7879,7878,0L}, /* LATIN LETTER E WITH CIRCUMFLEX AND DOT BELOW*/
{7880,7881,7880,0L}, /* LATIN CAPITAL LETTER I WITH HOOK ABOVE*/
{7881,7881,7880,0L}, /* LATIN LETTER I WITH HOOK ABOVE*/
{7882,7883,7882,0L}, /* LATIN CAPITAL LETTER I WITH DOT BELOW*/
{7883,7883,7882,0L}, /* LATIN LETTER I WITH DOT BELOW*/
{7884,7885,7884,0L}, /* LATIN CAPITAL LETTER O WITH DOT BELOW*/
{7885,7885,7884,0L}, /* LATIN LETTER O WITH DOT BELOW*/
{7886,7887,7886,0L}, /* LATIN CAPITAL LETTER O WITH HOOK ABOVE*/
{7887,7887,7886,0L}, /* LATIN LETTER O WITH HOOK ABOVE*/
{7888,7889,7888,0L}, /* LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE*/
{7889,7889,7888,0L}, /* LATIN LETTER O WITH CIRCUMFLEX AND ACUTE*/
{7890,7891,7890,0L}, /* LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE*/
{7891,7891,7890,0L}, /* LATIN LETTER O WITH CIRCUMFLEX AND GRAVE*/
{7892,7893,7892,0L}, /* LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE*/
{7893,7893,7892,0L}, /* LATIN LETTER O WITH CIRCUMFLEX AND HOOK ABOVE*/
{7894,7895,7894,0L}, /* LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE*/
{7895,7895,7894,0L}, /* LATIN LETTER O WITH CIRCUMFLEX AND TILDE*/
{7896,7897,7896,0L}, /* LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW*/
{7897,7897,7896,0L}, /* LATIN LETTER O WITH CIRCUMFLEX AND DOT BELOW*/
{7898,7899,7898,0L}, /* LATIN CAPITAL LETTER O WITH HORN AND ACUTE*/
{7899,7899,7898,0L}, /* LATIN LETTER O WITH HORN AND ACUTE*/
{7900,7901,7900,0L}, /* LATIN CAPITAL LETTER O WITH HORN AND GRAVE*/
{7901,7901,7900,0L}, /* LATIN LETTER O WITH HORN AND GRAVE*/
{7902,7903,7902,0L}, /* LATIN CAPITAL LETTER O WITH HORN AND HOOK ABOVE*/
{7903,7903,7902,0L}, /* LATIN LETTER O WITH HORN AND HOOK ABOVE*/
{7904,7905,7904,0L}, /* LATIN CAPITAL LETTER O WITH HORN AND TILDE*/
{7905,7905,7904,0L}, /* LATIN LETTER O WITH HORN AND TILDE*/
{7906,7907,7906,0L}, /* LATIN CAPITAL LETTER O WITH HORN AND DOT BELOW*/
{7907,7907,7906,0L}, /* LATIN LETTER O WITH HORN AND DOT BELOW*/
{7908,7909,7908,0L}, /* LATIN CAPITAL LETTER U WITH DOT BELOW*/
{7909,7909,7908,0L}, /* LATIN LETTER U WITH DOT BELOW*/
{7910,7911,7910,0L}, /* LATIN CAPITAL LETTER U WITH HOOK ABOVE*/
{7911,7911,7910,0L}, /* LATIN LETTER U WITH HOOK ABOVE*/
{7912,7913,7912,0L}, /* LATIN CAPITAL LETTER U WITH HORN AND ACUTE*/
{7913,7913,7912,0L}, /* LATIN LETTER U WITH HORN AND ACUTE*/
{7914,7915,7914,0L}, /* LATIN CAPITAL LETTER U WITH HORN AND GRAVE*/
{7915,7915,7914,0L}, /* LATIN LETTER U WITH HORN AND GRAVE*/
{7916,7917,7916,0L}, /* LATIN CAPITAL LETTER U WITH HORN AND HOOK ABOVE*/
{7917,7917,7916,0L}, /* LATIN LETTER U WITH HORN AND HOOK ABOVE*/
{7918,7919,7918,0L}, /* LATIN CAPITAL LETTER U WITH HORN AND TILDE*/
{7919,7919,7918,0L}, /* LATIN LETTER U WITH HORN AND TILDE*/
{7920,7921,7920,0L}, /* LATIN CAPITAL LETTER U WITH HORN AND DOT BELOW*/
{7921,7921,7920,0L}, /* LATIN LETTER U WITH HORN AND DOT BELOW*/
{7922,7923,7922,0L}, /* LATIN CAPITAL LETTER Y WITH GRAVE*/
{7923,7923,7922,0L}, /* LATIN LETTER Y WITH GRAVE*/
{7924,7925,7924,0L}, /* LATIN CAPITAL LETTER Y WITH DOT BELOW*/
{7925,7925,7924,0L}, /* LATIN LETTER Y WITH DOT BELOW*/
{7926,7927,7926,0L}, /* LATIN CAPITAL LETTER Y WITH HOOK ABOVE*/
{7927,7927,7926,0L}, /* LATIN LETTER Y WITH HOOK ABOVE*/
{7928,7929,7928,0L}, /* LATIN CAPITAL LETTER Y WITH TILDE*/
{7929,7929,7928,0L}, /* LATIN LETTER Y WITH TILDE*/
{7930,7931,7930,0L}, /* LATIN CAPITAL LETTER MIDDLE-WELSH LL*/
{7931,7931,7930,0L}, /* LATIN LETTER MIDDLE-WELSH LL*/
{7932,7933,7932,0L}, /* LATIN CAPITAL LETTER MIDDLE-WELSH V*/
{7933,7933,7932,0L}, /* LATIN LETTER MIDDLE-WELSH V*/
{7934,7935,7934,0L}, /* LATIN CAPITAL LETTER Y WITH LOOP*/
{7935,7935,7934,0L}, /* LATIN LETTER Y WITH LOOP*/
{7936,7936,7944,0L}, /* GREEK LETTER ALPHA WITH PSILI*/
{7937,7937,7945,0L}, /* GREEK LETTER ALPHA WITH DASIA*/
{7938,7938,7946,0L}, /* GREEK LETTER ALPHA WITH PSILI AND VARIA*/
{7939,7939,7947,0L}, /* GREEK LETTER ALPHA WITH DASIA AND VARIA*/
{7940,7940,7948,0L}, /* GREEK LETTER ALPHA WITH PSILI AND OXIA*/
{7941,7941,7949,0L}, /* GREEK LETTER ALPHA WITH DASIA AND OXIA*/
{7942,7942,7950,0L}, /* GREEK LETTER ALPHA WITH PSILI AND PERISPOMENI*/
{7943,7943,7951,0L}, /* GREEK LETTER ALPHA WITH DASIA AND PERISPOMENI*/
{7944,7936,7944,0L}, /* GREEK CAPITAL LETTER ALPHA WITH PSILI*/
{7945,7937,7945,0L}, /* GREEK CAPITAL LETTER ALPHA WITH DASIA*/
{7946,7938,7946,0L}, /* GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA*/
{7947,7939,7947,0L}, /* GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA*/
{7948,7940,7948,0L}, /* GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA*/
{7949,7941,7949,0L}, /* GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA*/
{7950,7942,7950,0L}, /* GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI*/
{7951,7943,7951,0L}, /* GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI*/
{7952,7952,7960,0L}, /* GREEK LETTER EPSILON WITH PSILI*/
{7953,7953,7961,0L}, /* GREEK LETTER EPSILON WITH DASIA*/
{7954,7954,7962,0L}, /* GREEK LETTER EPSILON WITH PSILI AND VARIA*/
{7955,7955,7963,0L}, /* GREEK LETTER EPSILON WITH DASIA AND VARIA*/
{7956,7956,7964,0L}, /* GREEK LETTER EPSILON WITH PSILI AND OXIA*/
{7957,7957,7965,0L}, /* GREEK LETTER EPSILON WITH DASIA AND OXIA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{7960,7952,7960,0L}, /* GREEK CAPITAL LETTER EPSILON WITH PSILI*/
{7961,7953,7961,0L}, /* GREEK CAPITAL LETTER EPSILON WITH DASIA*/
{7962,7954,7962,0L}, /* GREEK CAPITAL LETTER EPSILON WITH PSILI AND VARIA*/
{7963,7955,7963,0L}, /* GREEK CAPITAL LETTER EPSILON WITH DASIA AND VARIA*/
{7964,7956,7964,0L}, /* GREEK CAPITAL LETTER EPSILON WITH PSILI AND OXIA*/
{7965,7957,7965,0L}, /* GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{7968,7968,7976,0L}, /* GREEK LETTER ETA WITH PSILI*/
{7969,7969,7977,0L}, /* GREEK LETTER ETA WITH DASIA*/
{7970,7970,7978,0L}, /* GREEK LETTER ETA WITH PSILI AND VARIA*/
{7971,7971,7979,0L}, /* GREEK LETTER ETA WITH DASIA AND VARIA*/
{7972,7972,7980,0L}, /* GREEK LETTER ETA WITH PSILI AND OXIA*/
{7973,7973,7981,0L}, /* GREEK LETTER ETA WITH DASIA AND OXIA*/
{7974,7974,7982,0L}, /* GREEK LETTER ETA WITH PSILI AND PERISPOMENI*/
{7975,7975,7983,0L}, /* GREEK LETTER ETA WITH DASIA AND PERISPOMENI*/
{7976,7968,7976,0L}, /* GREEK CAPITAL LETTER ETA WITH PSILI*/
{7977,7969,7977,0L}, /* GREEK CAPITAL LETTER ETA WITH DASIA*/
{7978,7970,7978,0L}, /* GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA*/
{7979,7971,7979,0L}, /* GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA*/
{7980,7972,7980,0L}, /* GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA*/
{7981,7973,7981,0L}, /* GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA*/
{7982,7974,7982,0L}, /* GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI*/
{7983,7975,7983,0L}, /* GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI*/
{7984,7984,7992,0L}, /* GREEK LETTER IOTA WITH PSILI*/
{7985,7985,7993,0L}, /* GREEK LETTER IOTA WITH DASIA*/
{7986,7986,7994,0L}, /* GREEK LETTER IOTA WITH PSILI AND VARIA*/
{7987,7987,7995,0L}, /* GREEK LETTER IOTA WITH DASIA AND VARIA*/
{7988,7988,7996,0L}, /* GREEK LETTER IOTA WITH PSILI AND OXIA*/
{7989,7989,7997,0L}, /* GREEK LETTER IOTA WITH DASIA AND OXIA*/
{7990,7990,7998,0L}, /* GREEK LETTER IOTA WITH PSILI AND PERISPOMENI*/
{7991,7991,7999,0L}, /* GREEK LETTER IOTA WITH DASIA AND PERISPOMENI*/
{7992,7984,7992,0L}, /* GREEK CAPITAL LETTER IOTA WITH PSILI*/
{7993,7985,7993,0L}, /* GREEK CAPITAL LETTER IOTA WITH DASIA*/
{7994,7986,7994,0L}, /* GREEK CAPITAL LETTER IOTA WITH PSILI AND VARIA*/
{7995,7987,7995,0L}, /* GREEK CAPITAL LETTER IOTA WITH DASIA AND VARIA*/
{7996,7988,7996,0L}, /* GREEK CAPITAL LETTER IOTA WITH PSILI AND OXIA*/
{7997,7989,7997,0L}, /* GREEK CAPITAL LETTER IOTA WITH DASIA AND OXIA*/
{7998,7990,7998,0L}, /* GREEK CAPITAL LETTER IOTA WITH PSILI AND PERISPOMENI*/
{7999,7991,7999,0L}, /* GREEK CAPITAL LETTER IOTA WITH DASIA AND PERISPOMENI*/
{8000,8000,8008,0L}, /* GREEK LETTER OMICRON WITH PSILI*/
{8001,8001,8009,0L}, /* GREEK LETTER OMICRON WITH DASIA*/
{8002,8002,8010,0L}, /* GREEK LETTER OMICRON WITH PSILI AND VARIA*/
{8003,8003,8011,0L}, /* GREEK LETTER OMICRON WITH DASIA AND VARIA*/
{8004,8004,8012,0L}, /* GREEK LETTER OMICRON WITH PSILI AND OXIA*/
{8005,8005,8013,0L}, /* GREEK LETTER OMICRON WITH DASIA AND OXIA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{8008,8000,8008,0L}, /* GREEK CAPITAL LETTER OMICRON WITH PSILI*/
{8009,8001,8009,0L}, /* GREEK CAPITAL LETTER OMICRON WITH DASIA*/
{8010,8002,8010,0L}, /* GREEK CAPITAL LETTER OMICRON WITH PSILI AND VARIA*/
{8011,8003,8011,0L}, /* GREEK CAPITAL LETTER OMICRON WITH DASIA AND VARIA*/
{8012,8004,8012,0L}, /* GREEK CAPITAL LETTER OMICRON WITH PSILI AND OXIA*/
{8013,8005,8013,0L}, /* GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{8016,8016,0,Full+29}, /* GREEK SMALL LETTER UPSILON WITH PSILI*/
{8017,8017,8025,0L}, /* GREEK LETTER UPSILON WITH DASIA*/
{8018,8018,0,Full+34}, /* GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA*/
{8019,8019,8027,0L}, /* GREEK LETTER UPSILON WITH DASIA AND VARIA*/
{8020,8020,0,Full+35}, /* GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA*/
{8021,8021,8029,0L}, /* GREEK LETTER UPSILON WITH DASIA AND OXIA*/
{8022,8022,0,Full+36}, /* GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI*/
{8023,8023,8031,0L}, /* GREEK LETTER UPSILON WITH DASIA AND PERISPOMENI*/
{0,0,0,0L}, 
{8025,8017,8025,0L}, /* GREEK CAPITAL LETTER UPSILON WITH DASIA*/
{0,0,0,0L}, 
{8027,8019,8027,0L}, /* GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA*/
{0,0,0,0L}, 
{8029,8021,8029,0L}, /* GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA*/
{0,0,0,0L}, 
{8031,8023,8031,0L}, /* GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI*/
{8032,8032,8040,0L}, /* GREEK LETTER OMEGA WITH PSILI*/
{8033,8033,8041,0L}, /* GREEK LETTER OMEGA WITH DASIA*/
{8034,8034,8042,0L}, /* GREEK LETTER OMEGA WITH PSILI AND VARIA*/
{8035,8035,8043,0L}, /* GREEK LETTER OMEGA WITH DASIA AND VARIA*/
{8036,8036,8044,0L}, /* GREEK LETTER OMEGA WITH PSILI AND OXIA*/
{8037,8037,8045,0L}, /* GREEK LETTER OMEGA WITH DASIA AND OXIA*/
{8038,8038,8046,0L}, /* GREEK LETTER OMEGA WITH PSILI AND PERISPOMENI*/
{8039,8039,8047,0L}, /* GREEK LETTER OMEGA WITH DASIA AND PERISPOMENI*/
{8040,8032,8040,0L}, /* GREEK CAPITAL LETTER OMEGA WITH PSILI*/
{8041,8033,8041,0L}, /* GREEK CAPITAL LETTER OMEGA WITH DASIA*/
{8042,8034,8042,0L}, /* GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA*/
{8043,8035,8043,0L}, /* GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA*/
{8044,8036,8044,0L}, /* GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA*/
{8045,8037,8045,0L}, /* GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA*/
{8046,8038,8046,0L}, /* GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI*/
{8047,8039,8047,0L}, /* GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI*/
{8048,8048,8122,0L}, /* GREEK LETTER ALPHA WITH VARIA*/
{8049,8049,8123,0L}, /* GREEK LETTER ALPHA WITH OXIA*/
{8050,8050,8136,0L}, /* GREEK LETTER EPSILON WITH VARIA*/
{8051,8051,8137,0L}, /* GREEK LETTER EPSILON WITH OXIA*/
{8052,8052,8138,0L}, /* GREEK LETTER ETA WITH VARIA*/
{8053,8053,8139,0L}, /* GREEK LETTER ETA WITH OXIA*/
{8054,8054,8154,0L}, /* GREEK LETTER IOTA WITH VARIA*/
{8055,8055,8155,0L}, /* GREEK LETTER IOTA WITH OXIA*/
{8056,8056,8184,0L}, /* GREEK LETTER OMICRON WITH VARIA*/
{8057,8057,8185,0L}, /* GREEK LETTER OMICRON WITH OXIA*/
{8058,8058,8170,0L}, /* GREEK LETTER UPSILON WITH VARIA*/
{8059,8059,8171,0L}, /* GREEK LETTER UPSILON WITH OXIA*/
{8060,8060,8186,0L}, /* GREEK LETTER OMEGA WITH VARIA*/
{8061,8061,8187,0L}, /* GREEK LETTER OMEGA WITH OXIA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{8064,8064,0,Full+47}, /* GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI*/
{8065,8065,0,Full+48}, /* GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI*/
{8066,8066,0,Full+49}, /* GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI*/
{8067,8067,0,Full+50}, /* GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI*/
{8068,8068,0,Full+51}, /* GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI*/
{8069,8069,0,Full+52}, /* GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI*/
{8070,8070,0,Full+53}, /* GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI*/
{8071,8071,0,Full+54}, /* GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI*/
{8072,8064,8072,Full+47}, /* GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI*/
{8073,8065,8073,Full+48}, /* GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI*/
{8074,8066,8074,Full+49}, /* GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI*/
{8075,8067,8075,Full+50}, /* GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI*/
{8076,8068,8076,Full+51}, /* GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI*/
{8077,8069,8077,Full+52}, /* GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI*/
{8078,8070,8078,Full+53}, /* GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI*/
{8079,8071,8079,Full+54}, /* GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI*/
{8080,8080,0,Full+55}, /* GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI*/
{8081,8081,0,Full+56}, /* GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI*/
{8082,8082,0,Full+57}, /* GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI*/
{8083,8083,0,Full+58}, /* GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI*/
{8084,8084,0,Full+59}, /* GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI*/
{8085,8085,0,Full+60}, /* GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI*/
{8086,8086,0,Full+61}, /* GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI*/
{8087,8087,0,Full+62}, /* GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI*/
{8088,8080,8088,Full+55}, /* GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI*/
{8089,8081,8089,Full+56}, /* GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI*/
{8090,8082,8090,Full+57}, /* GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI*/
{8091,8083,8091,Full+58}, /* GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI*/
{8092,8084,8092,Full+59}, /* GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI*/
{8093,8085,8093,Full+60}, /* GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI*/
{8094,8086,8094,Full+61}, /* GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI*/
{8095,8087,8095,Full+62}, /* GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI*/
{8096,8096,0,Full+63}, /* GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI*/
{8097,8097,0,Full+64}, /* GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI*/
{8098,8098,0,Full+65}, /* GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI*/
{8099,8099,0,Full+66}, /* GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI*/
{8100,8100,0,Full+67}, /* GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI*/
{8101,8101,0,Full+68}, /* GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI*/
{8102,8102,0,Full+69}, /* GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI*/
{8103,8103,0,Full+70}, /* GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI*/
{8104,8096,8104,Full+63}, /* GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI*/
{8105,8097,8105,Full+64}, /* GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI*/
{8106,8098,8106,Full+65}, /* GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI*/
{8107,8099,8107,Full+66}, /* GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI*/
{8108,8100,8108,Full+67}, /* GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI*/
{8109,8101,8109,Full+68}, /* GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI*/
{8110,8102,8110,Full+69}, /* GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI*/
{8111,8103,8111,Full+70}, /* GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI*/
{8112,8112,8120,0L}, /* GREEK LETTER ALPHA WITH VRACHY*/
{8113,8113,8121,0L}, /* GREEK LETTER ALPHA WITH MACRON*/
{8114,8114,0,Full+71}, /* GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI*/
{8115,8115,0,Full+19}, /* GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI*/
{8116,8116,0,Full+16}, /* GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI*/
{0,0,0,0L}, 
{8118,8118,0,Full+18}, /* GREEK SMALL LETTER ALPHA WITH PERISPOMENI*/
{8119,8119,0,Full+20}, /* GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI*/
{8120,8112,8120,0L}, /* GREEK CAPITAL LETTER ALPHA WITH VRACHY*/
{8121,8113,8121,0L}, /* GREEK CAPITAL LETTER ALPHA WITH MACRON*/
{8122,8048,8122,0L}, /* GREEK CAPITAL LETTER ALPHA WITH VARIA*/
{8123,8049,8123,0L}, /* GREEK CAPITAL LETTER ALPHA WITH OXIA*/
{8124,8115,8124,Full+19}, /* GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI*/
{0,0,0,0L}, 
{8126,953,0,0L}, /* GREEK PROSGEGRAMMENI*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{8130,8130,0,Full+72}, /* GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI*/
{8131,8131,0,Full+22}, /* GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI*/
{8132,8132,0,Full+17}, /* GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI*/
{0,0,0,0L}, 
{8134,8134,0,Full+21}, /* GREEK SMALL LETTER ETA WITH PERISPOMENI*/
{8135,8135,0,Full+23}, /* GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI*/
{8136,8050,8136,0L}, /* GREEK CAPITAL LETTER EPSILON WITH VARIA*/
{8137,8051,8137,0L}, /* GREEK CAPITAL LETTER EPSILON WITH OXIA*/
{8138,8052,8138,0L}, /* GREEK CAPITAL LETTER ETA WITH VARIA*/
{8139,8053,8139,0L}, /* GREEK CAPITAL LETTER ETA WITH OXIA*/
{8140,8131,8140,Full+22}, /* GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{8144,8144,8152,0L}, /* GREEK LETTER IOTA WITH VRACHY*/
{8145,8145,8153,0L}, /* GREEK LETTER IOTA WITH MACRON*/
{8146,8146,0,Full+25}, /* GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA*/
{8147,8147,0,Full+26}, /* GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{8150,8150,0,Full+24}, /* GREEK SMALL LETTER IOTA WITH PERISPOMENI*/
{8151,8151,0,Full+27}, /* GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI*/
{8152,8144,8152,0L}, /* GREEK CAPITAL LETTER IOTA WITH VRACHY*/
{8153,8145,8153,0L}, /* GREEK CAPITAL LETTER IOTA WITH MACRON*/
{8154,8054,8154,0L}, /* GREEK CAPITAL LETTER IOTA WITH VARIA*/
{8155,8055,8155,0L}, /* GREEK CAPITAL LETTER IOTA WITH OXIA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{8160,8160,8168,0L}, /* GREEK LETTER UPSILON WITH VRACHY*/
{8161,8161,8169,0L}, /* GREEK LETTER UPSILON WITH MACRON*/
{8162,8162,0,Full+31}, /* GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA*/
{8163,8163,0,Full+32}, /* GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA*/
{8164,8164,0,Full+28}, /* GREEK SMALL LETTER RHO WITH PSILI*/
{8165,8165,8172,0L}, /* GREEK LETTER RHO WITH DASIA*/
{8166,8166,0,Full+30}, /* GREEK SMALL LETTER UPSILON WITH PERISPOMENI*/
{8167,8167,0,Full+33}, /* GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI*/
{8168,8160,8168,0L}, /* GREEK CAPITAL LETTER UPSILON WITH VRACHY*/
{8169,8161,8169,0L}, /* GREEK CAPITAL LETTER UPSILON WITH MACRON*/
{8170,8058,8170,0L}, /* GREEK CAPITAL LETTER UPSILON WITH VARIA*/
{8171,8059,8171,0L}, /* GREEK CAPITAL LETTER UPSILON WITH OXIA*/
{8172,8165,8172,0L}, /* GREEK CAPITAL LETTER RHO WITH DASIA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{8178,8178,0,Full+73}, /* GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI*/
{8179,8179,0,Full+38}, /* GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI*/
{8180,8180,0,Full+40}, /* GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI*/
{0,0,0,0L}, 
{8182,8182,0,Full+37}, /* GREEK SMALL LETTER OMEGA WITH PERISPOMENI*/
{8183,8183,0,Full+39}, /* GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI*/
{8184,8056,8184,0L}, /* GREEK CAPITAL LETTER OMICRON WITH VARIA*/
{8185,8057,8185,0L}, /* GREEK CAPITAL LETTER OMICRON WITH OXIA*/
{8186,8060,8186,0L}, /* GREEK CAPITAL LETTER OMEGA WITH VARIA*/
{8187,8061,8187,0L}, /* GREEK CAPITAL LETTER OMEGA WITH OXIA*/
{8188,8179,8188,Full+38}, /* GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{8486,969,0,0L}, /* OHM SIGN*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{8490,107,0,0L}, /* KELVIN SIGN*/
{8491,229,0,0L}, /* ANGSTROM SIGN*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{8498,8526,8498,0L}, /* TURNED CAPITAL F*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{8526,8526,8498,0L}, /* TURNED F*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{8544,8560,0,0L}, /* ROMAN NUMERAL ONE*/
{8545,8561,0,0L}, /* ROMAN NUMERAL TWO*/
{8546,8562,0,0L}, /* ROMAN NUMERAL THREE*/
{8547,8563,0,0L}, /* ROMAN NUMERAL FOUR*/
{8548,8564,0,0L}, /* ROMAN NUMERAL FIVE*/
{8549,8565,0,0L}, /* ROMAN NUMERAL SIX*/
{8550,8566,0,0L}, /* ROMAN NUMERAL SEVEN*/
{8551,8567,0,0L}, /* ROMAN NUMERAL EIGHT*/
{8552,8568,0,0L}, /* ROMAN NUMERAL NINE*/
{8553,8569,0,0L}, /* ROMAN NUMERAL TEN*/
{8554,8570,0,0L}, /* ROMAN NUMERAL ELEVEN*/
{8555,8571,0,0L}, /* ROMAN NUMERAL TWELVE*/
{8556,8572,0,0L}, /* ROMAN NUMERAL FIFTY*/
{8557,8573,0,0L}, /* ROMAN NUMERAL ONE HUNDRED*/
{8558,8574,0,0L}, /* ROMAN NUMERAL FIVE HUNDRED*/
{8559,8575,0,0L}, /* ROMAN NUMERAL ONE THOUSAND*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{8579,8580,0,0L}, /* ROMAN NUMERAL REVERSED ONE HUNDRED*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{64256,64256,0,Full+2}, /* LATIN SMALL LIGATURE FF*/
{64257,64257,0,Full+3}, /* LATIN SMALL LIGATURE FI*/
{64258,64258,0,Full+4}, /* LATIN SMALL LIGATURE FL*/
{64259,64259,0,Full+5}, /* LATIN SMALL LIGATURE FFI*/
{64260,64260,0,Full+6}, /* LATIN SMALL LIGATURE FFL*/
{64261,64261,0,Full+11}, /* LATIN SMALL LIGATURE LONG S T*/
{64262,64262,0,Full+11}, /* LATIN SMALL LIGATURE ST*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{64275,64275,0,Full+45}, /* ARMENIAN SMALL LIGATURE MEN NOW*/
{64276,64276,0,Full+42}, /* ARMENIAN SMALL LIGATURE MEN ECH*/
{64277,64277,0,Full+43}, /* ARMENIAN SMALL LIGATURE MEN INI*/
{64278,64278,0,Full+46}, /* ARMENIAN SMALL LIGATURE VEW NOW*/
{64279,64279,0,Full+44}, /* ARMENIAN SMALL LIGATURE MEN XEH*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{9398,9424,9398,0L}, /* CIRCLED LATIN CAPITAL LETTER A*/
{9399,9425,9399,0L}, /* CIRCLED LATIN CAPITAL LETTER B*/
{9400,9426,9400,0L}, /* CIRCLED LATIN CAPITAL LETTER C*/
{9401,9427,9401,0L}, /* CIRCLED LATIN CAPITAL LETTER D*/
{9402,9428,9402,0L}, /* CIRCLED LATIN CAPITAL LETTER E*/
{9403,9429,9403,0L}, /* CIRCLED LATIN CAPITAL LETTER F*/
{9404,9430,9404,0L}, /* CIRCLED LATIN CAPITAL LETTER G*/
{9405,9431,9405,0L}, /* CIRCLED LATIN CAPITAL LETTER H*/
{9406,9432,9406,0L}, /* CIRCLED LATIN CAPITAL LETTER I*/
{9407,9433,9407,0L}, /* CIRCLED LATIN CAPITAL LETTER J*/
{9408,9434,9408,0L}, /* CIRCLED LATIN CAPITAL LETTER K*/
{9409,9435,9409,0L}, /* CIRCLED LATIN CAPITAL LETTER L*/
{9410,9436,9410,0L}, /* CIRCLED LATIN CAPITAL LETTER M*/
{9411,9437,9411,0L}, /* CIRCLED LATIN CAPITAL LETTER N*/
{9412,9438,9412,0L}, /* CIRCLED LATIN CAPITAL LETTER O*/
{9413,9439,9413,0L}, /* CIRCLED LATIN CAPITAL LETTER P*/
{9414,9440,9414,0L}, /* CIRCLED LATIN CAPITAL LETTER Q*/
{9415,9441,9415,0L}, /* CIRCLED LATIN CAPITAL LETTER R*/
{9416,9442,9416,0L}, /* CIRCLED LATIN CAPITAL LETTER S*/
{9417,9443,9417,0L}, /* CIRCLED LATIN CAPITAL LETTER T*/
{9418,9444,9418,0L}, /* CIRCLED LATIN CAPITAL LETTER U*/
{9419,9445,9419,0L}, /* CIRCLED LATIN CAPITAL LETTER V*/
{9420,9446,9420,0L}, /* CIRCLED LATIN CAPITAL LETTER W*/
{9421,9447,9421,0L}, /* CIRCLED LATIN CAPITAL LETTER X*/
{9422,9448,9422,0L}, /* CIRCLED LATIN CAPITAL LETTER Y*/
{9423,9449,9423,0L}, /* CIRCLED LATIN CAPITAL LETTER Z*/
{9424,9424,9398,0L}, /* CIRCLED LATIN LETTER A*/
{9425,9425,9399,0L}, /* CIRCLED LATIN LETTER B*/
{9426,9426,9400,0L}, /* CIRCLED LATIN LETTER C*/
{9427,9427,9401,0L}, /* CIRCLED LATIN LETTER D*/
{9428,9428,9402,0L}, /* CIRCLED LATIN LETTER E*/
{9429,9429,9403,0L}, /* CIRCLED LATIN LETTER F*/
{9430,9430,9404,0L}, /* CIRCLED LATIN LETTER G*/
{9431,9431,9405,0L}, /* CIRCLED LATIN LETTER H*/
{9432,9432,9406,0L}, /* CIRCLED LATIN LETTER I*/
{9433,9433,9407,0L}, /* CIRCLED LATIN LETTER J*/
{9434,9434,9408,0L}, /* CIRCLED LATIN LETTER K*/
{9435,9435,9409,0L}, /* CIRCLED LATIN LETTER L*/
{9436,9436,9410,0L}, /* CIRCLED LATIN LETTER M*/
{9437,9437,9411,0L}, /* CIRCLED LATIN LETTER N*/
{9438,9438,9412,0L}, /* CIRCLED LATIN LETTER O*/
{9439,9439,9413,0L}, /* CIRCLED LATIN LETTER P*/
{9440,9440,9414,0L}, /* CIRCLED LATIN LETTER Q*/
{9441,9441,9415,0L}, /* CIRCLED LATIN LETTER R*/
{9442,9442,9416,0L}, /* CIRCLED LATIN LETTER S*/
{9443,9443,9417,0L}, /* CIRCLED LATIN LETTER T*/
{9444,9444,9418,0L}, /* CIRCLED LATIN LETTER U*/
{9445,9445,9419,0L}, /* CIRCLED LATIN LETTER V*/
{9446,9446,9420,0L}, /* CIRCLED LATIN LETTER W*/
{9447,9447,9421,0L}, /* CIRCLED LATIN LETTER X*/
{9448,9448,9422,0L}, /* CIRCLED LATIN LETTER Y*/
{9449,9449,9423,0L}, /* CIRCLED LATIN LETTER Z*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{65313,65345,65313,0L}, /* FULLWIDTH LATIN CAPITAL LETTER A*/
{65314,65346,65314,0L}, /* FULLWIDTH LATIN CAPITAL LETTER B*/
{65315,65347,65315,0L}, /* FULLWIDTH LATIN CAPITAL LETTER C*/
{65316,65348,65316,0L}, /* FULLWIDTH LATIN CAPITAL LETTER D*/
{65317,65349,65317,0L}, /* FULLWIDTH LATIN CAPITAL LETTER E*/
{65318,65350,65318,0L}, /* FULLWIDTH LATIN CAPITAL LETTER F*/
{65319,65351,65319,0L}, /* FULLWIDTH LATIN CAPITAL LETTER G*/
{65320,65352,65320,0L}, /* FULLWIDTH LATIN CAPITAL LETTER H*/
{65321,65353,65321,0L}, /* FULLWIDTH LATIN CAPITAL LETTER I*/
{65322,65354,65322,0L}, /* FULLWIDTH LATIN CAPITAL LETTER J*/
{65323,65355,65323,0L}, /* FULLWIDTH LATIN CAPITAL LETTER K*/
{65324,65356,65324,0L}, /* FULLWIDTH LATIN CAPITAL LETTER L*/
{65325,65357,65325,0L}, /* FULLWIDTH LATIN CAPITAL LETTER M*/
{65326,65358,65326,0L}, /* FULLWIDTH LATIN CAPITAL LETTER N*/
{65327,65359,65327,0L}, /* FULLWIDTH LATIN CAPITAL LETTER O*/
{65328,65360,65328,0L}, /* FULLWIDTH LATIN CAPITAL LETTER P*/
{65329,65361,65329,0L}, /* FULLWIDTH LATIN CAPITAL LETTER Q*/
{65330,65362,65330,0L}, /* FULLWIDTH LATIN CAPITAL LETTER R*/
{65331,65363,65331,0L}, /* FULLWIDTH LATIN CAPITAL LETTER S*/
{65332,65364,65332,0L}, /* FULLWIDTH LATIN CAPITAL LETTER T*/
{65333,65365,65333,0L}, /* FULLWIDTH LATIN CAPITAL LETTER U*/
{65334,65366,65334,0L}, /* FULLWIDTH LATIN CAPITAL LETTER V*/
{65335,65367,65335,0L}, /* FULLWIDTH LATIN CAPITAL LETTER W*/
{65336,65368,65336,0L}, /* FULLWIDTH LATIN CAPITAL LETTER X*/
{65337,65369,65337,0L}, /* FULLWIDTH LATIN CAPITAL LETTER Y*/
{65338,65370,65338,0L}, /* FULLWIDTH LATIN CAPITAL LETTER Z*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{65345,65345,65313,0L}, /* FULLWIDTH LATIN LETTER A*/
{65346,65346,65314,0L}, /* FULLWIDTH LATIN LETTER B*/
{65347,65347,65315,0L}, /* FULLWIDTH LATIN LETTER C*/
{65348,65348,65316,0L}, /* FULLWIDTH LATIN LETTER D*/
{65349,65349,65317,0L}, /* FULLWIDTH LATIN LETTER E*/
{65350,65350,65318,0L}, /* FULLWIDTH LATIN LETTER F*/
{65351,65351,65319,0L}, /* FULLWIDTH LATIN LETTER G*/
{65352,65352,65320,0L}, /* FULLWIDTH LATIN LETTER H*/
{65353,65353,65321,0L}, /* FULLWIDTH LATIN LETTER I*/
{65354,65354,65322,0L}, /* FULLWIDTH LATIN LETTER J*/
{65355,65355,65323,0L}, /* FULLWIDTH LATIN LETTER K*/
{65356,65356,65324,0L}, /* FULLWIDTH LATIN LETTER L*/
{65357,65357,65325,0L}, /* FULLWIDTH LATIN LETTER M*/
{65358,65358,65326,0L}, /* FULLWIDTH LATIN LETTER N*/
{65359,65359,65327,0L}, /* FULLWIDTH LATIN LETTER O*/
{65360,65360,65328,0L}, /* FULLWIDTH LATIN LETTER P*/
{65361,65361,65329,0L}, /* FULLWIDTH LATIN LETTER Q*/
{65362,65362,65330,0L}, /* FULLWIDTH LATIN LETTER R*/
{65363,65363,65331,0L}, /* FULLWIDTH LATIN LETTER S*/
{65364,65364,65332,0L}, /* FULLWIDTH LATIN LETTER T*/
{65365,65365,65333,0L}, /* FULLWIDTH LATIN LETTER U*/
{65366,65366,65334,0L}, /* FULLWIDTH LATIN LETTER V*/
{65367,65367,65335,0L}, /* FULLWIDTH LATIN LETTER W*/
{65368,65368,65336,0L}, /* FULLWIDTH LATIN LETTER X*/
{65369,65369,65337,0L}, /* FULLWIDTH LATIN LETTER Y*/
{65370,65370,65338,0L}, /* FULLWIDTH LATIN LETTER Z*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{4256,11520,4256,0L}, /* GEORGIAN CAPITAL LETTER AN*/
{4257,11521,4257,0L}, /* GEORGIAN CAPITAL LETTER BAN*/
{4258,11522,4258,0L}, /* GEORGIAN CAPITAL LETTER GAN*/
{4259,11523,4259,0L}, /* GEORGIAN CAPITAL LETTER DON*/
{4260,11524,4260,0L}, /* GEORGIAN CAPITAL LETTER EN*/
{4261,11525,4261,0L}, /* GEORGIAN CAPITAL LETTER VIN*/
{4262,11526,4262,0L}, /* GEORGIAN CAPITAL LETTER ZEN*/
{4263,11527,4263,0L}, /* GEORGIAN CAPITAL LETTER TAN*/
{4264,11528,4264,0L}, /* GEORGIAN CAPITAL LETTER IN*/
{4265,11529,4265,0L}, /* GEORGIAN CAPITAL LETTER KAN*/
{4266,11530,4266,0L}, /* GEORGIAN CAPITAL LETTER LAS*/
{4267,11531,4267,0L}, /* GEORGIAN CAPITAL LETTER MAN*/
{4268,11532,4268,0L}, /* GEORGIAN CAPITAL LETTER NAR*/
{4269,11533,4269,0L}, /* GEORGIAN CAPITAL LETTER ON*/
{4270,11534,4270,0L}, /* GEORGIAN CAPITAL LETTER PAR*/
{4271,11535,4271,0L}, /* GEORGIAN CAPITAL LETTER ZHAR*/
{4272,11536,4272,0L}, /* GEORGIAN CAPITAL LETTER RAE*/
{4273,11537,4273,0L}, /* GEORGIAN CAPITAL LETTER SAN*/
{4274,11538,4274,0L}, /* GEORGIAN CAPITAL LETTER TAR*/
{4275,11539,4275,0L}, /* GEORGIAN CAPITAL LETTER UN*/
{4276,11540,4276,0L}, /* GEORGIAN CAPITAL LETTER PHAR*/
{4277,11541,4277,0L}, /* GEORGIAN CAPITAL LETTER KHAR*/
{4278,11542,4278,0L}, /* GEORGIAN CAPITAL LETTER GHAN*/
{4279,11543,4279,0L}, /* GEORGIAN CAPITAL LETTER QAR*/
{4280,11544,4280,0L}, /* GEORGIAN CAPITAL LETTER SHIN*/
{4281,11545,4281,0L}, /* GEORGIAN CAPITAL LETTER CHIN*/
{4282,11546,4282,0L}, /* GEORGIAN CAPITAL LETTER CAN*/
{4283,11547,4283,0L}, /* GEORGIAN CAPITAL LETTER JIL*/
{4284,11548,4284,0L}, /* GEORGIAN CAPITAL LETTER CIL*/
{4285,11549,4285,0L}, /* GEORGIAN CAPITAL LETTER CHAR*/
{4286,11550,4286,0L}, /* GEORGIAN CAPITAL LETTER XAN*/
{4287,11551,4287,0L}, /* GEORGIAN CAPITAL LETTER JHAN*/
{4288,11552,4288,0L}, /* GEORGIAN CAPITAL LETTER HAE*/
{4289,11553,4289,0L}, /* GEORGIAN CAPITAL LETTER HE*/
{4290,11554,4290,0L}, /* GEORGIAN CAPITAL LETTER HIE*/
{4291,11555,4291,0L}, /* GEORGIAN CAPITAL LETTER WE*/
{4292,11556,4292,0L}, /* GEORGIAN CAPITAL LETTER HAR*/
{4293,11557,4293,0L}, /* GEORGIAN CAPITAL LETTER HOE*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{66560,66600,66560,0L}, /* DESERET CAPITAL LETTER LONG I*/
{66561,66601,66561,0L}, /* DESERET CAPITAL LETTER LONG E*/
{66562,66602,66562,0L}, /* DESERET CAPITAL LETTER LONG A*/
{66563,66603,66563,0L}, /* DESERET CAPITAL LETTER LONG AH*/
{66564,66604,66564,0L}, /* DESERET CAPITAL LETTER LONG O*/
{66565,66605,66565,0L}, /* DESERET CAPITAL LETTER LONG OO*/
{66566,66606,66566,0L}, /* DESERET CAPITAL LETTER SHORT I*/
{66567,66607,66567,0L}, /* DESERET CAPITAL LETTER SHORT E*/
{66568,66608,66568,0L}, /* DESERET CAPITAL LETTER SHORT A*/
{66569,66609,66569,0L}, /* DESERET CAPITAL LETTER SHORT AH*/
{66570,66610,66570,0L}, /* DESERET CAPITAL LETTER SHORT O*/
{66571,66611,66571,0L}, /* DESERET CAPITAL LETTER SHORT OO*/
{66572,66612,66572,0L}, /* DESERET CAPITAL LETTER AY*/
{66573,66613,66573,0L}, /* DESERET CAPITAL LETTER OW*/
{66574,66614,66574,0L}, /* DESERET CAPITAL LETTER WU*/
{66575,66615,66575,0L}, /* DESERET CAPITAL LETTER YEE*/
{66576,66616,66576,0L}, /* DESERET CAPITAL LETTER H*/
{66577,66617,66577,0L}, /* DESERET CAPITAL LETTER PEE*/
{66578,66618,66578,0L}, /* DESERET CAPITAL LETTER BEE*/
{66579,66619,66579,0L}, /* DESERET CAPITAL LETTER TEE*/
{66580,66620,66580,0L}, /* DESERET CAPITAL LETTER DEE*/
{66581,66621,66581,0L}, /* DESERET CAPITAL LETTER CHEE*/
{66582,66622,66582,0L}, /* DESERET CAPITAL LETTER JEE*/
{66583,66623,66583,0L}, /* DESERET CAPITAL LETTER KAY*/
{66584,66624,66584,0L}, /* DESERET CAPITAL LETTER GAY*/
{66585,66625,66585,0L}, /* DESERET CAPITAL LETTER EF*/
{66586,66626,66586,0L}, /* DESERET CAPITAL LETTER VEE*/
{66587,66627,66587,0L}, /* DESERET CAPITAL LETTER ETH*/
{66588,66628,66588,0L}, /* DESERET CAPITAL LETTER THEE*/
{66589,66629,66589,0L}, /* DESERET CAPITAL LETTER ES*/
{66590,66630,66590,0L}, /* DESERET CAPITAL LETTER ZEE*/
{66591,66631,66591,0L}, /* DESERET CAPITAL LETTER ESH*/
{66592,66632,66592,0L}, /* DESERET CAPITAL LETTER ZHEE*/
{66593,66633,66593,0L}, /* DESERET CAPITAL LETTER ER*/
{66594,66634,66594,0L}, /* DESERET CAPITAL LETTER EL*/
{66595,66635,66595,0L}, /* DESERET CAPITAL LETTER EM*/
{66596,66636,66596,0L}, /* DESERET CAPITAL LETTER EN*/
{66597,66637,66597,0L}, /* DESERET CAPITAL LETTER ENG*/
{66598,66638,66598,0L}, /* DESERET CAPITAL LETTER OI*/
{66599,66639,66599,0L}, /* DESERET CAPITAL LETTER EW*/
{66600,66600,66560,0L}, /* DESERET LETTER LONG I*/
{66601,66601,66561,0L}, /* DESERET LETTER LONG E*/
{66602,66602,66562,0L}, /* DESERET LETTER LONG A*/
{66603,66603,66563,0L}, /* DESERET LETTER LONG AH*/
{66604,66604,66564,0L}, /* DESERET LETTER LONG O*/
{66605,66605,66565,0L}, /* DESERET LETTER LONG OO*/
{66606,66606,66566,0L}, /* DESERET LETTER SHORT I*/
{66607,66607,66567,0L}, /* DESERET LETTER SHORT E*/
{66608,66608,66568,0L}, /* DESERET LETTER SHORT A*/
{66609,66609,66569,0L}, /* DESERET LETTER SHORT AH*/
{66610,66610,66570,0L}, /* DESERET LETTER SHORT O*/
{66611,66611,66571,0L}, /* DESERET LETTER SHORT OO*/
{66612,66612,66572,0L}, /* DESERET LETTER AY*/
{66613,66613,66573,0L}, /* DESERET LETTER OW*/
{66614,66614,66574,0L}, /* DESERET LETTER WU*/
{66615,66615,66575,0L}, /* DESERET LETTER YEE*/
{66616,66616,66576,0L}, /* DESERET LETTER H*/
{66617,66617,66577,0L}, /* DESERET LETTER PEE*/
{66618,66618,66578,0L}, /* DESERET LETTER BEE*/
{66619,66619,66579,0L}, /* DESERET LETTER TEE*/
{66620,66620,66580,0L}, /* DESERET LETTER DEE*/
{66621,66621,66581,0L}, /* DESERET LETTER CHEE*/
{66622,66622,66582,0L}, /* DESERET LETTER JEE*/
{66623,66623,66583,0L}, /* DESERET LETTER KAY*/
{66624,66624,66584,0L}, /* DESERET LETTER GAY*/
{66625,66625,66585,0L}, /* DESERET LETTER EF*/
{66626,66626,66586,0L}, /* DESERET LETTER VEE*/
{66627,66627,66587,0L}, /* DESERET LETTER ETH*/
{66628,66628,66588,0L}, /* DESERET LETTER THEE*/
{66629,66629,66589,0L}, /* DESERET LETTER ES*/
{66630,66630,66590,0L}, /* DESERET LETTER ZEE*/
{66631,66631,66591,0L}, /* DESERET LETTER ESH*/
{66632,66632,66592,0L}, /* DESERET LETTER ZHEE*/
{66633,66633,66593,0L}, /* DESERET LETTER ER*/
{66634,66634,66594,0L}, /* DESERET LETTER EL*/
{66635,66635,66595,0L}, /* DESERET LETTER EM*/
{66636,66636,66596,0L}, /* DESERET LETTER EN*/
{66637,66637,66597,0L}, /* DESERET LETTER ENG*/
{66638,66638,66598,0L}, /* DESERET LETTER OI*/
{66639,66639,66599,0L}, /* DESERET LETTER EW*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{11264,11312,11264,0L}, /* GLAGOLITIC CAPITAL LETTER AZU*/
{11265,11313,11265,0L}, /* GLAGOLITIC CAPITAL LETTER BUKY*/
{11266,11314,11266,0L}, /* GLAGOLITIC CAPITAL LETTER VEDE*/
{11267,11315,11267,0L}, /* GLAGOLITIC CAPITAL LETTER GLAGOLI*/
{11268,11316,11268,0L}, /* GLAGOLITIC CAPITAL LETTER DOBRO*/
{11269,11317,11269,0L}, /* GLAGOLITIC CAPITAL LETTER YESTU*/
{11270,11318,11270,0L}, /* GLAGOLITIC CAPITAL LETTER ZHIVETE*/
{11271,11319,11271,0L}, /* GLAGOLITIC CAPITAL LETTER DZELO*/
{11272,11320,11272,0L}, /* GLAGOLITIC CAPITAL LETTER ZEMLJA*/
{11273,11321,11273,0L}, /* GLAGOLITIC CAPITAL LETTER IZHE*/
{11274,11322,11274,0L}, /* GLAGOLITIC CAPITAL LETTER INITIAL IZHE*/
{11275,11323,11275,0L}, /* GLAGOLITIC CAPITAL LETTER I*/
{11276,11324,11276,0L}, /* GLAGOLITIC CAPITAL LETTER DJERVI*/
{11277,11325,11277,0L}, /* GLAGOLITIC CAPITAL LETTER KAKO*/
{11278,11326,11278,0L}, /* GLAGOLITIC CAPITAL LETTER LJUDIJE*/
{11279,11327,11279,0L}, /* GLAGOLITIC CAPITAL LETTER MYSLITE*/
{11280,11328,11280,0L}, /* GLAGOLITIC CAPITAL LETTER NASHI*/
{11281,11329,11281,0L}, /* GLAGOLITIC CAPITAL LETTER ONU*/
{11282,11330,11282,0L}, /* GLAGOLITIC CAPITAL LETTER POKOJI*/
{11283,11331,11283,0L}, /* GLAGOLITIC CAPITAL LETTER RITSI*/
{11284,11332,11284,0L}, /* GLAGOLITIC CAPITAL LETTER SLOVO*/
{11285,11333,11285,0L}, /* GLAGOLITIC CAPITAL LETTER TVRIDO*/
{11286,11334,11286,0L}, /* GLAGOLITIC CAPITAL LETTER UKU*/
{11287,11335,11287,0L}, /* GLAGOLITIC CAPITAL LETTER FRITU*/
{11288,11336,11288,0L}, /* GLAGOLITIC CAPITAL LETTER HERU*/
{11289,11337,11289,0L}, /* GLAGOLITIC CAPITAL LETTER OTU*/
{11290,11338,11290,0L}, /* GLAGOLITIC CAPITAL LETTER PE*/
{11291,11339,11291,0L}, /* GLAGOLITIC CAPITAL LETTER SHTA*/
{11292,11340,11292,0L}, /* GLAGOLITIC CAPITAL LETTER TSI*/
{11293,11341,11293,0L}, /* GLAGOLITIC CAPITAL LETTER CHRIVI*/
{11294,11342,11294,0L}, /* GLAGOLITIC CAPITAL LETTER SHA*/
{11295,11343,11295,0L}, /* GLAGOLITIC CAPITAL LETTER YERU*/
{11296,11344,11296,0L}, /* GLAGOLITIC CAPITAL LETTER YERI*/
{11297,11345,11297,0L}, /* GLAGOLITIC CAPITAL LETTER YATI*/
{11298,11346,11298,0L}, /* GLAGOLITIC CAPITAL LETTER SPIDERY HA*/
{11299,11347,11299,0L}, /* GLAGOLITIC CAPITAL LETTER YU*/
{11300,11348,11300,0L}, /* GLAGOLITIC CAPITAL LETTER SMALL YUS*/
{11301,11349,11301,0L}, /* GLAGOLITIC CAPITAL LETTER SMALL YUS WITH TAIL*/
{11302,11350,11302,0L}, /* GLAGOLITIC CAPITAL LETTER YO*/
{11303,11351,11303,0L}, /* GLAGOLITIC CAPITAL LETTER IOTATED SMALL YUS*/
{11304,11352,11304,0L}, /* GLAGOLITIC CAPITAL LETTER BIG YUS*/
{11305,11353,11305,0L}, /* GLAGOLITIC CAPITAL LETTER IOTATED BIG YUS*/
{11306,11354,11306,0L}, /* GLAGOLITIC CAPITAL LETTER FITA*/
{11307,11355,11307,0L}, /* GLAGOLITIC CAPITAL LETTER IZHITSA*/
{11308,11356,11308,0L}, /* GLAGOLITIC CAPITAL LETTER SHTAPIC*/
{11309,11357,11309,0L}, /* GLAGOLITIC CAPITAL LETTER TROKUTASTI A*/
{11310,11358,11310,0L}, /* GLAGOLITIC CAPITAL LETTER LATINATE MYSLITE*/
{0,0,0,0L}, 
{11312,11312,11264,0L}, /* GLAGOLITIC LETTER AZU*/
{11313,11313,11265,0L}, /* GLAGOLITIC LETTER BUKY*/
{11314,11314,11266,0L}, /* GLAGOLITIC LETTER VEDE*/
{11315,11315,11267,0L}, /* GLAGOLITIC LETTER GLAGOLI*/
{11316,11316,11268,0L}, /* GLAGOLITIC LETTER DOBRO*/
{11317,11317,11269,0L}, /* GLAGOLITIC LETTER YESTU*/
{11318,11318,11270,0L}, /* GLAGOLITIC LETTER ZHIVETE*/
{11319,11319,11271,0L}, /* GLAGOLITIC LETTER DZELO*/
{11320,11320,11272,0L}, /* GLAGOLITIC LETTER ZEMLJA*/
{11321,11321,11273,0L}, /* GLAGOLITIC LETTER IZHE*/
{11322,11322,11274,0L}, /* GLAGOLITIC LETTER INITIAL IZHE*/
{11323,11323,11275,0L}, /* GLAGOLITIC LETTER I*/
{11324,11324,11276,0L}, /* GLAGOLITIC LETTER DJERVI*/
{11325,11325,11277,0L}, /* GLAGOLITIC LETTER KAKO*/
{11326,11326,11278,0L}, /* GLAGOLITIC LETTER LJUDIJE*/
{11327,11327,11279,0L}, /* GLAGOLITIC LETTER MYSLITE*/
{11328,11328,11280,0L}, /* GLAGOLITIC LETTER NASHI*/
{11329,11329,11281,0L}, /* GLAGOLITIC LETTER ONU*/
{11330,11330,11282,0L}, /* GLAGOLITIC LETTER POKOJI*/
{11331,11331,11283,0L}, /* GLAGOLITIC LETTER RITSI*/
{11332,11332,11284,0L}, /* GLAGOLITIC LETTER SLOVO*/
{11333,11333,11285,0L}, /* GLAGOLITIC LETTER TVRIDO*/
{11334,11334,11286,0L}, /* GLAGOLITIC LETTER UKU*/
{11335,11335,11287,0L}, /* GLAGOLITIC LETTER FRITU*/
{11336,11336,11288,0L}, /* GLAGOLITIC LETTER HERU*/
{11337,11337,11289,0L}, /* GLAGOLITIC LETTER OTU*/
{11338,11338,11290,0L}, /* GLAGOLITIC LETTER PE*/
{11339,11339,11291,0L}, /* GLAGOLITIC LETTER SHTA*/
{11340,11340,11292,0L}, /* GLAGOLITIC LETTER TSI*/
{11341,11341,11293,0L}, /* GLAGOLITIC LETTER CHRIVI*/
{11342,11342,11294,0L}, /* GLAGOLITIC LETTER SHA*/
{11343,11343,11295,0L}, /* GLAGOLITIC LETTER YERU*/
{11344,11344,11296,0L}, /* GLAGOLITIC LETTER YERI*/
{11345,11345,11297,0L}, /* GLAGOLITIC LETTER YATI*/
{11346,11346,11298,0L}, /* GLAGOLITIC LETTER SPIDERY HA*/
{11347,11347,11299,0L}, /* GLAGOLITIC LETTER YU*/
{11348,11348,11300,0L}, /* GLAGOLITIC LETTER SMALL YUS*/
{11349,11349,11301,0L}, /* GLAGOLITIC LETTER SMALL YUS WITH TAIL*/
{11350,11350,11302,0L}, /* GLAGOLITIC LETTER YO*/
{11351,11351,11303,0L}, /* GLAGOLITIC LETTER IOTATED SMALL YUS*/
{11352,11352,11304,0L}, /* GLAGOLITIC LETTER BIG YUS*/
{11353,11353,11305,0L}, /* GLAGOLITIC LETTER IOTATED BIG YUS*/
{11354,11354,11306,0L}, /* GLAGOLITIC LETTER FITA*/
{11355,11355,11307,0L}, /* GLAGOLITIC LETTER IZHITSA*/
{11356,11356,11308,0L}, /* GLAGOLITIC LETTER SHTAPIC*/
{11357,11357,11309,0L}, /* GLAGOLITIC LETTER TROKUTASTI A*/
{11358,11358,11310,0L}, /* GLAGOLITIC LETTER LATINATE MYSLITE*/
{0,0,0,0L}, 
{11360,11361,11360,0L}, /* LATIN CAPITAL LETTER L WITH DOUBLE BAR*/
{11361,11361,11360,0L}, /* LATIN LETTER L WITH DOUBLE BAR*/
{11362,619,11362,0L}, /* LATIN CAPITAL LETTER L WITH MIDDLE TILDE*/
{11363,7549,11363,0L}, /* LATIN CAPITAL LETTER P WITH STROKE*/
{11364,637,11364,0L}, /* LATIN CAPITAL LETTER R WITH TAIL*/
{11365,11365,570,0L}, /* LATIN LETTER A WITH STROKE*/
{11366,11366,574,0L}, /* LATIN LETTER T WITH DIAGONAL STROKE*/
{11367,11368,11367,0L}, /* LATIN CAPITAL LETTER H WITH DESCENDER*/
{11368,11368,11367,0L}, /* LATIN LETTER H WITH DESCENDER*/
{11369,11370,11369,0L}, /* LATIN CAPITAL LETTER K WITH DESCENDER*/
{11370,11370,11369,0L}, /* LATIN LETTER K WITH DESCENDER*/
{11371,11372,11371,0L}, /* LATIN CAPITAL LETTER Z WITH DESCENDER*/
{11372,11372,11371,0L}, /* LATIN LETTER Z WITH DESCENDER*/
{11373,593,11373,0L}, /* LATIN CAPITAL LETTER ALPHA*/
{11374,625,11374,0L}, /* LATIN CAPITAL LETTER M WITH HOOK*/
{11375,592,11375,0L}, /* LATIN CAPITAL LETTER TURNED A*/
{11376,594,11376,0L}, /* LATIN CAPITAL LETTER TURNED ALPHA*/
{0,0,0,0L}, 
{11378,11379,11378,0L}, /* LATIN CAPITAL LETTER W WITH HOOK*/
{11379,11379,11378,0L}, /* LATIN LETTER W WITH HOOK*/
{0,0,0,0L}, 
{11381,11382,11381,0L}, /* LATIN CAPITAL LETTER HALF H*/
{11382,11382,11381,0L}, /* LATIN LETTER HALF H*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{11390,575,11390,0L}, /* LATIN CAPITAL LETTER S WITH SWASH TAIL*/
{11391,576,11391,0L}, /* LATIN CAPITAL LETTER Z WITH SWASH TAIL*/
{11392,11393,11392,0L}, /* COPTIC CAPITAL LETTER ALFA*/
{11393,11393,11392,0L}, /* COPTIC LETTER ALFA*/
{11394,11395,11394,0L}, /* COPTIC CAPITAL LETTER VIDA*/
{11395,11395,11394,0L}, /* COPTIC LETTER VIDA*/
{11396,11397,11396,0L}, /* COPTIC CAPITAL LETTER GAMMA*/
{11397,11397,11396,0L}, /* COPTIC LETTER GAMMA*/
{11398,11399,11398,0L}, /* COPTIC CAPITAL LETTER DALDA*/
{11399,11399,11398,0L}, /* COPTIC LETTER DALDA*/
{11400,11401,11400,0L}, /* COPTIC CAPITAL LETTER EIE*/
{11401,11401,11400,0L}, /* COPTIC LETTER EIE*/
{11402,11403,11402,0L}, /* COPTIC CAPITAL LETTER SOU*/
{11403,11403,11402,0L}, /* COPTIC LETTER SOU*/
{11404,11405,11404,0L}, /* COPTIC CAPITAL LETTER ZATA*/
{11405,11405,11404,0L}, /* COPTIC LETTER ZATA*/
{11406,11407,11406,0L}, /* COPTIC CAPITAL LETTER HATE*/
{11407,11407,11406,0L}, /* COPTIC LETTER HATE*/
{11408,11409,11408,0L}, /* COPTIC CAPITAL LETTER THETHE*/
{11409,11409,11408,0L}, /* COPTIC LETTER THETHE*/
{11410,11411,11410,0L}, /* COPTIC CAPITAL LETTER IAUDA*/
{11411,11411,11410,0L}, /* COPTIC LETTER IAUDA*/
{11412,11413,11412,0L}, /* COPTIC CAPITAL LETTER KAPA*/
{11413,11413,11412,0L}, /* COPTIC LETTER KAPA*/
{11414,11415,11414,0L}, /* COPTIC CAPITAL LETTER LAULA*/
{11415,11415,11414,0L}, /* COPTIC LETTER LAULA*/
{11416,11417,11416,0L}, /* COPTIC CAPITAL LETTER MI*/
{11417,11417,11416,0L}, /* COPTIC LETTER MI*/
{11418,11419,11418,0L}, /* COPTIC CAPITAL LETTER NI*/
{11419,11419,11418,0L}, /* COPTIC LETTER NI*/
{11420,11421,11420,0L}, /* COPTIC CAPITAL LETTER KSI*/
{11421,11421,11420,0L}, /* COPTIC LETTER KSI*/
{11422,11423,11422,0L}, /* COPTIC CAPITAL LETTER O*/
{11423,11423,11422,0L}, /* COPTIC LETTER O*/
{11424,11425,11424,0L}, /* COPTIC CAPITAL LETTER PI*/
{11425,11425,11424,0L}, /* COPTIC LETTER PI*/
{11426,11427,11426,0L}, /* COPTIC CAPITAL LETTER RO*/
{11427,11427,11426,0L}, /* COPTIC LETTER RO*/
{11428,11429,11428,0L}, /* COPTIC CAPITAL LETTER SIMA*/
{11429,11429,11428,0L}, /* COPTIC LETTER SIMA*/
{11430,11431,11430,0L}, /* COPTIC CAPITAL LETTER TAU*/
{11431,11431,11430,0L}, /* COPTIC LETTER TAU*/
{11432,11433,11432,0L}, /* COPTIC CAPITAL LETTER UA*/
{11433,11433,11432,0L}, /* COPTIC LETTER UA*/
{11434,11435,11434,0L}, /* COPTIC CAPITAL LETTER FI*/
{11435,11435,11434,0L}, /* COPTIC LETTER FI*/
{11436,11437,11436,0L}, /* COPTIC CAPITAL LETTER KHI*/
{11437,11437,11436,0L}, /* COPTIC LETTER KHI*/
{11438,11439,11438,0L}, /* COPTIC CAPITAL LETTER PSI*/
{11439,11439,11438,0L}, /* COPTIC LETTER PSI*/
{11440,11441,11440,0L}, /* COPTIC CAPITAL LETTER OOU*/
{11441,11441,11440,0L}, /* COPTIC LETTER OOU*/
{11442,11443,11442,0L}, /* COPTIC CAPITAL LETTER DIALECT-P ALEF*/
{11443,11443,11442,0L}, /* COPTIC LETTER DIALECT-P ALEF*/
{11444,11445,11444,0L}, /* COPTIC CAPITAL LETTER OLD COPTIC AIN*/
{11445,11445,11444,0L}, /* COPTIC LETTER OLD COPTIC AIN*/
{11446,11447,11446,0L}, /* COPTIC CAPITAL LETTER CRYPTOGRAMMIC EIE*/
{11447,11447,11446,0L}, /* COPTIC LETTER CRYPTOGRAMMIC EIE*/
{11448,11449,11448,0L}, /* COPTIC CAPITAL LETTER DIALECT-P KAPA*/
{11449,11449,11448,0L}, /* COPTIC LETTER DIALECT-P KAPA*/
{11450,11451,11450,0L}, /* COPTIC CAPITAL LETTER DIALECT-P NI*/
{11451,11451,11450,0L}, /* COPTIC LETTER DIALECT-P NI*/
{11452,11453,11452,0L}, /* COPTIC CAPITAL LETTER CRYPTOGRAMMIC NI*/
{11453,11453,11452,0L}, /* COPTIC LETTER CRYPTOGRAMMIC NI*/
{11454,11455,11454,0L}, /* COPTIC CAPITAL LETTER OLD COPTIC OOU*/
{11455,11455,11454,0L}, /* COPTIC LETTER OLD COPTIC OOU*/
{11456,11457,11456,0L}, /* COPTIC CAPITAL LETTER SAMPI*/
{11457,11457,11456,0L}, /* COPTIC LETTER SAMPI*/
{11458,11459,11458,0L}, /* COPTIC CAPITAL LETTER CROSSED SHEI*/
{11459,11459,11458,0L}, /* COPTIC LETTER CROSSED SHEI*/
{11460,11461,11460,0L}, /* COPTIC CAPITAL LETTER OLD COPTIC SHEI*/
{11461,11461,11460,0L}, /* COPTIC LETTER OLD COPTIC SHEI*/
{11462,11463,11462,0L}, /* COPTIC CAPITAL LETTER OLD COPTIC ESH*/
{11463,11463,11462,0L}, /* COPTIC LETTER OLD COPTIC ESH*/
{11464,11465,11464,0L}, /* COPTIC CAPITAL LETTER AKHMIMIC KHEI*/
{11465,11465,11464,0L}, /* COPTIC LETTER AKHMIMIC KHEI*/
{11466,11467,11466,0L}, /* COPTIC CAPITAL LETTER DIALECT-P HORI*/
{11467,11467,11466,0L}, /* COPTIC LETTER DIALECT-P HORI*/
{11468,11469,11468,0L}, /* COPTIC CAPITAL LETTER OLD COPTIC HORI*/
{11469,11469,11468,0L}, /* COPTIC LETTER OLD COPTIC HORI*/
{11470,11471,11470,0L}, /* COPTIC CAPITAL LETTER OLD COPTIC HA*/
{11471,11471,11470,0L}, /* COPTIC LETTER OLD COPTIC HA*/
{11472,11473,11472,0L}, /* COPTIC CAPITAL LETTER L-SHAPED HA*/
{11473,11473,11472,0L}, /* COPTIC LETTER L-SHAPED HA*/
{11474,11475,11474,0L}, /* COPTIC CAPITAL LETTER OLD COPTIC HEI*/
{11475,11475,11474,0L}, /* COPTIC LETTER OLD COPTIC HEI*/
{11476,11477,11476,0L}, /* COPTIC CAPITAL LETTER OLD COPTIC HAT*/
{11477,11477,11476,0L}, /* COPTIC LETTER OLD COPTIC HAT*/
{11478,11479,11478,0L}, /* COPTIC CAPITAL LETTER OLD COPTIC GANGIA*/
{11479,11479,11478,0L}, /* COPTIC LETTER OLD COPTIC GANGIA*/
{11480,11481,11480,0L}, /* COPTIC CAPITAL LETTER OLD COPTIC DJA*/
{11481,11481,11480,0L}, /* COPTIC LETTER OLD COPTIC DJA*/
{11482,11483,11482,0L}, /* COPTIC CAPITAL LETTER OLD COPTIC SHIMA*/
{11483,11483,11482,0L}, /* COPTIC LETTER OLD COPTIC SHIMA*/
{11484,11485,11484,0L}, /* COPTIC CAPITAL LETTER OLD NUBIAN SHIMA*/
{11485,11485,11484,0L}, /* COPTIC LETTER OLD NUBIAN SHIMA*/
{11486,11487,11486,0L}, /* COPTIC CAPITAL LETTER OLD NUBIAN NGI*/
{11487,11487,11486,0L}, /* COPTIC LETTER OLD NUBIAN NGI*/
{11488,11489,11488,0L}, /* COPTIC CAPITAL LETTER OLD NUBIAN NYI*/
{11489,11489,11488,0L}, /* COPTIC LETTER OLD NUBIAN NYI*/
{11490,11491,11490,0L}, /* COPTIC CAPITAL LETTER OLD NUBIAN WAU*/
{11491,11491,11490,0L}, /* COPTIC LETTER OLD NUBIAN WAU*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{11499,11500,11499,0L}, /* COPTIC CAPITAL LETTER CRYPTOGRAMMIC SHEI*/
{11500,11500,11499,0L}, /* COPTIC LETTER CRYPTOGRAMMIC SHEI*/
{11501,11502,11501,0L}, /* COPTIC CAPITAL LETTER CRYPTOGRAMMIC GANGIA*/
{11502,11502,11501,0L}, /* COPTIC LETTER CRYPTOGRAMMIC GANGIA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{11520,11520,4256,0L}, /* GEORGIAN LETTER AN*/
{11521,11521,4257,0L}, /* GEORGIAN LETTER BAN*/
{11522,11522,4258,0L}, /* GEORGIAN LETTER GAN*/
{11523,11523,4259,0L}, /* GEORGIAN LETTER DON*/
{11524,11524,4260,0L}, /* GEORGIAN LETTER EN*/
{11525,11525,4261,0L}, /* GEORGIAN LETTER VIN*/
{11526,11526,4262,0L}, /* GEORGIAN LETTER ZEN*/
{11527,11527,4263,0L}, /* GEORGIAN LETTER TAN*/
{11528,11528,4264,0L}, /* GEORGIAN LETTER IN*/
{11529,11529,4265,0L}, /* GEORGIAN LETTER KAN*/
{11530,11530,4266,0L}, /* GEORGIAN LETTER LAS*/
{11531,11531,4267,0L}, /* GEORGIAN LETTER MAN*/
{11532,11532,4268,0L}, /* GEORGIAN LETTER NAR*/
{11533,11533,4269,0L}, /* GEORGIAN LETTER ON*/
{11534,11534,4270,0L}, /* GEORGIAN LETTER PAR*/
{11535,11535,4271,0L}, /* GEORGIAN LETTER ZHAR*/
{11536,11536,4272,0L}, /* GEORGIAN LETTER RAE*/
{11537,11537,4273,0L}, /* GEORGIAN LETTER SAN*/
{11538,11538,4274,0L}, /* GEORGIAN LETTER TAR*/
{11539,11539,4275,0L}, /* GEORGIAN LETTER UN*/
{11540,11540,4276,0L}, /* GEORGIAN LETTER PHAR*/
{11541,11541,4277,0L}, /* GEORGIAN LETTER KHAR*/
{11542,11542,4278,0L}, /* GEORGIAN LETTER GHAN*/
{11543,11543,4279,0L}, /* GEORGIAN LETTER QAR*/
{11544,11544,4280,0L}, /* GEORGIAN LETTER SHIN*/
{11545,11545,4281,0L}, /* GEORGIAN LETTER CHIN*/
{11546,11546,4282,0L}, /* GEORGIAN LETTER CAN*/
{11547,11547,4283,0L}, /* GEORGIAN LETTER JIL*/
{11548,11548,4284,0L}, /* GEORGIAN LETTER CIL*/
{11549,11549,4285,0L}, /* GEORGIAN LETTER CHAR*/
{11550,11550,4286,0L}, /* GEORGIAN LETTER XAN*/
{11551,11551,4287,0L}, /* GEORGIAN LETTER JHAN*/
{11552,11552,4288,0L}, /* GEORGIAN LETTER HAE*/
{11553,11553,4289,0L}, /* GEORGIAN LETTER HE*/
{11554,11554,4290,0L}, /* GEORGIAN LETTER HIE*/
{11555,11555,4291,0L}, /* GEORGIAN LETTER WE*/
{11556,11556,4292,0L}, /* GEORGIAN LETTER HAR*/
{11557,11557,4293,0L}, /* GEORGIAN LETTER HOE*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{42560,42561,42560,0L}, /* CYRILLIC CAPITAL LETTER ZEMLYA*/
{42561,42561,42560,0L}, /* CYRILLIC LETTER ZEMLYA*/
{42562,42563,42562,0L}, /* CYRILLIC CAPITAL LETTER DZELO*/
{42563,42563,42562,0L}, /* CYRILLIC LETTER DZELO*/
{42564,42565,42564,0L}, /* CYRILLIC CAPITAL LETTER REVERSED DZE*/
{42565,42565,42564,0L}, /* CYRILLIC LETTER REVERSED DZE*/
{42566,42567,42566,0L}, /* CYRILLIC CAPITAL LETTER IOTA*/
{42567,42567,42566,0L}, /* CYRILLIC LETTER IOTA*/
{42568,42569,42568,0L}, /* CYRILLIC CAPITAL LETTER DJERV*/
{42569,42569,42568,0L}, /* CYRILLIC LETTER DJERV*/
{42570,42571,42570,0L}, /* CYRILLIC CAPITAL LETTER MONOGRAPH UK*/
{42571,42571,42570,0L}, /* CYRILLIC LETTER MONOGRAPH UK*/
{42572,42573,42572,0L}, /* CYRILLIC CAPITAL LETTER BROAD OMEGA*/
{42573,42573,42572,0L}, /* CYRILLIC LETTER BROAD OMEGA*/
{42574,42575,42574,0L}, /* CYRILLIC CAPITAL LETTER NEUTRAL YER*/
{42575,42575,42574,0L}, /* CYRILLIC LETTER NEUTRAL YER*/
{42576,42577,42576,0L}, /* CYRILLIC CAPITAL LETTER YERU WITH BACK YER*/
{42577,42577,42576,0L}, /* CYRILLIC LETTER YERU WITH BACK YER*/
{42578,42579,42578,0L}, /* CYRILLIC CAPITAL LETTER IOTIFIED YAT*/
{42579,42579,42578,0L}, /* CYRILLIC LETTER IOTIFIED YAT*/
{42580,42581,42580,0L}, /* CYRILLIC CAPITAL LETTER REVERSED YU*/
{42581,42581,42580,0L}, /* CYRILLIC LETTER REVERSED YU*/
{42582,42583,42582,0L}, /* CYRILLIC CAPITAL LETTER IOTIFIED A*/
{42583,42583,42582,0L}, /* CYRILLIC LETTER IOTIFIED A*/
{42584,42585,42584,0L}, /* CYRILLIC CAPITAL LETTER CLOSED LITTLE YUS*/
{42585,42585,42584,0L}, /* CYRILLIC LETTER CLOSED LITTLE YUS*/
{42586,42587,42586,0L}, /* CYRILLIC CAPITAL LETTER BLENDED YUS*/
{42587,42587,42586,0L}, /* CYRILLIC LETTER BLENDED YUS*/
{42588,42589,42588,0L}, /* CYRILLIC CAPITAL LETTER IOTIFIED CLOSED LITTLE YUS*/
{42589,42589,42588,0L}, /* CYRILLIC LETTER IOTIFIED CLOSED LITTLE YUS*/
{42590,42591,42590,0L}, /* CYRILLIC CAPITAL LETTER YN*/
{42591,42591,42590,0L}, /* CYRILLIC LETTER YN*/
{42592,42593,42592,0L}, /* CYRILLIC CAPITAL LETTER REVERSED TSE*/
{42593,42593,42592,0L}, /* CYRILLIC LETTER REVERSED TSE*/
{42594,42595,42594,0L}, /* CYRILLIC CAPITAL LETTER SOFT DE*/
{42595,42595,42594,0L}, /* CYRILLIC LETTER SOFT DE*/
{42596,42597,42596,0L}, /* CYRILLIC CAPITAL LETTER SOFT EL*/
{42597,42597,42596,0L}, /* CYRILLIC LETTER SOFT EL*/
{42598,42599,42598,0L}, /* CYRILLIC CAPITAL LETTER SOFT EM*/
{42599,42599,42598,0L}, /* CYRILLIC LETTER SOFT EM*/
{42600,42601,42600,0L}, /* CYRILLIC CAPITAL LETTER MONOCULAR O*/
{42601,42601,42600,0L}, /* CYRILLIC LETTER MONOCULAR O*/
{42602,42603,42602,0L}, /* CYRILLIC CAPITAL LETTER BINOCULAR O*/
{42603,42603,42602,0L}, /* CYRILLIC LETTER BINOCULAR O*/
{42604,42605,42604,0L}, /* CYRILLIC CAPITAL LETTER DOUBLE MONOCULAR O*/
{42605,42605,42604,0L}, /* CYRILLIC LETTER DOUBLE MONOCULAR O*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{42624,42625,42624,0L}, /* CYRILLIC CAPITAL LETTER DWE*/
{42625,42625,42624,0L}, /* CYRILLIC LETTER DWE*/
{42626,42627,42626,0L}, /* CYRILLIC CAPITAL LETTER DZWE*/
{42627,42627,42626,0L}, /* CYRILLIC LETTER DZWE*/
{42628,42629,42628,0L}, /* CYRILLIC CAPITAL LETTER ZHWE*/
{42629,42629,42628,0L}, /* CYRILLIC LETTER ZHWE*/
{42630,42631,42630,0L}, /* CYRILLIC CAPITAL LETTER CCHE*/
{42631,42631,42630,0L}, /* CYRILLIC LETTER CCHE*/
{42632,42633,42632,0L}, /* CYRILLIC CAPITAL LETTER DZZE*/
{42633,42633,42632,0L}, /* CYRILLIC LETTER DZZE*/
{42634,42635,42634,0L}, /* CYRILLIC CAPITAL LETTER TE WITH MIDDLE HOOK*/
{42635,42635,42634,0L}, /* CYRILLIC LETTER TE WITH MIDDLE HOOK*/
{42636,42637,42636,0L}, /* CYRILLIC CAPITAL LETTER TWE*/
{42637,42637,42636,0L}, /* CYRILLIC LETTER TWE*/
{42638,42639,42638,0L}, /* CYRILLIC CAPITAL LETTER TSWE*/
{42639,42639,42638,0L}, /* CYRILLIC LETTER TSWE*/
{42640,42641,42640,0L}, /* CYRILLIC CAPITAL LETTER TSSE*/
{42641,42641,42640,0L}, /* CYRILLIC LETTER TSSE*/
{42642,42643,42642,0L}, /* CYRILLIC CAPITAL LETTER TCHE*/
{42643,42643,42642,0L}, /* CYRILLIC LETTER TCHE*/
{42644,42645,42644,0L}, /* CYRILLIC CAPITAL LETTER HWE*/
{42645,42645,42644,0L}, /* CYRILLIC LETTER HWE*/
{42646,42647,42646,0L}, /* CYRILLIC CAPITAL LETTER SHWE*/
{42647,42647,42646,0L}, /* CYRILLIC LETTER SHWE*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{42786,42787,42786,0L}, /* LATIN CAPITAL LETTER EGYPTOLOGICAL ALEF*/
{42787,42787,42786,0L}, /* LATIN LETTER EGYPTOLOGICAL ALEF*/
{42788,42789,42788,0L}, /* LATIN CAPITAL LETTER EGYPTOLOGICAL AIN*/
{42789,42789,42788,0L}, /* LATIN LETTER EGYPTOLOGICAL AIN*/
{42790,42791,42790,0L}, /* LATIN CAPITAL LETTER HENG*/
{42791,42791,42790,0L}, /* LATIN LETTER HENG*/
{42792,42793,42792,0L}, /* LATIN CAPITAL LETTER TZ*/
{42793,42793,42792,0L}, /* LATIN LETTER TZ*/
{42794,42795,42794,0L}, /* LATIN CAPITAL LETTER TRESILLO*/
{42795,42795,42794,0L}, /* LATIN LETTER TRESILLO*/
{42796,42797,42796,0L}, /* LATIN CAPITAL LETTER CUATRILLO*/
{42797,42797,42796,0L}, /* LATIN LETTER CUATRILLO*/
{42798,42799,42798,0L}, /* LATIN CAPITAL LETTER CUATRILLO WITH COMMA*/
{42799,42799,42798,0L}, /* LATIN LETTER CUATRILLO WITH COMMA*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{42802,42803,42802,0L}, /* LATIN CAPITAL LETTER AA*/
{42803,42803,42802,0L}, /* LATIN LETTER AA*/
{42804,42805,42804,0L}, /* LATIN CAPITAL LETTER AO*/
{42805,42805,42804,0L}, /* LATIN LETTER AO*/
{42806,42807,42806,0L}, /* LATIN CAPITAL LETTER AU*/
{42807,42807,42806,0L}, /* LATIN LETTER AU*/
{42808,42809,42808,0L}, /* LATIN CAPITAL LETTER AV*/
{42809,42809,42808,0L}, /* LATIN LETTER AV*/
{42810,42811,42810,0L}, /* LATIN CAPITAL LETTER AV WITH HORIZONTAL BAR*/
{42811,42811,42810,0L}, /* LATIN LETTER AV WITH HORIZONTAL BAR*/
{42812,42813,42812,0L}, /* LATIN CAPITAL LETTER AY*/
{42813,42813,42812,0L}, /* LATIN LETTER AY*/
{42814,42815,42814,0L}, /* LATIN CAPITAL LETTER REVERSED C WITH DOT*/
{42815,42815,42814,0L}, /* LATIN LETTER REVERSED C WITH DOT*/
{42816,42817,42816,0L}, /* LATIN CAPITAL LETTER K WITH STROKE*/
{42817,42817,42816,0L}, /* LATIN LETTER K WITH STROKE*/
{42818,42819,42818,0L}, /* LATIN CAPITAL LETTER K WITH DIAGONAL STROKE*/
{42819,42819,42818,0L}, /* LATIN LETTER K WITH DIAGONAL STROKE*/
{42820,42821,42820,0L}, /* LATIN CAPITAL LETTER K WITH STROKE AND DIAGONAL STROKE*/
{42821,42821,42820,0L}, /* LATIN LETTER K WITH STROKE AND DIAGONAL STROKE*/
{42822,42823,42822,0L}, /* LATIN CAPITAL LETTER BROKEN L*/
{42823,42823,42822,0L}, /* LATIN LETTER BROKEN L*/
{42824,42825,42824,0L}, /* LATIN CAPITAL LETTER L WITH HIGH STROKE*/
{42825,42825,42824,0L}, /* LATIN LETTER L WITH HIGH STROKE*/
{42826,42827,42826,0L}, /* LATIN CAPITAL LETTER O WITH LONG STROKE OVERLAY*/
{42827,42827,42826,0L}, /* LATIN LETTER O WITH LONG STROKE OVERLAY*/
{42828,42829,42828,0L}, /* LATIN CAPITAL LETTER O WITH LOOP*/
{42829,42829,42828,0L}, /* LATIN LETTER O WITH LOOP*/
{42830,42831,42830,0L}, /* LATIN CAPITAL LETTER OO*/
{42831,42831,42830,0L}, /* LATIN LETTER OO*/
{42832,42833,42832,0L}, /* LATIN CAPITAL LETTER P WITH STROKE THROUGH DESCENDER*/
{42833,42833,42832,0L}, /* LATIN LETTER P WITH STROKE THROUGH DESCENDER*/
{42834,42835,42834,0L}, /* LATIN CAPITAL LETTER P WITH FLOURISH*/
{42835,42835,42834,0L}, /* LATIN LETTER P WITH FLOURISH*/
{42836,42837,42836,0L}, /* LATIN CAPITAL LETTER P WITH SQUIRREL TAIL*/
{42837,42837,42836,0L}, /* LATIN LETTER P WITH SQUIRREL TAIL*/
{42838,42839,42838,0L}, /* LATIN CAPITAL LETTER Q WITH STROKE THROUGH DESCENDER*/
{42839,42839,42838,0L}, /* LATIN LETTER Q WITH STROKE THROUGH DESCENDER*/
{42840,42841,42840,0L}, /* LATIN CAPITAL LETTER Q WITH DIAGONAL STROKE*/
{42841,42841,42840,0L}, /* LATIN LETTER Q WITH DIAGONAL STROKE*/
{42842,42843,42842,0L}, /* LATIN CAPITAL LETTER R ROTUNDA*/
{42843,42843,42842,0L}, /* LATIN LETTER R ROTUNDA*/
{42844,42845,42844,0L}, /* LATIN CAPITAL LETTER RUM ROTUNDA*/
{42845,42845,42844,0L}, /* LATIN LETTER RUM ROTUNDA*/
{42846,42847,42846,0L}, /* LATIN CAPITAL LETTER V WITH DIAGONAL STROKE*/
{42847,42847,42846,0L}, /* LATIN LETTER V WITH DIAGONAL STROKE*/
{42848,42849,42848,0L}, /* LATIN CAPITAL LETTER VY*/
{42849,42849,42848,0L}, /* LATIN LETTER VY*/
{42850,42851,42850,0L}, /* LATIN CAPITAL LETTER VISIGOTHIC Z*/
{42851,42851,42850,0L}, /* LATIN LETTER VISIGOTHIC Z*/
{42852,42853,42852,0L}, /* LATIN CAPITAL LETTER THORN WITH STROKE*/
{42853,42853,42852,0L}, /* LATIN LETTER THORN WITH STROKE*/
{42854,42855,42854,0L}, /* LATIN CAPITAL LETTER THORN WITH STROKE THROUGH DESCENDER*/
{42855,42855,42854,0L}, /* LATIN LETTER THORN WITH STROKE THROUGH DESCENDER*/
{42856,42857,42856,0L}, /* LATIN CAPITAL LETTER VEND*/
{42857,42857,42856,0L}, /* LATIN LETTER VEND*/
{42858,42859,42858,0L}, /* LATIN CAPITAL LETTER ET*/
{42859,42859,42858,0L}, /* LATIN LETTER ET*/
{42860,42861,42860,0L}, /* LATIN CAPITAL LETTER IS*/
{42861,42861,42860,0L}, /* LATIN LETTER IS*/
{42862,42863,42862,0L}, /* LATIN CAPITAL LETTER CON*/
{42863,42863,42862,0L}, /* LATIN LETTER CON*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{42873,42874,42873,0L}, /* LATIN CAPITAL LETTER INSULAR D*/
{42874,42874,42873,0L}, /* LATIN LETTER INSULAR D*/
{42875,42876,42875,0L}, /* LATIN CAPITAL LETTER INSULAR F*/
{42876,42876,42875,0L}, /* LATIN LETTER INSULAR F*/
{42877,7545,42877,0L}, /* LATIN CAPITAL LETTER INSULAR G*/
{42878,42879,42878,0L}, /* LATIN CAPITAL LETTER TURNED INSULAR G*/
{42879,42879,42878,0L}, /* LATIN LETTER TURNED INSULAR G*/
{42880,42881,42880,0L}, /* LATIN CAPITAL LETTER TURNED L*/
{42881,42881,42880,0L}, /* LATIN LETTER TURNED L*/
{42882,42883,42882,0L}, /* LATIN CAPITAL LETTER INSULAR R*/
{42883,42883,42882,0L}, /* LATIN LETTER INSULAR R*/
{42884,42885,42884,0L}, /* LATIN CAPITAL LETTER INSULAR S*/
{42885,42885,42884,0L}, /* LATIN LETTER INSULAR S*/
{42886,42887,42886,0L}, /* LATIN CAPITAL LETTER INSULAR T*/
{42887,42887,42886,0L}, /* LATIN LETTER INSULAR T*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{42891,42892,42891,0L}, /* LATIN CAPITAL LETTER SALTILLO*/
{42892,42892,42891,0L}, /* LATIN LETTER SALTILLO*/
{42893,613,42893,0L}, /* LATIN CAPITAL LETTER TURNED H*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{42896,42897,42896,0L}, /* LATIN CAPITAL LETTER N WITH DESCENDER*/
{42897,42897,42896,0L}, /* LATIN LETTER N WITH DESCENDER*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{42912,42913,42912,0L}, /* LATIN CAPITAL LETTER G WITH OBLIQUE STROKE*/
{42913,42913,42912,0L}, /* LATIN LETTER G WITH OBLIQUE STROKE*/
{42914,42915,42914,0L}, /* LATIN CAPITAL LETTER K WITH OBLIQUE STROKE*/
{42915,42915,42914,0L}, /* LATIN LETTER K WITH OBLIQUE STROKE*/
{42916,42917,42916,0L}, /* LATIN CAPITAL LETTER N WITH OBLIQUE STROKE*/
{42917,42917,42916,0L}, /* LATIN LETTER N WITH OBLIQUE STROKE*/
{42918,42919,42918,0L}, /* LATIN CAPITAL LETTER R WITH OBLIQUE STROKE*/
{42919,42919,42918,0L}, /* LATIN LETTER R WITH OBLIQUE STROKE*/
{42920,42921,42920,0L}, /* LATIN CAPITAL LETTER S WITH OBLIQUE STROKE*/
{42921,42921,42920,0L}, /* LATIN LETTER S WITH OBLIQUE STROKE*/
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}, 
{0,0,0,0L}};

/*20111214 Based on http://unicode.org/Public/UNIDATA/UnicodeData.txt 17-Aug-2010 14:32 */
/* structures created with uni.bra */
struct ccaseconv l2u[]={
{0x61,25,1,-32},
{0xB5,0,0,743},
{0xE0,22,1,-32},
{0xF8,6,1,-32},
{0xFF,0,0,121},
{0x101,46,2,-1},
{0x131,0,0,-232},
{0x133,4,2,-1},
{0x13A,14,2,-1},
{0x14B,44,2,-1},
{0x17A,4,2,-1},
{0x17F,0,0,-300},
{0x180,0,0,195},
{0x183,2,2,-1},
{0x188,0,0,-1},
{0x18C,0,0,-1},
{0x192,0,0,-1},
{0x195,0,0,97},
{0x199,0,0,-1},
{0x19A,0,0,163},
{0x19E,0,0,130},
{0x1A1,4,2,-1},
{0x1A8,0,0,-1},
{0x1AD,0,0,-1},
{0x1B0,0,0,-1},
{0x1B4,2,2,-1},
{0x1B9,0,0,-1},
{0x1BD,0,0,-1},
{0x1BF,0,0,56},
{0x1C5,0,0,-1},
{0x1C6,0,0,-2},
{0x1C8,0,0,-1},
{0x1C9,0,0,-2},
{0x1CB,0,0,-1},
{0x1CC,0,0,-2},
{0x1CE,14,2,-1},
{0x1DD,0,0,-79},
{0x1DF,16,2,-1},
{0x1F2,0,0,-1},
{0x1F3,0,0,-2},
{0x1F5,0,0,-1},
{0x1F9,38,2,-1},
{0x223,16,2,-1},
{0x23C,0,0,-1},
{0x23F,1,1,10815},
{0x242,0,0,-1},
{0x247,8,2,-1},
{0x250,0,0,10783},
{0x251,0,0,10780},
{0x252,0,0,10782},
{0x253,0,0,-210},
{0x254,0,0,-206},
{0x256,1,1,-205},
{0x259,0,0,-202},
{0x25B,0,0,-203},
{0x260,0,0,-205},
{0x263,0,0,-207},
{0x265,0,0,42280},
{0x268,0,0,-209},
{0x269,0,0,-211},
{0x26B,0,0,10743},
{0x26F,0,0,-211},
{0x271,0,0,10749},
{0x272,0,0,-213},
{0x275,0,0,-214},
{0x27D,0,0,10727},
{0x280,0,0,-218},
{0x283,0,0,-218},
{0x288,0,0,-218},
{0x289,0,0,-69},
{0x28A,1,1,-217},
{0x28C,0,0,-71},
{0x292,0,0,-219},
{0x345,0,0,84},
{0x371,2,2,-1},
{0x377,0,0,-1},
{0x37B,2,1,130},
{0x3AC,0,0,-38},
{0x3AD,2,1,-37},
{0x3B1,16,1,-32},
{0x3C2,0,0,-31},
{0x3C3,8,1,-32},
{0x3CC,0,0,-64},
{0x3CD,1,1,-63},
{0x3D0,0,0,-62},
{0x3D1,0,0,-57},
{0x3D5,0,0,-47},
{0x3D6,0,0,-54},
{0x3D7,0,0,-8},
{0x3D9,22,2,-1},
{0x3F0,0,0,-86},
{0x3F1,0,0,-80},
{0x3F2,0,0,7},
{0x3F5,0,0,-96},
{0x3F8,0,0,-1},
{0x3FB,0,0,-1},
{0x430,31,1,-32},
{0x450,15,1,-80},
{0x461,32,2,-1},
{0x48B,52,2,-1},
{0x4C2,12,2,-1},
{0x4CF,0,0,-15},
{0x4D1,86,2,-1},
{0x561,37,1,-48},
{0x1D79,0,0,35332},
{0x1D7D,0,0,3814},
{0x1E01,148,2,-1},
{0x1E9B,0,0,-59},
{0x1EA1,94,2,-1},
{0x1F00,7,1,8},
{0x1F10,5,1,8},
{0x1F20,7,1,8},
{0x1F30,7,1,8},
{0x1F40,5,1,8},
{0x1F51,6,2,8},
{0x1F60,7,1,8},
{0x1F70,1,1,74},
{0x1F72,3,1,86},
{0x1F76,1,1,100},
{0x1F78,1,1,128},
{0x1F7A,1,1,112},
{0x1F7C,1,1,126},
{0x1F80,7,1,8},
{0x1F90,7,1,8},
{0x1FA0,7,1,8},
{0x1FB0,1,1,8},
{0x1FB3,0,0,9},
{0x1FBE,0,0,-7205},
{0x1FC3,0,0,9},
{0x1FD0,1,1,8},
{0x1FE0,1,1,8},
{0x1FE5,0,0,7},
{0x1FF3,0,0,9},
{0x214E,0,0,-28},
{0x2170,15,1,-16},
{0x2184,0,0,-1},
{0x24D0,25,1,-26},
{0x2C30,46,1,-48},
{0x2C61,0,0,-1},
{0x2C65,0,0,-10795},
{0x2C66,0,0,-10792},
{0x2C68,4,2,-1},
{0x2C73,0,0,-1},
{0x2C76,0,0,-1},
{0x2C81,98,2,-1},
{0x2CEC,2,2,-1},
{0x2D00,37,1,-7264},
{0xA641,44,2,-1},
{0xA681,22,2,-1},
{0xA723,12,2,-1},
{0xA733,60,2,-1},
{0xA77A,2,2,-1},
{0xA77F,8,2,-1},
{0xA78C,0,0,-1},
{0xA791,0,0,-1},
{0xA7A1,8,2,-1},
{0xFF41,25,1,-32},
{0x10428,39,1,-40},
{0xFFFFF,0,0,0}}; /*1 1111 1111 1111 1111 1111*/

struct ccaseconv u2l[]={
{0x41,25,1,32},
{0xC0,22,1,32},
{0xD8,6,1,32},
{0x100,46,2,1},
{0x130,0,0,-199},
{0x132,4,2,1},
{0x139,14,2,1},
{0x14A,44,2,1},
{0x178,0,0,-121},
{0x179,4,2,1},
{0x181,0,0,210},
{0x182,2,2,1},
{0x186,0,0,206},
{0x187,0,0,1},
{0x189,1,1,205},
{0x18B,0,0,1},
{0x18E,0,0,79},
{0x18F,0,0,202},
{0x190,0,0,203},
{0x191,0,0,1},
{0x193,0,0,205},
{0x194,0,0,207},
{0x196,0,0,211},
{0x197,0,0,209},
{0x198,0,0,1},
{0x19C,0,0,211},
{0x19D,0,0,213},
{0x19F,0,0,214},
{0x1A0,4,2,1},
{0x1A6,0,0,218},
{0x1A7,0,0,1},
{0x1A9,0,0,218},
{0x1AC,0,0,1},
{0x1AE,0,0,218},
{0x1AF,0,0,1},
{0x1B1,1,1,217},
{0x1B3,2,2,1},
{0x1B7,0,0,219},
{0x1B8,0,0,1},
{0x1BC,0,0,1},
{0x1C4,0,0,2},
{0x1C5,0,0,1},
{0x1C7,0,0,2},
{0x1C8,0,0,1},
{0x1CA,0,0,2},
{0x1CB,16,2,1},
{0x1DE,16,2,1},
{0x1F1,0,0,2},
{0x1F2,2,2,1},
{0x1F6,0,0,-97},
{0x1F7,0,0,-56},
{0x1F8,38,2,1},
{0x220,0,0,-130},
{0x222,16,2,1},
{0x23A,0,0,10795},
{0x23B,0,0,1},
{0x23D,0,0,-163},
{0x23E,0,0,10792},
{0x241,0,0,1},
{0x243,0,0,-195},
{0x244,0,0,69},
{0x245,0,0,71},
{0x246,8,2,1},
{0x370,2,2,1},
{0x376,0,0,1},
{0x386,0,0,38},
{0x388,2,1,37},
{0x38C,0,0,64},
{0x38E,1,1,63},
{0x391,16,1,32},
{0x3A3,8,1,32},
{0x3CF,0,0,8},
{0x3D8,22,2,1},
{0x3F4,0,0,-60},
{0x3F7,0,0,1},
{0x3F9,0,0,-7},
{0x3FA,0,0,1},
{0x3FD,2,1,-130},
{0x400,15,1,80},
{0x410,31,1,32},
{0x460,32,2,1},
{0x48A,52,2,1},
{0x4C0,0,0,15},
{0x4C1,12,2,1},
{0x4D0,86,2,1},
{0x531,37,1,48},
{0x10A0,37,1,7264},
{0x1E00,148,2,1},
{0x1E9E,0,0,-7615},
{0x1EA0,94,2,1},
{0x1F08,7,1,-8},
{0x1F18,5,1,-8},
{0x1F28,7,1,-8},
{0x1F38,7,1,-8},
{0x1F48,5,1,-8},
{0x1F59,6,2,-8},
{0x1F68,7,1,-8},
{0x1F88,7,1,-8},
{0x1F98,7,1,-8},
{0x1FA8,7,1,-8},
{0x1FB8,1,1,-8},
{0x1FBA,1,1,-74},
{0x1FBC,0,0,-9},
{0x1FC8,3,1,-86},
{0x1FCC,0,0,-9},
{0x1FD8,1,1,-8},
{0x1FDA,1,1,-100},
{0x1FE8,1,1,-8},
{0x1FEA,1,1,-112},
{0x1FEC,0,0,-7},
{0x1FF8,1,1,-128},
{0x1FFA,1,1,-126},
{0x1FFC,0,0,-9},
{0x2126,0,0,-7517},
{0x212A,0,0,-8383},
{0x212B,0,0,-8262},
{0x2132,0,0,28},
{0x2160,15,1,16},
{0x2183,0,0,1},
{0x24B6,25,1,26},
{0x2C00,46,1,48},
{0x2C60,0,0,1},
{0x2C62,0,0,-10743},
{0x2C63,0,0,-3814},
{0x2C64,0,0,-10727},
{0x2C67,4,2,1},
{0x2C6D,0,0,-10780},
{0x2C6E,0,0,-10749},
{0x2C6F,0,0,-10783},
{0x2C70,0,0,-10782},
{0x2C72,0,0,1},
{0x2C75,0,0,1},
{0x2C7E,1,1,-10815},
{0x2C80,98,2,1},
{0x2CEB,2,2,1},
{0xA640,44,2,1},
{0xA680,22,2,1},
{0xA722,12,2,1},
{0xA732,60,2,1},
{0xA779,2,2,1},
{0xA77D,0,0,-35332},
{0xA77E,8,2,1},
{0xA78B,0,0,1},
{0xA78D,0,0,-42280},
{0xA790,0,0,1},
{0xA7A0,8,2,1},
{0xFF21,25,1,32},
{0x10400,39,1,40},
{0xFFFFF,0,0,0}};
